# Generated by Makefile. Do not edit.

commit d303d9f36064c5dcf523c5a545a6542e635bbf3d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 14 12:52:56 2012 +0100

    3.6.3

 NEWS         | 20 +++++++++++++++++---
 configure.ac |  2 +-
 2 files changed, 18 insertions(+), 4 deletions(-)

commit 05f19e36a4b0c7516858126250a8d1a5af46b9a0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Nov 14 13:07:23 2012 +0100

    build: Fix distcheck
    
    Left-over files from update-icon-cache shouldn't be created
    in the first place when running distcheck.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 001156637a858969eee45e868a03a294c559093b
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Sat Nov 10 18:48:25 2012 +0100

    bluetooth: Align the device list with the all settings button
    
    Fixes: https://bugzilla.gnome.org/688055

 panels/bluetooth/bluetooth.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a22f0605c5099079828d0cffbdf6698fa1fe8f0
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Sat Nov 10 18:42:01 2012 +0100

    online-accounts: Align the accounts list with the all settings button
    
    Fixes: https://bugzilla.gnome.org/668312

 panels/online-accounts/online-accounts.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b23aef0aef77c3844c6a665713c68f96b20fb628
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri Nov 9 19:12:46 2012 +0100

    online-accounts: Don't preselect the first item when adding an account
    
    Fixes: https://bugzilla.gnome.org/687875

 panels/online-accounts/cc-online-accounts-add-account-dialog.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 725aecc9e38c8a817aa62d676ced466aeeeeb8f1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Nov 9 11:32:52 2012 +0100

    network: Avoid type clashes with the Bluetooth panel
    
    Done with:
    sed -i -e 's/RfkillGlib/CcRfkillGlib/g'         \
    	    -e 's/RFKILL_GLIB/CC_RFKILL_GLIB/g' \
    	    -e 's/rfkill_glib/cc_rfkill_glib/g' \
    	    -e 's/RFKILL_TYPE_GLIB/CC_RFKILL_TYPE_GLIB/g' \
    	    rfkill-glib.[ch] cc-network-panel.c
    
    This would need to be done when we reset the copy/paste from
    gnome-bluetooth.

 panels/network/cc-network-panel.c | 10 ++++----
 panels/network/rfkill-glib.c      | 48 +++++++++++++++++++--------------------
 panels/network/rfkill-glib.h      | 44 +++++++++++++++++------------------
 3 files changed, 51 insertions(+), 51 deletions(-)

commit 7aef2fb307a9ff9c32fbe9dc6bc36e1eef5e72ab
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Nov 9 11:16:07 2012 +0100

    network: Make sure Airplane mode switch everything off
    
    And not just wireless. We need to use /dev/rfkill directly
    to make sure that all the devices (3G, GPS, Bluetooth, etc.) get
    switched off correctly when airplane mode is on.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=675778

 panels/network/Makefile.am        |   5 +-
 panels/network/cc-network-panel.c |  94 ++++++++++--
 panels/network/rfkill-glib.c      | 299 ++++++++++++++++++++++++++++++++++++++
 panels/network/rfkill-glib.h      |  65 +++++++++
 panels/network/rfkill.h           | 107 ++++++++++++++
 5 files changed, 560 insertions(+), 10 deletions(-)

commit 627238003890e18069b90e8e2935f9548bf96f98
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Nov 9 10:20:29 2012 +0100

    network: Make sure flight mode is always visible
    
    Because it's not just about disabling the network, it needs
    to disable a host of other wireless devices, and those need to
    be blocked even if you end up plugging them into your computer.

 panels/network/cc-network-panel.c | 54 +--------------------------------------
 1 file changed, 1 insertion(+), 53 deletions(-)

commit c8837d2650c8558492e8f3aeb2362c7a7118c517
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 8 18:52:28 2012 +0100

    bluetooth: Use spinner when connecting
    
    Rather than having an unusable switch (which wouldn't represent
    the real state of the connection), show a spinner until the
    connection is finished doing.

 panels/bluetooth/bluetooth.ui         |  2 +-
 panels/bluetooth/cc-bluetooth-panel.c | 30 ++++++++++++++++++++++++++----
 2 files changed, 27 insertions(+), 5 deletions(-)

commit f299846ba76a8c2d712414b9380dc4adfc1a545a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 8 18:36:33 2012 +0100

    bluetooth: Simplify ->finalize

 panels/bluetooth/cc-bluetooth-panel.c | 15 +++------------
 1 file changed, 3 insertions(+), 12 deletions(-)

commit d309183dd352cef5e075070caaac8ac050b4d11d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 8 18:31:07 2012 +0100

    bluetooth: Fix main switch acting bizarrely
    
    The only time we were looking at the powered state of the adapter
    is when the killswitch state was changing. Except that we're fast enough
    that bluetoothd didn't have time to power up the adapter, so its
    state was unpowered, which we would set the switch to.
    
    The switch was off, the adapter was on.
    
    We fix that problem by tracking the powered state of the adapter
    separately.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=841881

 panels/bluetooth/cc-bluetooth-panel.c | 32 +++++++++++++++++++++++++-------
 1 file changed, 25 insertions(+), 7 deletions(-)

commit 68917676a077ad36ae3c7570afe3789bdd6fea65
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 8 18:11:47 2012 +0100

    bluetooth: Add UI code for a spinner during the connection

 panels/bluetooth/bluetooth.ui | 45 ++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 40 insertions(+), 5 deletions(-)

commit 2dc30a08d5a4844c1f9028356c44440d2be62eaf
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 8 18:00:03 2012 +0100

    bluetooth: Remove unused variable

 panels/bluetooth/cc-bluetooth-panel.c | 2 --
 1 file changed, 2 deletions(-)

commit f9f6e7525e55059361ca15dbda7826105eb3fdbc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 8 17:56:26 2012 +0100

    bluetooth: Avoid possible loops when Connection fails
    
    If we switch "Connection" on via the switch, the disabling on failure
    will create a loop where it always tries to connect again. Break that
    loop.

 panels/bluetooth/cc-bluetooth-panel.c | 46 ++++++++++++++++++++++++++++++++---
 1 file changed, 42 insertions(+), 4 deletions(-)

commit 80c1f5a79da01091f93eb48ed686192781852efe
Author: Marek Kasik <mkasik@redhat.com>
Date:   Thu Oct 18 11:35:14 2012 +0200

    printers: Resolve symlink when passing a PPD to CUPS
    
    root is not able to resolve symlinks in /tmp/ created by ordinary users
    because of a new policy and PPDs got from CUPS are symlinks to /etc/cups/ppd/*
    placed to /tmp/.
    Since we need to pass PPD file of original printer to CUPS when renaming
    a printer we resolve given symlink and pass original filename to the CUPS.

 panels/printers/pp-utils.c | 21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

commit 8f3733dfca5ceb1d9862dbe2aa6137a57277dee6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Nov 8 09:02:38 2012 +0100

    NEWS: Prepare for release
    
    Last updated item is:
    d2e70f2d45d5460296d027c44e0e3aa86078329c

 NEWS | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit d2e70f2d45d5460296d027c44e0e3aa86078329c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Nov 5 09:35:13 2012 +0100

    region: Fix possible crasher on startup
    
    When the X11Variant localed property was empty, variants[i] was
    being checked even though only variants[0] was defined (an empty
    string).
    
    ==17035== Invalid read of size 8
    ==17035==    at 0x26B9529A: on_localed_properties_changed (gnome-region-panel-system.c:339)
    ==17035==    by 0x26B95546: localed_proxy_ready (gnome-region-panel-system.c:381)
    ==17035==    by 0x8CA2589: g_simple_async_result_complete (gsimpleasyncresult.c:775)
    ==17035==    by 0x8CA25BB: complete_in_idle_cb (gsimpleasyncresult.c:787)
    ==17035==    by 0x94B8ED4: g_idle_dispatch (gmain.c:4806)
    ==17035==    by 0x94B6890: g_main_dispatch (gmain.c:2715)
    ==17035==    by 0x94B7440: g_main_context_dispatch (gmain.c:3219)
    ==17035==    by 0x94B7623: g_main_context_iterate (gmain.c:3290)
    ==17035==    by 0x94B76E7: g_main_context_iteration (gmain.c:3351)
    ==17035==    by 0x8CDB1A1: g_application_run (gapplication.c:1620)
    ==17035==    by 0x4083C6: main (control-center.c:256)
    ==17035==  Address 0x13b92e18 is 0 bytes after a block of size 8 alloc'd
    ==17035==    at 0x4A0883C: malloc (vg_replace_malloc.c:270)
    ==17035==    by 0x94BE97B: standard_malloc (gmem.c:85)
    ==17035==    by 0x94BEA04: g_malloc (gmem.c:159)
    ==17035==    by 0x94BED2F: g_malloc_n (gmem.c:400)
    ==17035==    by 0x94DB26A: g_strsplit (gstrfuncs.c:2281)
    ==17035==    by 0x26B95169: on_localed_properties_changed (gnome-region-panel-system.c:319)
    ==17035==    by 0x26B95546: localed_proxy_ready (gnome-region-panel-system.c:381)
    ==17035==    by 0x8CA2589: g_simple_async_result_complete (gsimpleasyncresult.c:775)
    ==17035==    by 0x8CA25BB: complete_in_idle_cb (gsimpleasyncresult.c:787)
    ==17035==    by 0x94B8ED4: g_idle_dispatch (gmain.c:4806)
    ==17035==    by 0x94B6890: g_main_dispatch (gmain.c:2715)
    ==17035==    by 0x94B7440: g_main_context_dispatch (gmain.c:3219)

 panels/region/gnome-region-panel-system.c | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit 28bcf96598ed63a50235f4908d67a10d5c22be85
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Nov 5 09:34:37 2012 +0100

    common: Quiet valgrind when checking lang codeset

 panels/common/gdm-languages.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9718601b62ef411e384a0eb332c10dd7accf97f
Author: Pavol Kla膷ansk媒 <pavol@klacansky.com>
Date:   Sun Nov 4 11:27:58 2012 +0100

    Updated slovak translation

 po/sk.po | 7268 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 4190 insertions(+), 3078 deletions(-)

commit 59cd59945102e783557e81d872cd95c17eba1b38
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Fri Nov 2 21:04:11 2012 -0400

    keyboard: Point help to more specific page
    
    https://bugzilla.gnome.org/show_bug.cgi?id=687486

 panels/keyboard/cc-keyboard-panel.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c251e5962b510ca3b2869f4835078271e0460144
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Fri Nov 2 20:50:42 2012 -0400

    shell: Add F1 accelerator to show help
    
    https://bugzilla.gnome.org/show_bug.cgi?id=687485

 shell/control-center.c | 3 +++
 1 file changed, 3 insertions(+)

commit 07b76034f8cb26acf5d172cf5e40975b975c1f9b
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Nov 3 01:34:33 2012 +0900

    Updated Korean translation

 po/ko.po | 151 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 74 insertions(+), 77 deletions(-)

commit ad25b22e16bf2dacf0a157d0bfcb3c8d591d9055
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Wed Oct 31 06:46:28 2012 -0400

    Show Printers & Region panels in Unity but hide Background
    
    Ubuntu plans to fork a separate Appearance panel this cycle so
    that Gnomebuntu can use the GNOME Background panel.
    
    I believe Ubuntu will try to use the Printers and Region & Language
    panels instead of system-config-printer & language-selector
    
    https://bugzilla.gnome.org/show_bug.cgi?id=687258

 panels/background/gnome-background-panel.desktop.in.in | 2 +-
 panels/printers/gnome-printers-panel.desktop.in.in     | 2 +-
 panels/region/gnome-region-panel.desktop.in.in         | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit bf820b005f3ca9af74e26b7ef615ce37734885b0
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Oct 29 12:07:21 2012 +0530

    Updated gujarati file

 po/gu.po | 43 +++++++++++++++++++++++++++----------------
 1 file changed, 27 insertions(+), 16 deletions(-)

commit 1302e9c43cbbdd6ccd4384b71653b222229ec200
Author: Se谩n de B煤rca <leftmostcat@gmail.com>
Date:   Fri Oct 26 13:23:23 2012 -0600

    Updated Irish translation.

 po/ga.po | 6440 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 3770 insertions(+), 2670 deletions(-)

commit 32bfab1e526166f03f79132723cd98b2184fb0e8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 22 16:14:59 2012 +0200

    3.6.2

 NEWS         | 21 +++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 22 insertions(+), 1 deletion(-)

commit e7722d9eea8f77334954c20b33e0234e16aaccb4
Author: Ondrej Holy <oholy@redhat.com>
Date:   Fri Oct 19 10:12:58 2012 +0200

    user-accounts: fix wrong sensitivity of the autologin combo
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686383

 panels/user-accounts/um-user-panel.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 600ad0176bf4b20eaef8cbe78ecfee85c0ee0d19
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Fri Oct 19 15:41:43 2012 +0200

    wacom: Update from gnome-settings-daemon

 panels/wacom/gsd-wacom-device.c | 61 +++++++++++++++++++++++++++++++++--------
 panels/wacom/gsd-wacom-device.h |  2 ++
 2 files changed, 52 insertions(+), 11 deletions(-)

commit b9b2f6a91fa45bcd387d468daf5d48c8343aa8b9
Author: Stef Walter <stefw@gnome.org>
Date:   Thu Oct 18 18:37:24 2012 +0200

    user-accounts: Don't have domains twice in the drop down
    
    If we discover domains again, don't add them twice to the drop
    down and confuse the user. This is especially important if we
    receive two realms from realmd for the same domain for use with
    different clients (ie: sssd/winbind). We only want to offer the
    first choice
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686397

 panels/user-accounts/um-account-dialog.c | 34 ++++++++++++++++++++++++++++----
 1 file changed, 30 insertions(+), 4 deletions(-)

commit c16278d484d4d2f43da29b24dc4e20ddc3f8456c
Author: Stef Walter <stefw@gnome.org>
Date:   Thu Oct 18 18:40:00 2012 +0200

    user-accounts: Set timeouts on all realmd interface proxies
    
    Without this, we can get timeout problems during joining a domain.
    
    This is a regression from when we refactored UmRealmManager to
    use GDBusObjectManagerClient. Make sure to call
    g_dbus_proxy_set_default_timeout() on all realmd interface
    proxies whenever they show up.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686390

 panels/user-accounts/um-realm-manager.c | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit 24421985d74dac4f1531e66a2b8a86ae783efbb7
Author: Stef Walter <stefw@gnome.org>
Date:   Fri Oct 19 10:55:02 2012 +0200

    background: Fix compilation error
    
    Related to: https://bugzilla.redhat.com/show_bug.cgi?id=866973

 panels/background/cc-background-panel.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d5af7612603a57983d06a277e9ac57709563c140
Author: Stef Walter <stefw@gnome.org>
Date:   Sat Oct 6 12:17:21 2012 -0400

    user-accounts: Remove the realmd version check
    
    The idea is that the realmd DBus API will remain stable
    from now on, so remove the version check. It was broken anyway.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685616

 panels/user-accounts/um-realm-manager.c | 167 +++++++++++++++++---------------
 1 file changed, 91 insertions(+), 76 deletions(-)

commit 32937d2b27fd4816cec88c20b4d5c88518c3af8a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 16 14:36:16 2012 -0400

    network: Fix 8021x connections
    
    We were always throwing away requests to connect to 8021x
    APs, due to missing braces.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686244

 panels/network/cc-network-panel.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit e3a42c6ba87e4fe28479dd3bd65cdde22208f199
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 17 09:38:05 2012 +0200

    background: Fix crash when exiting panel too quickly
    
    The background capture would still be on-going, and we would
    crash poking at the now gone panel.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=866973

 panels/background/cc-background-panel.c | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

commit 38b7e045f1d439ea81429d5b414008960575c62b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 17 09:37:10 2012 +0200

    background: Handle copy cancellation correctly
    
    Make sure to avoid poking at the panel when the file copy
    is cancelled.

 panels/background/cc-background-panel.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 8a27842d73ac265d56e22c8146d102967ded049e
Author: Andreas Nesdal <gedemiti@gmail.com>
Date:   Tue Oct 16 20:58:10 2012 +0200

    Updated Norwegian Nynorsk translation (sync with Ubuntu)

 po/nn.po | 7646 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 4264 insertions(+), 3382 deletions(-)

commit 78257521ed083529668f3bedf858441c5aaf17bf
Author: Stef Walter <stefw@gnome.org>
Date:   Sat Oct 6 13:01:03 2012 -0400

    user-accounts: Recognize that some kerberos domains cannot be joined
    
    realmd supports discovering generic kerberos domains, which cannot
    be joined.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685618

 panels/user-accounts/um-realm-manager.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit e581b12786e9424ea1dddc62787f5df823041b94
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Oct 15 17:19:09 2012 +0530

    Updated gujarati file

 po/gu.po | 355 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 140 insertions(+), 215 deletions(-)

commit cf065fb8f420c2d6cda63838f60af7b577165dc7
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Mon Oct 15 06:35:16 2012 +0200

    Updated Danish translation

 po/da.po | 328 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 164 insertions(+), 164 deletions(-)

commit 242f2b268a43ee6c1db6a9aca4d7d1cf837ae627
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Oct 13 12:33:43 2012 +0200

    Updated Norwegian bokm氓l translation

 po/nb.po | 702 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 330 insertions(+), 372 deletions(-)

commit bb94a0166a6f764efd4b8ec0718f21254498d9ad
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Sat Oct 13 10:17:00 2012 +0330

    L10N: Updated Persian translation

 po/fa.po | 729 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 293 insertions(+), 436 deletions(-)

commit 5fc63896eed325a297fef2a1daff4e6d755bfdd6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Oct 11 13:13:32 2012 +0200

    screen: Don't print a warning with no backlight device

 panels/screen/cc-screen-panel.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit fc7c41f4293a1d3e37c45eb6f2d95cd80dd52edc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jun 12 18:22:28 2012 +0100

    screen: Avoid accessing destroyed panel
    
    When we cancel the Brightness calls because the panel is getting
    destroyed, we shouldn't try to access panel widgets.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677963

 panels/screen/cc-screen-panel.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit d4f24d6608a056da3addb51fbd0d80a373e66404
Author: Stef Walter <stefw@gnome.org>
Date:   Sat Oct 6 12:27:34 2012 -0400

    user-accounts: Complete discover on failure
    
    When realmd discovery doesn't return a domain, complete the discovery
    appropriately. Previously we would never complete.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685617

 panels/user-accounts/um-realm-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e5b58ed51dbd19005d096aa48011d432d90f8dba
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Oct 8 23:33:54 2012 +0200

    Remove excess colon from Hungarian translation

 po/hu.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b8df7443f53e99249cb55d31b75fde755783ea08
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Oct 8 22:57:14 2012 +0200

    Use better wording in Hungarian translation

 po/hu.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d8ac68f7ee0fe69f70056841799a12dd70ac6eb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 8 18:55:14 2012 +0200

    3.6.1

 NEWS         | 44 ++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 45 insertions(+), 1 deletion(-)

commit aef03317e81b358d0fc0c26e58bcad8334d11a17
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 8 18:18:49 2012 +0200

    background: Fix distcheck

 panels/background/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8f0091c2c9c313ef360d022c2786bf512b3bcb7a
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Oct 8 17:40:26 2012 +0200

    region: Add the Marathi phonetic input source to the white list
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685721

 panels/region/gnome-region-panel-input.c | 1 +
 1 file changed, 1 insertion(+)

commit a9ba8f9bc4197ce53b58a29ccb74dac747d9598d
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:   Sat Oct 6 15:07:52 2012 +0200

    Updated Dutch translation

 po/nl.po | 3597 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 2305 insertions(+), 1292 deletions(-)

commit 841ce5ace6b2699546b9ac37806ec09bbb093819
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   Wed Oct 3 17:41:03 2012 +0200

    [l10n] Added Khmer translation

 po/LINGUAS |    1 +
 po/km.po   | 5784 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 5785 insertions(+)

commit c35850649175044aa8d93e217d48884f49ac37fb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 3 14:49:23 2012 +0200

    network: Verify command-line arguments
    
    To avoid invalid bug reports ;)

 panels/network/cc-network-panel.c | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit ea0f359e4df4cdeb07c82e88469274002819852b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 30 21:14:36 2012 -0400

    network: Use a regular button for 'Connect to Hidden'
    
    The treeview is not really up to this level of custom UI.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684819

 panels/network/net-device-wifi.c | 44 ++++++--------------------------------
 panels/network/network-wifi.ui   | 46 ++++++++++++++++++++++++++++++++--------
 2 files changed, 44 insertions(+), 46 deletions(-)

commit 3e32d858a1880fb0abc428b10c125cfe180d7c77
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Oct 1 16:42:22 2012 +0200

    region: Add inscript2 m17n keymaps to the whitelist
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684854

 panels/region/gnome-region-panel-input.c | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

commit c7677010a0d4f5e9fdfc82b216b866d5b51dca75
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Sat Sep 29 19:47:38 2012 +0200

    region: Repopulate input sources chooser when IBus becomes available
    
    Otherwise the IBus sources wouldn't be available in the chooser until
    it was closed and re-opened.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684874

 panels/region/gnome-region-panel-input.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit fb6c89f45a3c73d34de4cf0c8d381bce301176f1
Author: Daiki Ueno <ueno@unixuser.org>
Date:   Thu Sep 27 17:46:40 2012 +0900

    region: build IBus setup app filename only from the engine prefix
    
    There are 84 m17n engines in the whitelist and they all use
    ibus-setup-m17n.  To reduce the number of .desktop files, this
    patch uses the prefix before the first ":" to construct the .desktop
    filename and set IBUS_ENGINE_NAME envvar to let the setup app know
    the actual engine ID.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684935

 panels/region/gnome-region-panel-input.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 42d835b3ce92188fc9f01d0461b53b6f44f67160
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 2 15:11:59 2012 +0200

    network: Further refinements to out-of-range avoidance

 panels/network/net-device-wifi.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 75086eb149079ae9f1818774d8b3f73ecab62120
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 2 14:55:59 2012 +0200

    network: Fix WPA Enterprise connection not working
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685207

 panels/network/net-device-wifi.c | 52 +++++++++++++++++++++++++++++++++++-----
 1 file changed, 46 insertions(+), 6 deletions(-)

commit 7e708ae52c48a1b1dcc240f0007c5066cec0a19b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 2 12:33:15 2012 +0200

    network: Scope correctly the connection variable

 panels/network/net-device-wifi.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e7e02390b6b4506a002f48b5d20b40d3270d0902
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 2 12:28:58 2012 +0200

    network: Add debug for connection activation failures

 panels/network/net-device-wifi.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 6264fea2fe06d3ee06279b1aba14109d149fcdcf
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 29 19:35:23 2012 -0400

    Don't try to activate out-of-range connections
    
    It is not going to work...
    https://bugzilla.gnome.org/show_bug.cgi?id=684824

 panels/network/net-device-wifi.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 446f7cf0272f5ba88790c012cde193c393246f07
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 2 08:57:38 2012 +0200

    network: Fix parenting of the broadband wizard
    
    By showing the wizard in an idle by default, or waiting until
    the shell is visible.

 panels/network/network-dialogs.c | 30 +++++++++++++++++++++++++++++-
 1 file changed, 29 insertions(+), 1 deletion(-)

commit aceaf347a93f3a8dd2a53a9a8457c6d53a1c5100
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 1 23:05:41 2012 +0200

    network: Show the network dialogues after showing the shell
    
    To avoid confusing the hell out of Mutter, we should show the
    parented dialogue _after_ showing the parent itself.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684927

 panels/network/network-dialogs.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 3c973b587deec0570f743af83699c567ee15eea1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 1 23:05:29 2012 +0200

    network: Add debug for argv handling

 panels/network/cc-network-panel.c | 4 ++++
 1 file changed, 4 insertions(+)

commit d941ca15af9799efbba55bc62ee5a4f1a0668dae
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 1 23:03:54 2012 +0200

    network: Fix possible incorrect exit of the loop
    
    A bug fix for the Proxy page handling

 panels/network/cc-network-panel.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 813843cf85bffd66af4421dcfec35487487edacf
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 1 21:16:05 2012 +0200

    network: Fix possible crasher when handling argv prop
    
    When looking for a matching device, we might end up checking
    for the proxy page's nm-device, which it obviously doesn't have.

 panels/network/cc-network-panel.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 9dcf8cbfef005d4a473504b687588f93eb88ebed
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 27 12:41:56 2012 +0200

    region: Remove dead button
    
    The button hasn't ever been hooked to anything. Let's remove it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684864

 panels/region/gnome-region-panel.ui | 15 ---------------
 1 file changed, 15 deletions(-)

commit 2a24b5978e51bfcc5e9431a319ae481eac830a73
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Oct 1 09:32:18 2012 +0200

    common: Fix list-languages build

 panels/common/list-languages.c | 1 +
 1 file changed, 1 insertion(+)

commit 5b6385067d89f6b2262ad7da3bd13b928ccc36e9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Sep 30 05:40:56 2012 +0200

    background: Fix clearing too much from the background

 panels/background/cc-background-panel.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fbddd14a454cebfff6c2203abb0715b31d8ad2d1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Sep 30 05:39:08 2012 +0200

    common: Add i18n support to language test app

 panels/common/list-languages.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 1522b3909a3beb95628773472fab9498d383c9f8
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Sat Sep 29 14:52:30 2012 +0300

    Fixes for Greek translation

 po/el.po | 87 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 43 insertions(+), 44 deletions(-)

commit 4b30021a97f7385eaffea209e269134e7a8ad1ef
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 28 13:35:28 2012 +0200

    network: Top-align the back button in wifi panels

 panels/network/network-wifi.ui | 61 ++++++++++++++++++++++++++----------------
 1 file changed, 38 insertions(+), 23 deletions(-)

commit ccc3f0bf3ce8927cd62d9ddf208e6b1b1f1ca16d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 28 11:44:19 2012 +0200

    network: Don't resize the panel or the wifi list

 panels/network/cc-network-panel.c | 6 ++++--
 panels/network/net-device-wifi.c  | 1 +
 panels/network/network-wifi.ui    | 5 ++++-
 3 files changed, 9 insertions(+), 3 deletions(-)

commit 194d28ae5002444e5d2495f4681bb18dd171cde9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 28 11:24:11 2012 +0200

    network: Simplify access to the device treeview

 panels/network/cc-network-panel.c | 31 +++++++++----------------------
 1 file changed, 9 insertions(+), 22 deletions(-)

commit a11ad3bed1a2df01fb1a292eda4925927164fbda
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 27 21:07:53 2012 +0200

    network: Handle argv property every time it changes
    
    Newer version of network-manager-applet required to avoid the
    run-time warnings though.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684983

 panels/network/cc-network-panel.c | 123 +++++++++++++++++++++++++++-----------
 1 file changed, 88 insertions(+), 35 deletions(-)

commit f49261bb8d0728f77c45a287c4fc9c94aaa7a494
Author: Jakub Steiner <jimmac@gmail.com>
Date:   Fri Aug 24 16:25:53 2012 +0200

    background: use a lighter texture for solid colors.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682612

 panels/background/Makefile.am             |   5 +++++
 panels/background/bg-colors-source.c      |   2 +-
 panels/background/noise-texture-light.png | Bin 0 -> 69136 bytes
 3 files changed, 6 insertions(+), 1 deletion(-)

commit 97af01b56f7fdbb979e4484c8c38a8d08935b9fb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 28 01:31:02 2012 +0200

    background: Fix preview when primary is not the leftmost
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684985

 panels/background/cc-background-panel.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 4c237034747e34bcc5d18f98d6111470e5eea69d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 27 22:39:12 2012 +0200

    network: Remove g_print() debug

 panels/network/net-device-wifi.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2ab1f2172338608f5b95858d46c05b71cf46b438
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 27 22:12:52 2012 +0200

    datetime: Update current time when tz changes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=665137

 panels/datetime/cc-datetime-panel.c | 4 ++++
 1 file changed, 4 insertions(+)

commit f4a8e0a73c2dc01bcaa8545fa399b944239f4201
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 27 20:37:01 2012 +0200

    background: Add debug to get_screenshot_async()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684985

 panels/background/cc-background-panel.c | 3 +++
 1 file changed, 3 insertions(+)

commit 112edc7cf72f34b6fc0b43ce714b3228f0b86699
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 27 20:36:35 2012 +0200

    background: Capture the primary monitor
    
    Not monitor 0.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684985

 panels/background/cc-background-panel.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit dc559e3a9953ccef8f01802031375a722164c458
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 27 20:26:50 2012 +0200

    network: Clean up all args when done handling them

 panels/network/cc-network-panel.c | 14 +++++++-------
 panels/network/network-dialogs.c  |  2 ++
 2 files changed, 9 insertions(+), 7 deletions(-)

commit 38cbe1fb1674bc4a152398683c2592b4be477004
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 27 20:22:57 2012 +0200

    network: Add function to clean up the argv property

 panels/network/cc-network-panel.c | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 5ae3d6b01aeda595f6a02454141f2c3be9ed673a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 27 16:11:55 2012 +0200

    wacom: Bump the required version of g-s-d
    
    So that GSD_WACOM_ACTION_TYPE_SWITCH_MONITOR is available.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684952

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 287b0b917ab1e8182a2f8da0d60c6210d5ce296b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 27 12:43:39 2012 +0200

    region: Fix possibly uninitialised variable

 panels/region/gnome-region-panel-system.c | 1 +
 1 file changed, 1 insertion(+)

commit 3d7e215024afd4b94c86a2328f6f07d71fbd9302
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 26 18:34:49 2012 +0200

    mouse: Reset test area to the bottom at every try
    
    This prevents window resizes from making the first visit to the
    mouse test area one that doesn't scroll all the way to the bottom.
    
    1. Open System Settings
    2. Open a panel that's smaller than the mouse one (eg. Background)
    3. Back to overview
    4. Open Mouse panel, click on test button
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684817

 panels/mouse/cc-mouse-panel.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit f48db43be9e3642040070c7f733580f15da41fa1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 26 17:25:28 2012 +0200

    common: Add more debug for select_current_language()

 panels/common/cc-common-language.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 7181ca7c95b4fa9c08a02afbd95e4e17d196f133
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Sep 25 17:47:04 2012 -0400

    user-panel: make the autologin cell renderer follow state
    
    Since it renders a symbolic icon, let it follow the state, so
    it takes the selected text color when the row is selected
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684828

 panels/user-accounts/um-user-panel.c | 1 +
 1 file changed, 1 insertion(+)

commit 89bb6457a2d9382deb4d37bfafc8636e8d3f2ca8
Author: Timur Zhamakeev <ztimur@gmail.com>
Date:   Wed Sep 26 22:28:56 2012 +0600

    Updated Kyrgyz translation

 po/ky.po | 245 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 125 insertions(+), 120 deletions(-)

commit 420240840a4c5f271342e12af34bc4ea1e968dbd
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Sep 25 17:38:31 2012 -0400

    printers: don't override search entry's icon name
    
    GtkSearchEntry already gets it right; this icon should be symbolic and
    there's no need to override it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684827

 panels/printers/new-printer-dialog.ui | 1 -
 1 file changed, 1 deletion(-)

commit cc07f54956614b0e4e04957c248e20e5061276ce
Author: Timur Zhamakeev <ztimur@gmail.com>
Date:   Wed Sep 26 12:52:35 2012 +0600

    Updated Kyrgyz translation

 po/ky.po | 308 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 159 insertions(+), 149 deletions(-)

commit 5115a8ba7a0b9446588e545aab58e80c3739c0a1
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Sep 26 08:49:32 2012 +0300

    Added uk translation

 po/uk.po | 12394 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 6207 insertions(+), 6187 deletions(-)

commit d1afdf4dd11c01b20704ebe304e6d07dc667a78c
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Wed Sep 26 11:51:49 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 193 +++++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po | 193 +++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 198 insertions(+), 188 deletions(-)

commit b3287e1b971db4955f2914be9f6ff69a89ad99dd
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 25 21:23:57 2012 +0200

    shell: Fix entering the same panel twice
    
    Manually this time.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684812

 shell/cinnamon-control-center.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a6cb76eff8984a263cd6bbb18fe962cb5ae658b5
Author: Timur Zhamakeev <ztimur@gmail.com>
Date:   Tue Sep 25 23:27:38 2012 +0600

    Added Kyrgyz translation

 po/ky.po | 734 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 381 insertions(+), 353 deletions(-)

commit 4abdc131c9725d116157c85f515cfab2f6b14b4a
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Fri Sep 21 22:24:50 2012 +0200

    Revert "region: Create a source from the X layout in use when setting is empty"
    
    This reverts commit 1e0192555b686f24d084903d4ce70b5534af6260.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684584

 panels/region/gnome-region-panel-input.c  | 48 -------------------------------
 panels/region/gnome-region-panel-input.h  |  2 --
 panels/region/gnome-region-panel-system.c |  6 ----
 3 files changed, 56 deletions(-)

commit 52387c58bea62059b4c99d1c7c176ba1d1281117
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 22 13:32:24 2012 -0400

    network: RTL flipping for details arrow
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684604

 panels/network/net-device-wifi.c | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit fb8b858cba020c850e09f65f9b4d83adecface3a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 22 23:04:02 2012 -0400

    sound: Flip the input level bar in RTL languages
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684603

 panels/sound/gvc-level-bar.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 2c8b16ed64e410482818e4a4bb245442fb51b1eb
Author: Timur Zhamakeev <ztimur@gmail.com>
Date:   Tue Sep 25 16:19:56 2012 +0600

    Added ky to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 70d405aaf602a440beb60e0133763fe29fa91f01
Author: Timur Zhamakeev <ztimur@gmail.com>
Date:   Tue Sep 25 16:19:36 2012 +0600

    Added Kyrgyz translation

 po/ky.po | 5183 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 5183 insertions(+)

commit 4a993e753a898899a6cc05dbbcc222ef6fe5cbae
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 24 11:37:56 2012 +0200

    online-accounts: Remove unneeded signal disconnections
    
    Those signals will not be emitted anymore, as the objects that
    could emit them will be destroyed.
    
    Fixes a warning on exit, as panel->accounts_treeview is already
    destroyed when we get there.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684702

 panels/online-accounts/cc-online-accounts-panel.c | 16 ++--------------
 1 file changed, 2 insertions(+), 14 deletions(-)

commit 8f3c5793bba8c152549535b5d2716766aeb1b91f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 25 10:47:48 2012 +0200

    3.6.0

 NEWS         | 17 +++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 18 insertions(+), 1 deletion(-)

commit fdbcda8233ef7438e6bc0a28ab34e4cda9dbed0b
Author: Petr Kovar <pkovar@redhat.com>
Date:   Mon Sep 24 22:03:45 2012 +0200

    Update Czech translation

 po/cs.po | 26 +++++++++++---------------
 1 file changed, 11 insertions(+), 15 deletions(-)

commit a80b3d75c501a08acbbd97406bd21d2926c72b42
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 22 14:08:29 2012 -0400

    users: Don't ask for the old password when none is set
    
    This prevents passwordless users (common on live cd setups) from
    setting a password.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684492

 panels/user-accounts/um-password-dialog.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 752bfc47aa776233c3aba1e38e04383719122926
Author: Petr Kovar <pkovar@redhat.com>
Date:   Mon Sep 24 16:01:31 2012 +0200

    Update Czech translation by Adam Matousek
    
    Review by Lucas Lommer.

 po/cs.po | 3204 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 1896 insertions(+), 1308 deletions(-)

commit f85347c5d05ea0500c8dbba88a8e024702b49601
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Sep 24 13:15:37 2012 +0200

    Update French translation

 po/fr.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 5198f7a5d05346b88bb17e3d3721f215e1508d5e
Author: Mattias P玫ldaru <mahfiaz@gmail.com>
Date:   Mon Sep 24 10:54:07 2012 +0300

    [l10n] Updated Estonian translation

 po/et.po | 2174 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 1491 insertions(+), 683 deletions(-)

commit cea712cc2191717d396c24b368eff3ff8369796e
Author: Timo Jyrinki <timo@debian.org>
Date:   Mon Sep 24 09:29:00 2012 +0300

    Finnish translation update by Jiri Gr枚nroos

 po/fi.po | 138 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 68 insertions(+), 70 deletions(-)

commit 154349ba08f3a65c33865cf7855ed2705c654c58
Author: Anita Reitere <nitalynx@gmail.com>
Date:   Mon Sep 24 01:18:00 2012 +0300

    Updated Latvian translation

 po/lv.po | 4367 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 2659 insertions(+), 1708 deletions(-)

commit d345f2e799560ceb31d9b987a1b389035ad488af
Author: Mario Bl盲ttermann <mario.blaettermann@gmail.com>
Date:   Sun Sep 23 14:40:37 2012 +0200

    [l10n] Updated German translation

 po/de.po | 436 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 218 insertions(+), 218 deletions(-)

commit c4f6c714632932e3ee9e12370974410df63143b7
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Sun Sep 23 16:25:39 2012 +0700

    Updated Thai translation

 po/th.po | 132 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 68 insertions(+), 64 deletions(-)

commit eaa0edee70cdda9310016e63042f8dfc6a14429e
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun Sep 23 01:26:38 2012 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 3685 +++++++++++++++++++++++++++++++++--------------------
 1 file changed, 2311 insertions(+), 1374 deletions(-)

commit 62328d03d5cb1579a0fdbb957d8c58848c6a793d
Author: Joan Duran <jodufi@gmail.com>
Date:   Sun Sep 23 01:26:26 2012 +0200

    [l10n] Updated Catalan translation

 po/ca.po | 3710 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 2324 insertions(+), 1386 deletions(-)

commit c2c69fb93e5abafe3a163d603c475f9d62a13878
Author: Cheng Lu <chenglu1990@gmail.com>
Date:   Sat Sep 22 21:22:44 2012 +0400

    update Simplified Chinese (zh_CN) translation

 po/zh_CN.po | 1921 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1040 insertions(+), 881 deletions(-)

commit f00a1cb6450140d0adb02782c0d8c0cac407a7c1
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat Sep 22 21:22:44 2012 +0400

    Updated Russian translation

 po/ru.po | 268 ++++++++++++++++++---------------------------------------------
 1 file changed, 77 insertions(+), 191 deletions(-)

commit c3d00a6c44f56292d3541bc489899d379a5132b4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Sep 21 16:07:46 2012 -0400

    Make connecting to Enterprise WPA work again
    
    gnome-shell relies on being able to call
    cinnamon-control-center network connect-8021x-wifi <DEVICE> <AP>
    This was broken in the big refactoring of the wifi panel
    last cycle. Bring it back.

 panels/network/cc-network-panel.c | 20 ++++++++++----------
 panels/network/net-device-wifi.c  | 11 -----------
 panels/network/network-dialogs.c  | 13 ++++++++++++-
 panels/network/network-dialogs.h  |  2 +-
 4 files changed, 23 insertions(+), 23 deletions(-)

commit 1218fff1cc1b0c2453d6d7dd668b54b3a412fd82
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Sep 22 14:58:10 2012 +0300

    Updated Hebrew translation.

 po/he.po | 349 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 183 insertions(+), 166 deletions(-)

commit f82d1246dac6746fad0ddc6fd8715485ef463925
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Sat Sep 22 11:22:09 2012 +0100

    Updated British English translation

 po/en_GB.po | 68 +++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 37 insertions(+), 31 deletions(-)

commit 867125c816075b1a15094132ef4b25ca1443f0c6
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Sat Sep 22 18:21:38 2012 +0900

    Updated Korean translation

 po/ko.po | 171 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 88 insertions(+), 83 deletions(-)

commit c8b4efd10bd05697ce66987085fcca6097c04f18
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 18 13:26:28 2012 +0200

    region: Switch to the input sources section
    
    When clicking on the link.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684280

 panels/region/gnome-region-panel-input.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 35029d6b17bc12f8d7d7bcdd8e6dd7b8befc7bf4
Author: Aurimas 膶ernius <aurisc4@gmail.com>
Date:   Fri Sep 21 20:50:56 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 131 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 65 insertions(+), 66 deletions(-)

commit 03ceb2dfea6e06e95e23e88bc97e1b98b4d1523b
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Sep 21 20:04:43 2012 +0300

    Updated Belarusian translation.

 po/be.po | 129 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 66 insertions(+), 63 deletions(-)

commit 8dd9ec4b2da2929908422ea5bad8c953185740cb
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Sep 21 17:52:01 2012 +0200

    Updated Spanish translation

 po/es.po | 120 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 62 insertions(+), 58 deletions(-)

commit ff96fb22c1f709b51f230f8d5b00f3371c0ceacd
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Fri Sep 21 20:30:06 2012 +0530

    Updated translation for Odia.

 po/or.po | 657 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 306 insertions(+), 351 deletions(-)

commit 65ed1ca9ef922072add434454a4606637d59ed01
Author: Ani Peter <apeter@redhat.com>
Date:   Fri Sep 21 19:42:11 2012 +0530

    Updated Malayalam file

 po/ml.po | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit f7ae60f058bf170945a2b24045755f77a70b5f00
Author: Ani Peter <apeter@redhat.com>
Date:   Fri Sep 21 19:39:09 2012 +0530

    Updated Malayalam file

 po/ml.po | 259 +++++++++++++++++++++------------------------------------------
 1 file changed, 85 insertions(+), 174 deletions(-)

commit 558a231fc6854ff72ee8560a90a488628a863fdd
Author: Ani Peter <apeter@redhat.com>
Date:   Fri Sep 21 19:36:24 2012 +0530

    Updated Malayalam file

 po/ml.po | 6167 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 3415 insertions(+), 2752 deletions(-)

commit 93af763f32afa66373e0fd82d0d2f8de27fa5401
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Fri Sep 21 17:41:04 2012 +0530

    Updated translation for Odia.

 po/or.po | 64 ++++++++++------------------------------------------------------
 1 file changed, 10 insertions(+), 54 deletions(-)

commit 024f2c49fb5c4d39f0c6a8c3d9b037fb23af1db2
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Fri Sep 21 12:42:45 2012 +0530

    Updated gujarati file

 po/gu.po | 72 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 36 insertions(+), 36 deletions(-)

commit cbab0b66ec90061ecf1e15726f4a272672ef6857
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Thu Sep 20 22:15:52 2012 +0100

    Updated Portuguese translation

 po/pt.po | 122 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 64 insertions(+), 58 deletions(-)

commit 876d41b141ee102fc383369459827101af406e69
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 20 20:58:28 2012 +0200

    shell: Pass args to existing panels
    
    When re-activating the same panel, we could destroy and recreate the
    panel, or better reuse the panel, and set the new argv
    (usually to switch pages).
    
    Since we're changing the "argv" property of panels to not be construct-
    only anymore, we reviewed the panels for potential memory leaks as well.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684490

 shell/cc-panel.c             |  2 +-
 shell/cinnamon-control-center.c | 29 +++++++++++++++++++++++------
 2 files changed, 24 insertions(+), 7 deletions(-)

commit ab435aa9e18f550e6926e06ab08e71282a9d442b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 20 20:51:14 2012 +0200

    shell: Rename current_panel to current_panel_box
    
    So that we can use current_panel for the current panel, not
    for the container parent of the panel.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684490

 shell/cinnamon-control-center.c | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit ca8d78e6201ba07d7b8546f62b1becd16e97f3da
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Fri Sep 21 01:14:06 2012 +0530

    Updated kn translation

 po/kn.po | 511 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 249 insertions(+), 262 deletions(-)

commit 74751e874eae8778b0d382440edb73809af5d015
Author: 袦懈褉芯褋谢邪胁 袧懈泻芯谢懈褯 <miroslavnikolic@rocketmail.com>
Date:   Thu Sep 20 20:58:04 2012 +0200

    Updated Serbian translation

 po/sr.po       | 134 +++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 134 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 136 insertions(+), 132 deletions(-)

commit 67d9f3a4b4655f41abfd538264a3dc0efc542bfc
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Sep 20 14:39:55 2012 +0200

    Updated Hungarian translation

 po/hu.po | 66 ++++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 35 insertions(+), 31 deletions(-)

commit 44bfa9d31fc5b138e859bbe30e6ffd38a6c2a86a
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Thu Sep 20 15:16:16 2012 +0530

    Updated gujarati file

 po/gu.po | 955 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 385 insertions(+), 570 deletions(-)

commit 45b2689f6bde5018bd1d18a2ba350cbaa598f9b9
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Thu Sep 20 11:09:42 2012 +0300

    Updated Greek translation

 po/el.po | 134 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 68 insertions(+), 66 deletions(-)

commit 0dfb1e2725c4b3adc2796a0de29d76068b5028d9
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Thu Sep 20 09:11:52 2012 +0200

    Update French translation

 po/fr.po | 127 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 65 insertions(+), 62 deletions(-)

commit 7fc288302f07fe0ed6ccc821893cdc603e2b2989
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Thu Sep 20 11:47:34 2012 +0530

    Updated Marathi Translations

 po/mr.po | 122 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 62 insertions(+), 60 deletions(-)

commit c9344e5f416adb5a116a1e67bdd67fdb7ed8098e
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Sep 20 06:40:53 2012 +0200

    Updated Arabic translation

 po/ar.po | 69 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 38 insertions(+), 31 deletions(-)

commit 5b776981f38674d2bc0f5fd48cad687a76133f77
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Wed Sep 19 23:25:14 2012 +0530

    Updated Telugu Translation

 po/te.po | 3809 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 2357 insertions(+), 1452 deletions(-)

commit 6782f962a5299e8c67630123718146e6934a83f4
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Wed Sep 19 20:45:31 2012 +0300

    Updated Bulgarian translation

 po/bg.po | 125 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 66 insertions(+), 59 deletions(-)

commit 9973d617496bae90e79f6c569a3f0cb82fddb59c
Author: Noriko Mizumoto <noriko@fedoraproject.org>
Date:   Thu Sep 20 01:12:15 2012 +0900

    [l10n] Update Japanese translation

 po/ja.po | 1273 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 595 insertions(+), 678 deletions(-)

commit d02c7c0338ff3146737bb9023fd9761ade7ed10c
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Sep 19 21:40:57 2012 +0530

    update Punjabi Translation

 po/pa.po | 134 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 68 insertions(+), 66 deletions(-)

commit 27f7319073955d42e5fec01266121e1c34909621
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Wed Sep 19 10:04:01 2012 -0300

    Updated Brazilian Portuguese Translation

 po/pt_BR.po | 101 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 50 insertions(+), 51 deletions(-)

commit 2406c3a4e9b7e1443350e9b4d6d08e39193fb3ae
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Wed Sep 19 17:51:00 2012 +0530

    updated Tamil translation

 po/ta.po | 343 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 183 insertions(+), 160 deletions(-)

commit 4d3bf50f1f8bfbe0425d1aab7e6aa0124890ffd6
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Wed Sep 19 16:55:22 2012 +0530

    hindi update

 po/hi.po | 40 +++++++++++++++++++---------------------
 1 file changed, 19 insertions(+), 21 deletions(-)

commit 80b89a87ff75c915d9b0940af8589bc299cb9ab5
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Wed Sep 19 14:17:15 2012 +0530

    hindi update

 po/hi.po | 465 ++++++++++++++++++++++-----------------------------------------
 1 file changed, 164 insertions(+), 301 deletions(-)

commit e3defaa82e3b82a2303c81b659d0b586b57b8eed
Author: Matej Urban膷i膷 <mateju@svn.gnome.org>
Date:   Wed Sep 19 09:03:44 2012 +0200

    Updated Slovenian translation

 po/sl.po | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 742a3cecd4d0bb4bb4b42a3b58e61ba8030e665d
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Wed Sep 19 12:06:41 2012 +0530

    Assamese translation updated

 po/as.po | 137 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 69 insertions(+), 68 deletions(-)

commit 9228ddc36e09a167ff4cab2707b14e5187dcf101
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Sep 19 10:37:38 2012 +0700

    Updated Indonesian translation

 po/id.po | 134 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 68 insertions(+), 66 deletions(-)

commit 50ae0268666a8fae2a175001427015bc7a0dc0fd
Author: Fran Di茅guez <fran.dieguez@mabishu.com>
Date:   Wed Sep 19 02:52:04 2012 +0200

    Updated Galician translations

 po/gl.po | 131 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 68 insertions(+), 63 deletions(-)

commit 25973a1ea4d75a41921bc986b9e182ac87254233
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Wed Sep 19 01:14:11 2012 +0200

    Updated Polish translation

 po/pl.po | 137 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 71 insertions(+), 66 deletions(-)

commit 5f27eb0cec5efd3da76fae8a8bfbb1bedf01656a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 19 00:52:24 2012 +0200

    power: Make Tip translatable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684309

 panels/power/cc-power-panel.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 491234c533adecf83abe03fa298e1e76639bdc4e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 18 19:01:36 2012 +0200

    keyboard: Handle arguments for the shortcuts tab
    
    So it's possible to switch directly to a section of the shortcuts
    tab, rather than have users look for particular sections when redirected
    there through a link.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684280

 panels/keyboard/cc-keyboard-panel.c | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit 22e31eb3f7c946cdf987f6fc38ef616bd82dd46e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 18 19:01:06 2012 +0200

    keyboard: Add ability to switch to a shortcuts section
    
    With some new API.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684280

 panels/keyboard/keyboard-shortcuts.c | 78 +++++++++++++++++++++++++++++++++---
 panels/keyboard/keyboard-shortcuts.h |  1 +
 2 files changed, 73 insertions(+), 6 deletions(-)

commit 968618ef8b0206971addf6924abc63b6d37795ba
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 18 18:57:50 2012 +0200

    keyboard: Add unique IDs for each shortcuts section
    
    Rather than relying on comparison of translated strings.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684280

 panels/keyboard/keyboard-shortcuts.c | 37 ++++++++++++++++++++----------------
 1 file changed, 21 insertions(+), 16 deletions(-)

commit d150446139a601276b3868260fa77fc31191ef69
Author: Matej Urban膷i膷 <mateju@svn.gnome.org>
Date:   Tue Sep 18 21:08:31 2012 +0200

    Updated Slovenian translation

 po/sl.po | 96 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 50 insertions(+), 46 deletions(-)

commit c3c0f2a3e54e00555666c05ad2d4a41ffbf3f7c4
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Tue Sep 18 18:39:52 2012 +0200

    Mark string as translatable

 panels/network/network-wifi.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 486d17039b0c8da44732b2e90ad717f585ffc841
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Sep 18 16:35:36 2012 +0200

    Updated Spanish translation

 po/es.po | 42 +++++++++++++++++++-----------------------
 1 file changed, 19 insertions(+), 23 deletions(-)

commit 5b6c95500b74c88e83b3c3452d6055d12e65ceb6
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Tue Sep 18 17:23:19 2012 +0530

    hindi update

 po/hi.po | 4290 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 2624 insertions(+), 1666 deletions(-)

commit a3cda9a3daa9d93a4c7044d820e15f1f00d97e1d
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Sep 18 10:04:28 2012 +0200

    Updated Hungarian translation

 po/hu.po | 1041 +++++++++++---------------------------------------------------
 1 file changed, 183 insertions(+), 858 deletions(-)

commit ff34f7e29b6e4e20ea7995a47b6ce0ea2a7b918d
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Tue Sep 18 13:33:00 2012 +0530

    Updated Marathi Translations

 po/mr.po | 248 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 111 insertions(+), 137 deletions(-)

commit c8bb4c8fbed5382e58dfbb0706d767d3c11433fe
Author: Chris Leonard <cjl@laptop.org>
Date:   Mon Sep 17 20:45:52 2012 +0100

    Updated British English translation

 po/en_GB.po | 572 +++++++++++++++++++++++++++++-------------------------------
 1 file changed, 281 insertions(+), 291 deletions(-)

commit 9648fae3beb793b6e0aab1cd727e25ec3012cd53
Author: Chris Leonard <cjl@laptop.org>
Date:   Mon Sep 17 20:42:58 2012 +0100

    Updated British English translation

 po/en_GB.po | 34 +++++++++++++++++++++++++++-------
 1 file changed, 27 insertions(+), 7 deletions(-)

commit d2209c3542cc762f76461cf88ee3b01a9ee85754
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Sep 17 20:43:41 2012 +0200

    Updated Arabic translation

 po/ar.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit e846becec0ba60170325a2e0db0d7fc091c9a070
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Sep 17 20:31:04 2012 +0200

    Updated Arabic translation

 po/ar.po | 357 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 187 insertions(+), 170 deletions(-)

commit 5a23d99ce95c707ce326ff6c9f75cc9e3175f058
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 17 19:49:36 2012 +0200

    3.5.92

 NEWS         | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 54 insertions(+), 1 deletion(-)

commit 95fb453d879b00f98c2e7cc13eb988ca48b2ae13
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 17 12:33:51 2012 +0100

    user-accounts: Disable password changing for remote users
    
    Works-around:
    https://bugs.freedesktop.org/show_bug.cgi?id=55002
    See also:
    https://bugzilla.gnome.org/show_bug.cgi?id=681866#c11

 panels/user-accounts/um-user-panel.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 0721469d566e1005415c974c8cfd29ad718497cd
Author: Stef Walter <stefw@gnome.org>
Date:   Mon Sep 17 14:19:53 2012 +0200

    user-accounts: Default LocalAccount property to TRUE
    
    When loading properties from the AccountsService we may encounter
    an implementation that does not yet have the LocalAccount property,
    so set the LocalAccount property to TRUE by default to make things
    work correctly in the above case.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684207

 panels/user-accounts/um-user.c | 3 +++
 1 file changed, 3 insertions(+)

commit 0882d9131823dc34f2b8aa70d91961422e54c408
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Mon Sep 17 22:31:57 2012 +0700

    Updated Thai translation

 po/th.po | 5257 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 3128 insertions(+), 2129 deletions(-)

commit 531c568645ba3ba21a8b600f8b7ab35925748d0b
Author: Djavan Fagundes <djavanf@gnome.org>
Date:   Mon Sep 17 10:05:34 2012 -0300

    Updated Brazilian Portuguese translation by Rafael Ferreira <rafael.f.f1@gmail.com> and myself

 po/pt_BR.po | 5061 +++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 3003 insertions(+), 2058 deletions(-)

commit 31a293bc08d2ac5fe3b0a8c9e8cb06b1d3b9d432
Author: Stef Walter <stefw@gnome.org>
Date:   Mon Sep 17 10:32:23 2012 +0200

    user-accounts: Fix memory leak of realm list
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684188

 panels/user-accounts/um-realm-manager.c | 1 +
 1 file changed, 1 insertion(+)

commit 65aaaf9d0451ba076ee7d8f09e7a472dc9926024
Author: Stef Walter <stefw@gnome.org>
Date:   Mon Sep 3 16:16:42 2012 +0200

    user-accounts: Add debug messages to user creation and realm procedures
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684185

 panels/user-accounts/um-account-dialog.c | 27 +++++++++++++++++
 panels/user-accounts/um-realm-manager.c  | 52 +++++++++++++++++++++++++++-----
 2 files changed, 72 insertions(+), 7 deletions(-)

commit 09e62d679c9f16fe05d476773632c3761510c92d
Author: Stef Walter <stefw@gnome.org>
Date:   Mon Sep 17 10:42:31 2012 +0200

    user-accounts: Relicense UmRealmManager to GPLv2+
    
    And update the 'Written By' of UmRealmManager
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683420

 panels/user-accounts/um-realm-manager.c | 5 ++---
 panels/user-accounts/um-realm-manager.h | 2 +-
 2 files changed, 3 insertions(+), 4 deletions(-)

commit b4251d847be7d25ffcdb28b85fbdef42a542222e
Author: Daiki Ueno <ueno@unixuser.org>
Date:   Thu Sep 13 10:15:46 2012 +0900

    region: move Amharic in IBus engine whitelist
    
    Move Amharic input method to non-trivial unconfirmed section.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683697

 panels/region/gnome-region-panel-input.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e09ca1074c1ed585d1379980f83a2ae191618080
Author: Daiki Ueno <ueno@unixuser.org>
Date:   Tue Sep 11 10:38:17 2012 +0900

    region: add non-trivial IBus engines to whitelist
    
    Add non-trivial IBus engines such as transliteration based ones.
    Though these engines have not yet confirmed by local language
    users, it would be probably safe to leave them.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683697

 panels/region/gnome-region-panel-input.c | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit bd5105d7f61d2e536d981991c6d94cc9f86fb7d1
Author: Daiki Ueno <ueno@unixuser.org>
Date:   Tue Sep 11 10:13:26 2012 +0900

    region: whitelist IBus engines with no XKB equiv
    
    Some IBus engines don't have XKB equivalents, so need to be
    whitelisted to be usable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683697

 panels/region/gnome-region-panel-input.c | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit ab43e935a5c4fc1824acaf9d9357be22be438657
Author: Daiki Ueno <ueno@unixuser.org>
Date:   Tue Sep 11 09:56:35 2012 +0900

    region: add wubi and erbi to IBus engine whitelist
    
    wubi and erbi (both from ibus-table) are popular stroke based input
    methods for inputing Simplified Chinese and Traditional Chinese.
    A local user said that wubi covers at least 20% of the Simplified
    Chinese users.  erbi is similar to wubi and getting popular because
    of easiness to learn.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683697

 panels/region/gnome-region-panel-input.c | 2 ++
 1 file changed, 2 insertions(+)

commit 521bcadd512f81a4c103f03177ced7c59049aae7
Author: Daiki Ueno <ueno@unixuser.org>
Date:   Thu Sep 13 10:03:37 2012 +0900

    region: remove Farsi item from IBus engine whitelist
    
    m17n:fa:isiri is removed from IBus engine whitelist, since it
    has XKB equivalent.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683697

 panels/region/gnome-region-panel-input.c | 3 ---
 1 file changed, 3 deletions(-)

commit 89007c64ff3a7584bc0e79c80910c6e22a244c1f
Author: Daiki Ueno <ueno@unixuser.org>
Date:   Tue Sep 11 09:51:50 2012 +0900

    region: mark Vietnamese IBus engine whitelist as confirmed
    
    A local user confirmed that the Vietnamese whitelist items cover 90% of
    the language users, thus it is now marked as "confirmed".
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683697

 panels/region/gnome-region-panel-input.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a61f0654b98357283ef68bea6d827aabc0a2779e
Author: Benjamin Berg <benjamin@sipsolutions.net>
Date:   Sun Sep 16 17:09:45 2012 -0400

    display: Fix coordinate calculations
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681475

 panels/display/scrollarea.c | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit bfca71076d654f91190b2349ad481aff9490c148
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 16 16:15:22 2012 -0400

    users: Fix a typo
    
    One translatable string contained the typo 'enterpise logins',
    where it should have said 'enterprise logins'. Pointed out in
    https://bugzilla.gnome.org/show_bug.cgi?id=684122
    
    This commit updates the msgid in all .po files, so translations
    should not be negatively affected by this string change.

 panels/user-accounts/data/account-dialog.ui | 2 +-
 po/ar.po                                    | 2 +-
 po/as.po                                    | 2 +-
 po/be.po                                    | 2 +-
 po/bg.po                                    | 2 +-
 po/da.po                                    | 2 +-
 po/de.po                                    | 2 +-
 po/el.po                                    | 2 +-
 po/en_GB.po                                 | 4 ++--
 po/es.po                                    | 2 +-
 po/fa.po                                    | 2 +-
 po/fi.po                                    | 2 +-
 po/fr.po                                    | 2 +-
 po/gl.po                                    | 2 +-
 po/gu.po                                    | 2 +-
 po/he.po                                    | 2 +-
 po/hu.po                                    | 2 +-
 po/id.po                                    | 2 +-
 po/ja.po                                    | 2 +-
 po/kn.po                                    | 2 +-
 po/ko.po                                    | 2 +-
 po/lt.po                                    | 2 +-
 po/mr.po                                    | 2 +-
 po/nb.po                                    | 2 +-
 po/or.po                                    | 2 +-
 po/pa.po                                    | 2 +-
 po/pl.po                                    | 2 +-
 po/pt.po                                    | 2 +-
 po/ru.po                                    | 2 +-
 po/sl.po                                    | 2 +-
 po/sr.po                                    | 2 +-
 po/sr@latin.po                              | 2 +-
 po/ta.po                                    | 2 +-
 po/uk.po                                    | 2 +-
 po/vi.po                                    | 2 +-
 po/zh_CN.po                                 | 2 +-
 po/zh_HK.po                                 | 2 +-
 po/zh_TW.po                                 | 2 +-
 38 files changed, 39 insertions(+), 39 deletions(-)

commit f251788f9ae4fb0a9dac84c4999d6bc11c3cc192
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Sep 16 15:46:25 2012 -0400

    region: Fix a layout problem on the system tab
    
    The Format: row was being pushed to the bottom, and when the
    input sources value was longer on the one side than the other,
    the horizontal alignment was broken.

 panels/region/gnome-region-panel.ui | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 914e8b25629dbb1c8da83926098ecd7de9c2242f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 13 01:23:38 2012 +0100

    region: Handle input sources in the system tab
    
    Unfortunately we don't have a way yet to make gsettings system wide
    defaults so we are just using the localed API to export the XKB input
    sources and ignore the IBus ones.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683875

 panels/region/gnome-region-panel-input.c  |   2 +-
 panels/region/gnome-region-panel-input.h  |   2 +
 panels/region/gnome-region-panel-system.c | 157 +++++++++++++++++++++++++++++-
 3 files changed, 155 insertions(+), 6 deletions(-)

commit 77700f82ffa623d9776ac5b3ab69a7f996b9c21b
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:   Mon Sep 17 01:35:00 2012 +0900

    Updated Korean translation

 po/ko.po | 3626 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 2037 insertions(+), 1589 deletions(-)

commit 8083977272c04107ec6f3f4c5d306517f05f45dc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Sep 16 13:19:38 2012 +0200

    Updated Spanish translation

 po/es.po | 201 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 111 insertions(+), 90 deletions(-)

commit f5c0dda9eb8add1618f8f6da58135229c363c47a
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Sep 16 12:22:50 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 294 ++++++++++++++++++++++++++++++++----------------------------
 po/zh_TW.po | 294 ++++++++++++++++++++++++++++++++----------------------------
 2 files changed, 312 insertions(+), 276 deletions(-)

commit c69d46cc4e098baaada0c40a6b61ec7cd24e889a
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Sep 16 02:04:10 2012 +0200

    Updated Danish translation

 po/da.po | 5055 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 2983 insertions(+), 2072 deletions(-)

commit e4907262773b42cb0a295c7f18f281e3d97f3479
Author: Matej Urban膷i膷 <mateju@svn.gnome.org>
Date:   Sat Sep 15 22:48:26 2012 +0200

    Updated Slovenian translation

 po/sl.po | 156 +++++++++++++++++++++++----------------------------------------
 1 file changed, 56 insertions(+), 100 deletions(-)

commit c063f854176e6ee2cf9a821972723dd7ff759fd6
Author: Matej Urban膷i膷 <mateju@svn.gnome.org>
Date:   Sat Sep 15 22:13:56 2012 +0200

    Updated Slovenian translation

 po/sl.po | 409 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 186 insertions(+), 223 deletions(-)

commit 08f57a1b6644e5c7a6249dae309f1c00d1bb5d71
Author: Timo Jyrinki <timo@debian.org>
Date:   Sat Sep 15 22:51:27 2012 +0300

    Finnish translation update by Jiri Gr枚nroos

 po/fi.po | 459 ++++++++++++++++++++++-----------------------------------------
 1 file changed, 160 insertions(+), 299 deletions(-)

commit d4e00f6ced184577be50ce918956450e3e2b9201
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Sep 15 19:41:33 2012 +0100

    Updated Portuguese translation

 po/pt.po | 204 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 110 insertions(+), 94 deletions(-)

commit 8cdcc1eb433571c03841db9fdc949d69d971c92f
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Sat Sep 15 15:39:39 2012 +0400

    Updated Russian translation

 po/ru.po | 154 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 64 insertions(+), 90 deletions(-)

commit 9b9dfc9ebd01791a211dfdaedb562e2d8fb3ba65
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:   Sat Sep 15 09:37:14 2012 +0300

    Updated Bulgarian translation

 po/bg.po | 3392 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 2007 insertions(+), 1385 deletions(-)

commit f52d6c35137d46fa136cce1ebdb23342d93647eb
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Sep 15 11:54:12 2012 +0700

    Updated Indonesian translation

 po/id.po | 274 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 141 insertions(+), 133 deletions(-)

commit 56744d801bd80b2cbb10885f6156dd527f9ae793
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Fri Sep 14 20:38:53 2012 +0400

    Updated Russian translation

 po/ru.po | 2912 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 1842 insertions(+), 1070 deletions(-)

commit b68b6d84cd01eff2517aed27c57b6471a65294d5
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri Sep 14 13:38:06 2012 +0200

    online-accounts: Get rid of extra "Add Account" label
    
    Back in the day when titles were not shown for modal dialogs we added
    the big "Add Account" label. Now that modal dialogs have titles, we
    don't need it anymore.
    
    Fixes: https://bugzilla.gnome.org/684013

 .../online-accounts/cc-online-accounts-add-account-dialog.c  | 12 +-----------
 1 file changed, 1 insertion(+), 11 deletions(-)

commit 5f6391059273bdf7309763a26ab499d9da7a7b0d
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Sep 14 13:21:57 2012 +0300

    Updated Belarusian translation.

 po/be.po | 258 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 135 insertions(+), 123 deletions(-)

commit 932a23ba308b9c009d76bc0949dc9856f23714c4
Author: 袦懈褉芯褋谢邪胁 袧懈泻芯谢懈褯 <miroslavnikolic@rocketmail.com>
Date:   Fri Sep 14 09:44:45 2012 +0200

    Updated Serbian translation

 po/sr.po       | 279 ++++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po | 279 ++++++++++++++++++++++++++++++---------------------------
 2 files changed, 298 insertions(+), 260 deletions(-)

commit 24f21af498e78965708f757ea7eafdfd7944c972
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Fri Sep 14 09:32:55 2012 +0200

    Update French translation

 po/fr.po | 3120 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 1850 insertions(+), 1270 deletions(-)

commit 8b036a133f5270c8a558463c63b13b86909d4919
Author: A S Alam <aalam@users.sf.net>
Date:   Fri Sep 14 07:24:20 2012 +0530

    update Punjabi Translation

 po/pa.po | 190 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 102 insertions(+), 88 deletions(-)

commit 1e0192555b686f24d084903d4ce70b5534af6260
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Sep 13 16:20:29 2012 +0200

    region: Create a source from the X layout in use when setting is empty
    
    We don't want to show an empty input sources list so we create a
    source from the current X layout in case the setting is empty.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683879

 panels/region/gnome-region-panel-input.c | 48 ++++++++++++++++++++++++++++++++
 1 file changed, 48 insertions(+)

commit fb6881d53b6487c3503e352b0bf0356faf6b637a
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Sat Sep 8 18:25:50 2012 +0200

    region: Handle the case of an empty input sources list
    
    We would end up in an endless loop on update.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683879

 panels/region/gnome-region-panel-input.c | 28 +++++++++++++---------------
 1 file changed, 13 insertions(+), 15 deletions(-)

commit ff5767b9cb56ec30b89be6d7dde47bf623373a23
Author: Fran Di茅guez <fran.dieguez@mabishu.com>
Date:   Fri Sep 14 00:12:31 2012 +0200

    Updated Galician translations

 po/gl.po | 185 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 100 insertions(+), 85 deletions(-)

commit 100c87519aa9a99d721855b3aa35457212eb1040
Author: Aurimas 膶ernius <aurisc4@gmail.com>
Date:   Thu Sep 13 22:37:21 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 263 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 135 insertions(+), 128 deletions(-)

commit 75f76aa453ffd3de23e0c4e506ca3151645614cc
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Thu Sep 13 20:11:53 2012 +0300

    uk update

 po/uk.po | 9144 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 4572 insertions(+), 4572 deletions(-)

commit d2e56f2bd6a14b2f497220061af4c238ebfcf293
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Thu Sep 13 20:06:35 2012 +0300

    uk update

 po/uk.po | 5069 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 2983 insertions(+), 2086 deletions(-)

commit d2b5c1cbfa137193557c446d3a49774c13056a9b
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Thu Sep 13 21:04:26 2012 +0530

    Assamese translation updated

 po/as.po | 205 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 104 insertions(+), 101 deletions(-)

commit 941dd0ead5fb2df239d47866876caa3a08b95511
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Thu Sep 13 17:02:36 2012 +0200

    Updated Polish translation

 po/pl.po | 267 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 138 insertions(+), 129 deletions(-)

commit 44fff9996a762299ac792d739eba43aefc2f6c55
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Thu Sep 13 18:02:27 2012 +0300

    Updated Greek translation

 po/el.po | 187 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 103 insertions(+), 84 deletions(-)

commit 98040db22a6450d7d782b8f63d83f6d86a870683
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 23:33:24 2012 -0400

    network: No selection in the wifi list
    
    Set the selection mode to none, to avoid a meaningless and
    distracting blue selection in the wifi list.

 panels/network/network-wifi.ui | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 794b89d561b20a7237509f581ac431a09b6265e6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 23:29:15 2012 -0400

    network: Handle activation in the wifi list better
    
    Instead of manually handling button release events on the
    treeview, use activatable cell renderers for the ssid text
    and for the arrow, and connect to activate signals for them.
    
    We use cell area focus-sibling technology to make the keynav
    in the list just have focus locations for the ssid and the
    arrow.
    
    This makes the details pages reachable by keynav, which was
    not the case before.

 panels/network/net-device-wifi.c | 203 ++++++++++++++++++++-------------------
 1 file changed, 106 insertions(+), 97 deletions(-)

commit 24968aad71ddd32edd5213f7eef925a180bfaf25
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 23:28:10 2012 -0400

    network: Add cell renderers
    
    These are activatable variants of text and pixbuf cell
    renderers. They emit an 'activate' signal when clicked
    or activated by keyboard.

 panels/network/Makefile.am                  |  4 ++
 panels/network/panel-cell-renderer-pixbuf.c | 82 +++++++++++++++++++++++++++++
 panels/network/panel-cell-renderer-pixbuf.h | 61 +++++++++++++++++++++
 panels/network/panel-cell-renderer-text.c   | 82 +++++++++++++++++++++++++++++
 panels/network/panel-cell-renderer-text.h   | 61 +++++++++++++++++++++
 5 files changed, 290 insertions(+)

commit 292c8b9fe68bad03186c9bc22acfdeecb2aa731b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 23:32:21 2012 -0400

    network: Don't override cell renderer properties
    
    The mode cell renderer had a property named 'mode', which
    clashed with the GtkCellRenderer property of that name, which
    confused the treeview keynav.
    
    Rename the new property to ap-mode.

 panels/network/net-device-wifi.c          |  2 +-
 panels/network/panel-cell-renderer-mode.c | 10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 701fb2846ff8c8705e7df3e284b57d34acc0aeff
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 21:37:47 2012 -0400

    network: Avoid critical warnings
    
    Remove the reference to the new longer existing viewport_list
    widget, and be more careful about getting a NMRemoteSettings
    object when calculating the last used time.

 panels/network/net-device-wifi.c | 106 +++++++++++++++++++--------------------
 1 file changed, 51 insertions(+), 55 deletions(-)

commit 36958cbf84325805ee16f74a04362239f607e9ff
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 21:17:47 2012 -0400

    network: Improve the wifi list appearance
    
    Use non-symbolic icons for the arrow, and add padding around the
    arrow and the check mark.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682270

 panels/network/net-device-wifi.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit a04445ebd75d48ab25489647c096eca137ad538a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 21:17:24 2012 -0400

    network: Remove one more reference to the subnet widgets

 panels/network/panel-common.c | 5 -----
 1 file changed, 5 deletions(-)

commit 7882874a14b62dfbaf93aa05a698e0007c79344f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 21:13:19 2012 -0400

    network: Remove a reference to a no-longer existing widget

 panels/network/network-wired.ui | 1 -
 1 file changed, 1 deletion(-)

commit 63fd710f8334b2c24d84a5722754c98c378e0594
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 20:26:11 2012 -0400

    network: Small tweak for vpn page
    
    Make selectable labels on the vpn page focusable as well.

 panels/network/network-vpn.ui | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit aec8cdd7f19374b265d0d5ccd2700a9ab8eaf9e1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 20:24:48 2012 -0400

    network: Don't show subnet for wired either
    
    We don't show it for wifi details, and it is causing ugly warnings
    from the setting code.
    
    At the same time, make all selectable labels on the wired page
    focusable as well, to be consistent with wifi.

 panels/network/network-wired.ui | 51 ++++++++---------------------------------
 panels/network/panel-common.c   |  7 ------
 2 files changed, 9 insertions(+), 49 deletions(-)

commit 17e3c23cd5d75cc89341a22cb54ee6f484d6261b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 20:10:26 2012 -0400

    network: Remove references to no-longer existing widgets
    
    And also make sure the initial focus on the details page is
    always on the back button.

 panels/network/net-device-wifi.c | 32 +++++++++++++++++---------------
 1 file changed, 17 insertions(+), 15 deletions(-)

commit 75d815ded3903734f0ae25bc0eecb401bd225beb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 19:48:36 2012 -0400

    network: Remove the saved-ap tab
    
    Saved connections without an access point are now shown
    in the same tab as all the others.

 panels/network/net-device-wifi.c |  22 +---
 panels/network/network-wifi.ui   | 249 ---------------------------------------
 2 files changed, 2 insertions(+), 269 deletions(-)

commit 18248493d51ab12081b81a43694869cdbc95c4a0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 19:41:31 2012 -0400

    network: Remove an unused object from the ui file

 panels/network/network-wifi.ui | 5 -----
 1 file changed, 5 deletions(-)

commit 32c29a3f253b13910912b3529d3ddfccc02c9f91
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 19:35:15 2012 -0400

    network: Only show 'Out of range' when appropriate
    
    Showing it whenever we have a saved connection goes wrong for
    all items where we have both an ap and a saved connection.
    
    Also, use the same details page for out-of-range saved connections.

 panels/network/net-device-wifi.c | 42 ++++++++++++++++++----------------------
 panels/network/network-wifi.ui   | 10 ++++++----
 2 files changed, 25 insertions(+), 27 deletions(-)

commit 3871d52947120c4b08e3898ae6e0e5ab0294898b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 19:06:28 2012 -0400

    network: Make 'Connect to hidden' work again

 panels/network/net-device-wifi.c | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit f10a29b10f5ae2fbf681481d400ec44393092c59
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 18:15:53 2012 -0400

    network: Make all values selectable and focusable
    
    Also, sort them so that the focus chain makes sense.

 panels/network/network-wifi.ui | 287 ++++++++++++++++++++---------------------
 1 file changed, 143 insertions(+), 144 deletions(-)

commit 78e9ed9ceacb0b09cbe4eda35261dc66b4d8222e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 17:49:25 2012 -0400

    network: Say 'never' when the connection hasn't been used
    
    Nicer to say 'Last used: never', then to show nothing.

 panels/network/net-device-wifi.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 16011384efe4ad5841be067b2856060c949f87b3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 17:47:01 2012 -0400

    network: Say 'today' instead of '0 days ago'
    
    'Last used: 0 days ago' is odd. Also, say 'yesterday' instead
    of '1 day ago'.

 panels/network/net-device-wifi.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit f6aff65e6434a92dddcbc43dd3dfc815fdc253dc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 17:44:05 2012 -0400

    network: Add a 'Last used' item
    
    Copy the 'Last used' item for non-active, in-range access
    points.
    
    This is another step towards using the same details page
    for all aps and connections.

 panels/network/net-device-wifi.c |  10 ++
 panels/network/network-wifi.ui   | 279 ++++++++++++++++++++++-----------------
 2 files changed, 166 insertions(+), 123 deletions(-)

commit ab045fcc0b9a48267a4c61ed9918a51407b1171d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 17:30:37 2012 -0400

    network: Add a period to the disconnect warning

 panels/network/net-device-wifi.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ba197468b76e935608b6b3af5a7c4ae2a7f6c8a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 17:29:46 2012 -0400

    network: Add a 'Connect' button
    
    When showing details of a non-active access point, replace the
    'Disconnect' button with a 'Connect' button.

 panels/network/net-device-wifi.c |  60 +++++++++++++++++++++--
 panels/network/network-wifi.ui   | 102 +++++++++++++++++++++++++--------------
 2 files changed, 122 insertions(+), 40 deletions(-)

commit 518efcda09cc492792732dca04b2124c43c3b154
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 16:58:14 2012 -0400

    network: Start handling disconnected APs correctly
    
    When showing the details for an in-range, but not active access
    point, we were just always showing details for the currently
    active connection. This commit starts to sort things apart.

 panels/network/net-device-wifi.c | 120 ++++++++++++++++++++++++---------------
 panels/network/network-wifi.ui   |  28 ++++-----
 panels/network/panel-common.c    |  10 ++++
 panels/network/panel-common.h    |   1 +
 4 files changed, 94 insertions(+), 65 deletions(-)

commit bcbc6d1aafbb26f6379e0448da16539afcab8d53
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 16:11:29 2012 -0400

    network: Remove unused object from ui file
    
    The liststore for wifi connections is now defined in
    network-wifi.ui, the object in network.ui is a leftover.

 panels/network/network.ui | 18 ------------------
 1 file changed, 18 deletions(-)

commit 69a823f9a9a2ea986de293b48c779391ac4ad0bd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 15:41:18 2012 -0400

    network: Rename a function
    
    'Connect to hidden' is not really an access point.
    Update the function name to reflect that. Also, update
    the translator comment to be more to the point.

 panels/network/net-device-wifi.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit ac67290cb7cf2f0830afd39350d5e501c7d1d0d9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 15:25:31 2012 -0400

    network: Make the 'Settings...' buttons work properly
    
    The code was assuming that 'editing' always means editing the
    currently active connection. With the new design of the wifi
    details tabs, that is no longer the case, we want to be able
    to edit non-active connections. This commit makes it so.

 panels/network/net-device-wifi.c | 48 +++++++++++++++++++++++++++++++++++-----
 1 file changed, 42 insertions(+), 6 deletions(-)

commit 56a0be042243d250c32c98c448b20049f56bc7c3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 15:24:39 2012 -0400

    network: Add more buttons
    
    Make the details pages for in-range and out-of-range aps more
    similar, by adding 'Forget Network' and 'Settings...' buttons
    to both.
    
    This is a step towards using the same details page for all
    aps and connections.

 panels/network/network-wifi.ui | 127 +++++++++++++++++++++++++++--------------
 1 file changed, 84 insertions(+), 43 deletions(-)

commit 31dade6279e9b23f77d37beb013921f009be0168
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 14:23:36 2012 -0400

    network: Mark all rows representing saved connections as such
    
    When we find a saved connection among the access points already
    in the list, we forget to mark it as saved, so the arrow to go
    to the details page is not shown.

 panels/network/net-device-wifi.c | 1 +
 1 file changed, 1 insertion(+)

commit ec629b73ad5e2b29eb49992861b0c46faf58b7b4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Sep 8 14:22:17 2012 -0400

    network: Add a separator before the arrow when needed
    
    The separator is giving a hint that there are two clickable
    areas in the row.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682270

 panels/network/Makefile.am                     |   2 +
 panels/network/net-device-wifi.c               |  57 ++++++++++-
 panels/network/panel-cell-renderer-separator.c | 130 +++++++++++++++++++++++++
 panels/network/panel-cell-renderer-separator.h |  62 ++++++++++++
 4 files changed, 250 insertions(+), 1 deletion(-)

commit 7ef84e87e9728587aea5fd3cf80031c5b1a894c1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 13 01:19:35 2012 -0400

    mouse: Fix accessible labels for switches in mouse panel
    
    Setting mnemonic-widget on the labels makes orca read out meaningful
    text for the switches.
    https://bugzilla.gnome.org/show_bug.cgi?id=683703

 panels/mouse/gnome-mouse-properties.ui | 1 +
 1 file changed, 1 insertion(+)

commit 828e896e12a31427e6e56f855365bfca2ff151dc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 13 01:18:55 2012 -0400

    bluetooth: Fix accessible labels for switches in bluetooth panel
    
    Setting mnemonic-widget on the labels makes orca read out meaningful
    text for the switches.
    https://bugzilla.gnome.org/show_bug.cgi?id=683703

 panels/bluetooth/bluetooth.ui | 2 ++
 1 file changed, 2 insertions(+)

commit 1db660c410769930eef6d043e36e3e13f4267a96
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 13 00:40:32 2012 -0400

    screen: Make notification checkbox focusable
    
    This was certainly just an oversight, but it makes the
    checkbox essentially nonaccessible.

 panels/screen/screen.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 539d78cb63e542b6d0e060c9d2e41ea817701458
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 13 06:28:44 2012 -0400

    universal access: Fix labels for switches in zoom options
    
    Setting mnemonic-widget on the labels makes orca read out meaningful
    text for the switches.
    https://bugzilla.gnome.org/show_bug.cgi?id=683703

 panels/universal-access/zoom-options.ui | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 4e24e944ebed97cf9ca7e813267b6ffbb1fa7090
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 13 06:26:24 2012 -0400

    Universal access: Fix up whitespace in zoom options dialog
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683544

 panels/universal-access/zoom-options.ui | 56 ++++++++++++++++-----------------
 1 file changed, 27 insertions(+), 29 deletions(-)

commit d5a186d26c3bf4f9af9eab6c786b44e45ca82f3a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 13 00:38:46 2012 -0400

    universal access: Fix accessible labels for switches
    
    Setting mnemonic-widget on the labels makes orca read out meaningful
    text for the switches.
    https://bugzilla.gnome.org/show_bug.cgi?id=683703

 panels/universal-access/uap.ui | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 4f59a4aee657b11aa11fe23f74cea8a570725083
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Thu Sep 13 13:15:55 2012 +0300

    Updated Greek translation

 po/el.po | 185 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 87 insertions(+), 98 deletions(-)

commit e0c68028be17a5a102c699620f08486616027f62
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Sep 13 09:46:00 2012 +0200

    Updated Spanish translation

 po/es.po | 99 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 47 insertions(+), 52 deletions(-)

commit 8679167492daf471e2bb81dbae82ecc565fe4177
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:   Wed Sep 12 22:31:31 2012 +0300

    Finnish translation update by Jiri Gr枚nroos

 po/fi.po | 3883 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 2490 insertions(+), 1393 deletions(-)

commit 5186ae767c343a349637a992eed578994eaac144
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Wed Sep 12 20:31:03 2012 +0530

    Updated translation for Odia.

 po/or.po | 3976 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 2584 insertions(+), 1392 deletions(-)

commit 885f44c1c8bd56de99477d6721e9440e901bb432
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Wed Sep 12 18:43:01 2012 +0530

    Updated kn translation

 po/kn.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e9c6aefeb70db2238d8281415ed192c63885fb79
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Wed Sep 12 18:39:18 2012 +0530

    Updated kn translation

 po/kn.po | 78 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 36 insertions(+), 42 deletions(-)

commit c4544a8a470b3dd3cc396b77f5416f2fa8024845
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Wed Sep 12 16:31:35 2012 +0530

    Updated kn translation

 po/kn.po | 82 +++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 48 insertions(+), 34 deletions(-)

commit d06250b1bab3f25de55c5d43e0344a6b36550f11
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Wed Sep 12 15:44:41 2012 +0530

    Updated Marathi Translations

 po/mr.po | 1906 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 866 insertions(+), 1040 deletions(-)

commit 2a88736cf61395b731b3d3f8f9615ec11248d004
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 12 10:24:19 2012 +0100

    wacom: Add link to wacom docs
    
    And not the generic control-center docs.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=675471#c40

 panels/wacom/cc-wacom-panel.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 2ebf2ecad24df1567380d30b2d2929aa63e9fc90
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 12 10:23:39 2012 +0100

    wacom: Bump g-s-d requirement
    
    For the new action type.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 083c19d5528f5c765a2990e9a8c13e45563c1fbb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 12 09:44:00 2012 +0100

    wacom: Bump minimum libwacom req to 0.6

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1384bb5ecea83fce78a1a7451e86ac09f6b76cd9
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Sep 12 07:20:56 2012 +0530

    update Punjabi Translation

 po/pa.po | 382 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 186 insertions(+), 196 deletions(-)

commit eebb95d2f7a7697324518cab64d9cd1418ca6855
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Sep 11 20:46:30 2012 +0530

    Assamese translation updated

 po/as.po | 782 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 408 insertions(+), 374 deletions(-)

commit 3550944c489d3d73be2f409765f7895e2f828128
Author: Nguy峄卬 Th谩i Ng峄峜 Duy <pclouds@gmail.com>
Date:   Tue Sep 11 21:04:02 2012 +0700

    Updated Vietnamese translation

 po/vi.po | 26 ++++++++------------------
 1 file changed, 8 insertions(+), 18 deletions(-)

commit 34da50157175abbb569b408d745aa11168e82621
Author: Nguy峄卬 Th谩i Ng峄峜 Duy <pclouds@gmail.com>
Date:   Tue Sep 11 21:01:25 2012 +0700

    po/vi.po: import from Damned Lies

 po/vi.po | 438 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 232 insertions(+), 206 deletions(-)

commit 1eb906515fe100bb3193ed29ceda616266f5ebd4
Author: Marek Kasik <mkasik@redhat.com>
Date:   Thu Sep 6 14:06:01 2012 +0200

    printers: Use GPLv2+ for files created by Marek Kasik
    
    This commit is related to the bug #683420.

 panels/printers/pp-cups.c                 | 2 +-
 panels/printers/pp-cups.h                 | 2 +-
 panels/printers/pp-host.c                 | 2 +-
 panels/printers/pp-host.h                 | 2 +-
 panels/printers/pp-ipp-option-widget.c    | 2 +-
 panels/printers/pp-ipp-option-widget.h    | 2 +-
 panels/printers/pp-jobs-dialog.c          | 2 +-
 panels/printers/pp-jobs-dialog.h          | 2 +-
 panels/printers/pp-maintenance-command.c  | 2 +-
 panels/printers/pp-maintenance-command.h  | 2 +-
 panels/printers/pp-new-printer-dialog.c   | 2 +-
 panels/printers/pp-new-printer-dialog.h   | 2 +-
 panels/printers/pp-new-printer.c          | 2 +-
 panels/printers/pp-new-printer.h          | 2 +-
 panels/printers/pp-options-dialog.c       | 2 +-
 panels/printers/pp-options-dialog.h       | 2 +-
 panels/printers/pp-ppd-option-widget.c    | 2 +-
 panels/printers/pp-ppd-option-widget.h    | 2 +-
 panels/printers/pp-ppd-selection-dialog.c | 2 +-
 panels/printers/pp-ppd-selection-dialog.h | 2 +-
 panels/printers/pp-utils.c                | 2 +-
 panels/printers/pp-utils.h                | 2 +-
 22 files changed, 22 insertions(+), 22 deletions(-)

commit fde7b55ce3902d2772a0ecf046f6f544f78dd2ac
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Tue Sep 11 18:33:16 2012 +0530

    Updated kn translation

 po/kn.po | 1685 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 857 insertions(+), 828 deletions(-)

commit 52dca977990e4e5194378bcaac957b7a3843a501
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Tue Sep 11 16:58:13 2012 +0530

    Updated gujarati file

 po/gu.po | 4074 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 2518 insertions(+), 1556 deletions(-)

commit e2d852c58390a8d2d9b730620b3a2ddd919402e4
Author: Nguy峄卬 Th谩i Ng峄峜 Duy <pclouds@gmail.com>
Date:   Mon Sep 10 21:25:01 2012 +0700

    Updated Vietnamese translation

 po/vi.po | 54 +++++++++++++++++++-----------------------------------
 1 file changed, 19 insertions(+), 35 deletions(-)

commit 0a0bc59afacc08fe0ec6378a7171eb3fdb549fe3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 10 14:55:04 2012 +0100

    printers: Avoid redefinition of UserResponseCallback
    
    It was declared to be the same value in all three headers, which
    causes problems with old version of GCC.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683696

 panels/printers/pp-jobs-dialog.h          | 3 +--
 panels/printers/pp-options-dialog.h       | 3 +--
 panels/printers/pp-ppd-selection-dialog.h | 2 --
 panels/printers/pp-utils.h                | 2 ++
 4 files changed, 4 insertions(+), 6 deletions(-)

commit 312a5dfe874483ebfd59c960b804e70086ac4519
Author: William Jon McCann <jmccann@redhat.com>
Date:   Mon Sep 10 09:42:24 2012 -0400

    Set pixbuf renderer stock size to 32 so emblems render at 16px
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682123

 panels/background/cc-background-chooser-dialog.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 35219123286cfcf08452ef49e2c6a578fd1fd1f3
Author: Fran Di茅guez <fran.dieguez@mabishu.com>
Date:   Mon Sep 10 15:06:37 2012 +0200

    Updated Galician translations

 po/gl.po | 108 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 56 insertions(+), 52 deletions(-)

commit f2e54f77feb22cd021ba8676878594f81169ec8d
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Mon Sep 10 01:11:43 2012 +0100

    Updated Portuguese translation

 po/pt.po | 3754 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 2312 insertions(+), 1442 deletions(-)

commit 8af69625d3373809ffb5e603e69c6979e5e67247
Author: Daiki Ueno <ueno@unixuser.org>
Date:   Tue Aug 28 14:04:34 2012 +0900

    region: Use ibus_get_language_name() to get a language from its code
    
    ibus_engine_desc_get_language() may return an empty string or language
    codes that gdm_get_language_from_name() doesn't understand. Use
    ibus_get_language_name() instead to handle such cases properly.
    
    This also allows us to use the same method in gnome-shell to get
    consistent display strings.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682851

 panels/region/gnome-region-panel-input.c | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 830c1aa5a2df1d4a5a37656b3ee5ec86117d9c97
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Sat Sep 8 15:28:58 2012 +0430

    l10n: Updated Persian translation

 po/fa.po | 5085 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 3413 insertions(+), 1672 deletions(-)

commit 014f153dcfdc0ff62a4d8a3a5a0f336ead1f7fb8
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Sep 8 00:03:33 2012 +0200

    Updated Hungarian translation

 po/hu.po | 5194 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 3146 insertions(+), 2048 deletions(-)

commit 5f353fa2b6d44a4be4e601b25f712e73736cd4c2
Author: Michael Terry <michael.terry@canonical.com>
Date:   Fri Sep 7 15:37:42 2012 -0400

    power: Use GCancellable better, to avoid a crash
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683533

 panels/power/cc-power-panel.c | 37 ++++++++++++++++++++++---------------
 1 file changed, 22 insertions(+), 15 deletions(-)

commit 11d808953933143bb272730a417322c8161e7f3d
Author: Aurimas 膶ernius <aurisc4@gmail.com>
Date:   Fri Sep 7 20:33:36 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 251 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 106 insertions(+), 145 deletions(-)

commit 3406a950b6bd5e023e9d348adb5e20ea7df46a60
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Sep 7 19:29:17 2012 +0300

    Updated Belarusian translation.

 po/be.po | 999 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 476 insertions(+), 523 deletions(-)

commit ec35ef91d6e5f863ac4e2c6ec2cb4f68d0b72c11
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Sep 7 16:19:00 2012 +0300

    Updated Hebrew translation.

 po/he.po | 536 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 289 insertions(+), 247 deletions(-)

commit 12a319875a96b01e8f717880371a6e462a51fcb9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 28 16:27:19 2012 +0100

    bluetooth: Don't break the custom widgets on connect
    
    We used to destroy and recreate the custom widgets whenever any of
    the properties changed. Now we make sure that the custom widgets are
    only destroyed and recreated when the device selected is a different one.
    
    This fixes NetworkManager's Bluetooth plugins getting destroyed
    because the Connected property changed, as it was trying to connect to
    the device.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681456

 panels/bluetooth/cc-bluetooth-panel.c | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit ba7171a57972cf7cd3189ac006aad492db302a9c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 6 19:17:21 2012 -0400

    Set a window title on the add printer dialog
    
    Otherwise, it shows up as cinnamon-control-center, which is ugly.

 panels/printers/new-printer-dialog.ui | 1 +
 1 file changed, 1 insertion(+)

commit 299530a7a6f9a3ebb028a4c1e9ae02e0b2c5b651
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 6 19:12:19 2012 -0400

    Set a window title on the add network dialog
    
    Otherwise, it shows up as cinnamon-control-center, which is ugly.

 panels/network/network.ui | 1 +
 1 file changed, 1 insertion(+)

commit cd0363d3f59d7d53d28188bef3479073f724d1ce
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 6 19:10:37 2012 -0400

    Set a window title on the hotspot dialog
    
    Set a blank title on the hotspot dialog, otherwise it shows up
    as cinnamon-control-center, which is ugly.

 panels/network/network-wifi.ui | 1 +
 1 file changed, 1 insertion(+)

commit a955ec4152584f208c4e4e26bf58a1a4d285ce7a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Sep 6 07:43:05 2012 -0400

    Switch files created by me to GPLv2+
    
    This matches the rest of the control-center code base.
    https://bugzilla.gnome.org/show_bug.cgi?id=683420

 panels/common/cc-common-language.c        | 2 +-
 panels/common/cc-common-language.h        | 2 +-
 panels/common/cc-language-chooser.c       | 2 +-
 panels/common/cc-language-chooser.h       | 2 +-
 panels/user-accounts/pw-utils.c           | 2 +-
 panels/user-accounts/pw-utils.h           | 2 +-
 panels/user-accounts/um-account-dialog.c  | 2 +-
 panels/user-accounts/um-account-dialog.h  | 2 +-
 panels/user-accounts/um-account-type.c    | 2 +-
 panels/user-accounts/um-account-type.h    | 2 +-
 panels/user-accounts/um-crop-area.c       | 2 +-
 panels/user-accounts/um-editable-button.c | 2 +-
 panels/user-accounts/um-editable-button.h | 2 +-
 panels/user-accounts/um-editable-combo.c  | 2 +-
 panels/user-accounts/um-editable-combo.h  | 2 +-
 panels/user-accounts/um-password-dialog.c | 2 +-
 panels/user-accounts/um-password-dialog.h | 2 +-
 panels/user-accounts/um-photo-dialog.c    | 2 +-
 panels/user-accounts/um-photo-dialog.h    | 2 +-
 panels/user-accounts/um-user-manager.c    | 2 +-
 panels/user-accounts/um-user-manager.h    | 2 +-
 panels/user-accounts/um-user-module.c     | 2 +-
 panels/user-accounts/um-user-panel.c      | 2 +-
 panels/user-accounts/um-user-panel.h      | 2 +-
 panels/user-accounts/um-utils.c           | 2 +-
 panels/user-accounts/um-utils.h           | 2 +-
 shell/cc-editable-entry.c                 | 2 +-
 shell/cc-editable-entry.h                 | 2 +-
 28 files changed, 28 insertions(+), 28 deletions(-)

commit 611cc74c14881fb019b43fe176ff004a3ab10b25
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Fri Sep 7 00:07:21 2012 +0200

    Updated German translation

 po/de.po | 2536 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 1206 insertions(+), 1330 deletions(-)

commit 8d5a43a0878a6ecfdbb4224750b2faf565d4a9bb
Author: 袦懈褉芯褋谢邪胁 袧懈泻芯谢懈褯 <miroslavnikolic@rocketmail.com>
Date:   Thu Sep 6 22:54:31 2012 +0200

    Updated Serbian translation

 po/sr.po       | 51 +++++++++++++--------------------------------------
 po/sr@latin.po | 51 +++++++++++++--------------------------------------
 2 files changed, 26 insertions(+), 76 deletions(-)

commit 406b1f4b74570a4497683efa33d37db238a004bd
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Thu Sep 6 21:49:33 2012 +0200

    Fix Slovenian translation

 po/sl.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 19d04d6dff5c49f3076ccc98e6bf3e97b2c2c004
Author: Matej Urban膷i膷 <mateju@svn.gnome.org>
Date:   Thu Sep 6 21:09:39 2012 +0200

    Updated Slovenian translation

 po/sl.po | 2605 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 1545 insertions(+), 1060 deletions(-)

commit 226a0af02893d83faee0faeba40c8ebb6a443b5e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Sep 6 18:26:14 2012 +0200

    Updated Spanish translation

 po/es.po | 288 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 143 insertions(+), 145 deletions(-)

commit c1857b0f9c80434890679ace83865db5d2565fa6
Author: Benjamin Berg <benjamin@sipsolutions.net>
Date:   Wed Aug 8 21:49:00 2012 +0200

    display: Fix mouse events not working in preview
    
    We need to save event areas with the correct transformation.
    
    The following things need to be take into account:
     * Current cairo matrix (translations)
     * Widget allocation because it is painting on the parents widgets window
     * Cairo device offset, which GTK+ sets (but not for a full window redraw)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681475

 panels/display/scrollarea.c | 34 +++++++++++++++++++++++++++-------
 1 file changed, 27 insertions(+), 7 deletions(-)

commit 72cce6b89f7013a9004ddd3b240c823155cc49ce
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Sep 6 16:00:01 2012 +0700

    Updated Indonesian translation

 po/id.po | 65 ++++++++--------------------------------------------------------
 1 file changed, 8 insertions(+), 57 deletions(-)

commit 4130be13b55fdf1f6d7d76c2f7b928a4f3fcf2c4
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Thu Sep 6 15:57:42 2012 +0700

    Updated Indonesian translation

 po/id.po | 323 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 147 insertions(+), 176 deletions(-)

commit 3e86bed190ae912778ff8b1b6dd3f3d552168a30
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Thu Sep 6 02:37:48 2012 +0300

    Updated Greek translation

 po/el.po | 282 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 144 insertions(+), 138 deletions(-)

commit 954b530d37fe5070fc64d508d3498fc4218c66d4
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Wed Sep 5 21:07:06 2012 +0200

    Updated Polish translation
    
    \m/
    
    I kinda miss the easter egg GEGL Invaders game.

 po/pl.po | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

commit eee381abddf230a2518ff49e745eab4903ed0d45
Author: Florian M眉llner <fmuellner@gnome.org>
Date:   Wed Aug 22 19:28:41 2012 +0200

    mouse: Add penta-click test in addition to double-click
    
    Clicking anything five times should obviously bring up an image (by
    Jakub Steiner) of a five-legged goat :-)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682492

 panels/mouse/Makefile.am           |    1 +
 panels/mouse/double-click-gegl.png |  Bin 0 -> 9568 bytes
 panels/mouse/gnome-mouse-test.c    |   93 +-
 panels/mouse/scroll-test-gegl.svg  | 1781 ++++++++++++++++++++++++++++++++++++
 4 files changed, 1861 insertions(+), 14 deletions(-)

commit 49797e8ae2753bacc74b86cd28be250ff93a62cc
Author: Stefano Facchini <stefano.facchini@gmail.com>
Date:   Wed Sep 5 19:34:19 2012 +0200

    printers: Add missing definition of HAVE_CUPS_1_6
    
    Commit 1532d7ef forgot to actually define HAVE_CUPS_1_6
    when building against CUPS 1.6
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683441

 panels/printers/pp-maintenance-command.c | 4 ++++
 1 file changed, 4 insertions(+)

commit dbff39026baac85e96ad1fa38bbd95ba68680a11
Author: Jakub Steiner <jimmac@gmail.com>
Date:   Sat Sep 1 00:31:34 2012 +0200

    background: Use a varied color palette
    
    The original palette for color selection was a bit flat.
    The new selection includes 9 "fun" colors that are highly
    saturated and people would be initialy drawn to select, as well
    as 6 colors that are more appropriate wallpapers and are good to
    use for extended periods of time.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682556

 panels/background/bg-colors-source.c | 27 +++++++++++++++------------
 1 file changed, 15 insertions(+), 12 deletions(-)

commit eaacb99d5feae22fb6b2794b318fc303962e0cf9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jul 24 12:27:19 2012 -0400

    user-accounts: Use GStreamer 1.0
    
    Just changing the versions in configure.ac seems to make cheese
    build fine against gstreamer 1.0.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680538

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1913cc212644b1464a595d2799e6300465c1fcc9
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Wed Sep 5 19:58:30 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 850 +++++++++++++++++++++++++++++++----------------------------
 po/zh_TW.po | 852 ++++++++++++++++++++++++++++++++----------------------------
 2 files changed, 900 insertions(+), 802 deletions(-)

commit 1cd19d0f472c48108d35222fd74ae316a37fdace
Author: 袦懈褉芯褋谢邪胁 袧懈泻芯谢懈褯 <miroslavnikolic@rocketmail.com>
Date:   Wed Sep 5 10:02:43 2012 +0200

    Updated Serbian translation

 po/sr.po       | 1261 ++++++++++++++++++++++++++++++--------------------------
 po/sr@latin.po | 1261 ++++++++++++++++++++++++++++++--------------------------
 2 files changed, 1354 insertions(+), 1168 deletions(-)

commit dd18ab17d44c5981b8f4e74c33ce58202bee9758
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Sep 5 07:18:57 2012 +0200

    Updated Arabic translation

 po/ar.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 753f9472dcf4ec53f68bb45bfa1e083f7f950755
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Sep 5 07:15:38 2012 +0200

    Updated Arabic translation

 po/ar.po | 256 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 126 insertions(+), 130 deletions(-)

commit 9e4566b1f5cac101eeaedba97bf29763a0c33bfe
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Wed Sep 5 00:24:11 2012 +0200

    Updated Polish translation

 po/pl.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3bff79d8210453e31ec30a4d69df1a7e546da3ec
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 4 21:51:58 2012 +0100

    3.5.91

 NEWS         | 44 ++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 45 insertions(+), 1 deletion(-)

commit 503a9104ed10970cc492ecee1820b0b59cce56f0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 4 21:34:35 2012 +0100

    build: Bump dependencies for keyboard panel changes
    
    We want the "show all the input sources" setting to work.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ef4d5c57431128c3746f9b1d614786be9ff80776
Author: Fran Di茅guez <fran.dieguez@mabishu.com>
Date:   Tue Sep 4 22:37:32 2012 +0200

    Updated Galician translations

 po/gl.po | 267 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 132 insertions(+), 135 deletions(-)

commit edba26d342b2cdc51049b657791bfe741e1dbfe5
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Tue Sep 4 21:08:26 2012 +0530

    updated Tamil translation

 po/ta.po | 255 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 124 insertions(+), 131 deletions(-)

commit 13319e391ada514809762a442c2ffa8c462b4a7e
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Tue Sep 4 21:04:36 2012 +0530

    updated Tamil translation

 po/ta.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7bdfb4017edbd54a2be1dfbfbc726b009429b025
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Tue Sep 4 20:58:29 2012 +0530

    updated Tamil translation

 po/ta.po | 3620 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 2254 insertions(+), 1366 deletions(-)

commit 9d46f8393c0074cbc65c1c4b62e3996fd5b6b255
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Sep 4 14:43:42 2012 +0200

    region: Expand the supported IBus engines whitelist
    
    Thanks to Daiki Ueno for assembling the list.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682313

 panels/region/gnome-region-panel-input.c | 130 ++++++++++++++++++++++++++++++-
 1 file changed, 129 insertions(+), 1 deletion(-)

commit 42e8783376c89f3a8ed04c30d763f6d52614703d
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Tue Sep 4 15:00:49 2012 +0200

    Updated Polish translation

 po/pl.po | 174 +++++++++++++++++++++++----------------------------------------
 1 file changed, 62 insertions(+), 112 deletions(-)

commit a0ad46365fa96b7159ab16dede4b5e39b1346750
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Sep 3 21:35:21 2012 +0200

    printers: Remove redundant functions
    
    Remove functions which are not used anymore. (#683229)

 panels/printers/pp-utils.c | 1216 --------------------------------------------
 panels/printers/pp-utils.h |   11 -
 2 files changed, 1227 deletions(-)

commit 45ba8e89e86397df912e07df14d76373f1c7e7af
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Sep 3 21:25:59 2012 +0200

    printers: Redesign of new printer dialog
    
    This commit implements design changes from
    https://live.gnome.org/Design/SystemSettings/Printers.
    
    The new printer dialog gets informations about connected devices
    from CUPS server asynchronously and separately for each backend now.
    
    Entering an address into the entry and pressing the icon inside
    the entry or enter starts to detect printers on the entered host.
    
    Entering a text which is a substring of a name of a device or its location
    filters the list to contain just devicess with the string in it (e.g. Canon
    will keep devices with "Canon" in their name).
    
    The PpNewPrinterDialog is regular object now. It emits signal "pre-response"
    when dialog is closed and a printer is being added and signal "response" when
    the new printer was added, addition of the new printer failed or the dialog was
    cancelled.
    This commit removes FirewallD support from new printer dialog. (#683229)

 panels/printers/cc-printers-panel.c     |  390 ++++-
 panels/printers/new-printer-dialog.ui   |  448 ++---
 panels/printers/pp-new-printer-dialog.c | 2900 ++++++++++++-------------------
 panels/printers/pp-new-printer-dialog.h |   39 +-
 4 files changed, 1641 insertions(+), 2136 deletions(-)

commit 9428b7a641052f164a4d7f1b78958ecf931e01f5
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Sep 3 21:18:58 2012 +0200

    printers: Set longer timeouts
    
    Set longer timeouts for GetBestDrivers, PrinterAddOption and
    PrinterAddOptionDefault. These can take more time than already
    specified timeouts. (#683229)

 panels/printers/pp-utils.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit c34e282babfc6e7d90c9f9a832c186b2c8a3288f
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Sep 3 21:16:06 2012 +0200

    printers: Return after callback
    
    Return from get_ppds_attribute_async() right after callback
    was called. Otherwise the callback could be called twice. (#683229)

 panels/printers/pp-utils.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit dea424dbeeaabb46cb0a5e9d950371c837babb6e
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Sep 3 20:44:32 2012 +0200

    printers: Add PpNewPrinter object for installation of new printer
    
    PpNewPrinter contains asynchronous method for installation of
    new printer. The new printer is specified by given parameters (e.g. name,
    device-id, device-uri, ppd-name, info, location, ...). (#683229)

 panels/printers/Makefile.am      |    2 +
 panels/printers/pp-new-printer.c | 1444 ++++++++++++++++++++++++++++++++++++++
 panels/printers/pp-new-printer.h |   66 ++
 3 files changed, 1512 insertions(+)

commit 6f8b9e88254cb01879ff4a9891b123eb8270b488
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Sep 3 20:33:21 2012 +0200

    printers: Allow printer_get_ppd_async() to get PPD from remote host
    
    Adds host_name and port parameters to printer_get_ppd_async(). If host_name
    is NULL then it gets the PPD from local CUPS server. (#683229)

 panels/printers/pp-options-dialog.c    |  2 ++
 panels/printers/pp-ppd-option-widget.c |  2 ++
 panels/printers/pp-utils.c             | 23 ++++++++++++++++++++++-
 panels/printers/pp-utils.h             |  2 ++
 4 files changed, 28 insertions(+), 1 deletion(-)

commit 869555455795d688ec0c520df0bba9ae6ba3c12b
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Sep 3 20:27:04 2012 +0200

    printers: Make get_paper_size_from_locale() available to other source files
    
    Export get_paper_size_from_locale() in pp-utils.h. (#683229)

 panels/printers/pp-utils.c | 2 +-
 panels/printers/pp-utils.h | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 1532d7ef1af7790c7eda92ae2fff1179230fd6d0
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Sep 3 20:18:47 2012 +0200

    printers: Add PpMaintenanceCommand object for execution of commands
    
    PpMaintenanceCommand object contains asynchronous method which executes
    given CUPS maintenance command (e.g. "AutoConfigure"). (#683229)

 panels/printers/Makefile.am              |   2 +
 panels/printers/pp-maintenance-command.c | 325 +++++++++++++++++++++++++++++++
 panels/printers/pp-maintenance-command.h |  69 +++++++
 3 files changed, 396 insertions(+)

commit 142d2c65b4fa01100d7cc8d6f6ca856c94d07182
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Sep 3 20:04:38 2012 +0200

    printers: Add PpHost object for listing print devices
    
    This commit adds PpHost object which represents a remote
    host from which we want to get printers. It contains
    asynchronous method for enumerating printers list from the host
    using CUPS' SNMP backend and method for enumerating printers list
    directly from the remote CUPS server running on the host. (#683229)

 panels/printers/Makefile.am |   2 +
 panels/printers/pp-host.c   | 459 ++++++++++++++++++++++++++++++++++++++++++++
 panels/printers/pp-host.h   |  82 ++++++++
 panels/printers/pp-utils.h  |   4 +-
 4 files changed, 546 insertions(+), 1 deletion(-)

commit 0cb0dab3778d75c3edec5b6de956ee70ddb026b5
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Sep 3 19:50:31 2012 +0200

    printers: Add async method for listing print devices
    
    This commit adds asynchronous function get_cups_devices_async() which
    sequentially executes CUPS' backends and returns found devices
    by a callback. (#683229)

 panels/printers/pp-utils.c | 286 +++++++++++++++++++++++++++++++++++++++++++++
 panels/printers/pp-utils.h |  29 +++++
 2 files changed, 315 insertions(+)

commit 5a2794a7fefaebe7c3467136a27ad8c9facda747
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Sep 3 21:46:50 2012 +0200

    printers: Add PpCups object for getting destinations
    
    PpCups object represents local CUPS server. It contains
    asynchronous method for getting printers installed on
    the server. It is an asynchronous version of cupsGetDests().
    (#683229)

 panels/printers/Makefile.am |   2 +
 panels/printers/pp-cups.c   | 125 ++++++++++++++++++++++++++++++++++++++++++++
 panels/printers/pp-cups.h   |  71 +++++++++++++++++++++++++
 3 files changed, 198 insertions(+)

commit cc2e15a592b34be022bb649e18fe397c31214cb4
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Sep 3 21:43:14 2012 +0200

    printers: Move common constants to pp-utils.h
    
    Move constants which are used in more than one source file
    to pp-utils.h. (#683229)

 panels/printers/pp-new-printer-dialog.c | 8 --------
 panels/printers/pp-utils.c              | 6 ------
 panels/printers/pp-utils.h              | 8 ++++++++
 3 files changed, 8 insertions(+), 14 deletions(-)

commit 1f76a739e3e0a79190b036fc890fdaac1a6b8c16
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Sep 3 19:11:28 2012 +0200

    printers: Include missing header
    
    <cups/cups.h> has to be included in pp-utils.h because there
    are functions in pp-utils.h which accepts types defined
    in the cups.h as their parameters. (#683229)

 panels/printers/pp-utils.h | 1 +
 1 file changed, 1 insertion(+)

commit 2a87480f2654fa18cd683497fe2a569f732dab68
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Sep 3 01:36:20 2012 +0200

    region: Honor the 'show-all-sources' gsettings key
    
    This setting overrides our supported IBus engines whitelist and makes
    us show every engine installed on the system when enabled.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682313

 panels/region/gnome-region-panel-input.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 72bf4895558173dcfbdeead2175fd619fc2264e8
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Tue Sep 4 12:09:17 2012 +0100

    Updated British English translation

 po/en_GB.po | 3710 ++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 2288 insertions(+), 1422 deletions(-)

commit dd256f265b1a94d6466034e7933196e4668b81a1
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Mon Sep 3 21:53:45 2012 +0200

    Updated Polish translation

 po/pl.po | 55 +++++++++++++++++++++++++++++++------------------------
 1 file changed, 31 insertions(+), 24 deletions(-)

commit f0be9146d418d7db8dce6826134e8e7ab15af911
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Sep 3 14:07:29 2012 -0500

    displays: bgo#592412 - Make 'Mirrored Displays' string consistent with GnomeRRLabeler
    
    We had 'Mirror displays' as a command in the control center, but 'Mirror screens' as a description in
    GnomeRRLabeler.  Now we have 'Mirrored Displays' as a description of the current state.
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 panels/display/cc-display-panel.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 7171520e72f633b905e9b6ea8afa48adada8d4ea
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Sat Aug 25 21:23:23 2012 +0200

    region: Use the async IBus engines getter
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683035

 panels/region/gnome-region-panel-input.c | 63 +++++++++++++++++++++++++++-----
 1 file changed, 54 insertions(+), 9 deletions(-)

commit 0703d545a5d82f0748d30d898659a340d78684bf
Author: William Jon McCann <jmccann@redhat.com>
Date:   Tue Aug 21 23:16:33 2012 -0400

    datetime: make the map insensitive when the panel is locked
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672445

 panels/datetime/Makefile.am                 |  43 ++++++++++++++++-
 panels/datetime/cc-timezone-map.c           |  72 +++++++++++++++++++++++-----
 panels/datetime/data/bg_dim.png             | Bin 0 -> 95862 bytes
 panels/datetime/data/timezone_-10_dim.png   | Bin 0 -> 5139 bytes
 panels/datetime/data/timezone_-11_dim.png   | Bin 0 -> 4815 bytes
 panels/datetime/data/timezone_-1_dim.png    | Bin 0 -> 4953 bytes
 panels/datetime/data/timezone_-2_dim.png    | Bin 0 -> 2670 bytes
 panels/datetime/data/timezone_-3.5_dim.png  | Bin 0 -> 995 bytes
 panels/datetime/data/timezone_-3_dim.png    | Bin 0 -> 8773 bytes
 panels/datetime/data/timezone_-4.5_dim.png  | Bin 0 -> 1527 bytes
 panels/datetime/data/timezone_-4_dim.png    | Bin 0 -> 9836 bytes
 panels/datetime/data/timezone_-5.5_dim.png  | Bin 0 -> 859 bytes
 panels/datetime/data/timezone_-5_dim.png    | Bin 0 -> 12224 bytes
 panels/datetime/data/timezone_-6_dim.png    | Bin 0 -> 8833 bytes
 panels/datetime/data/timezone_-7_dim.png    | Bin 0 -> 7868 bytes
 panels/datetime/data/timezone_-8_dim.png    | Bin 0 -> 4261 bytes
 panels/datetime/data/timezone_-9.5_dim.png  | Bin 0 -> 859 bytes
 panels/datetime/data/timezone_-9_dim.png    | Bin 0 -> 4972 bytes
 panels/datetime/data/timezone_0_dim.png     | Bin 0 -> 7074 bytes
 panels/datetime/data/timezone_10.5_dim.png  | Bin 0 -> 844 bytes
 panels/datetime/data/timezone_10_dim.png    | Bin 0 -> 8395 bytes
 panels/datetime/data/timezone_11.5_dim.png  | Bin 0 -> 868 bytes
 panels/datetime/data/timezone_11_dim.png    | Bin 0 -> 6744 bytes
 panels/datetime/data/timezone_12.75_dim.png | Bin 0 -> 846 bytes
 panels/datetime/data/timezone_12_dim.png    | Bin 0 -> 3935 bytes
 panels/datetime/data/timezone_13_dim.png    | Bin 0 -> 876 bytes
 panels/datetime/data/timezone_14_dim.png    | Bin 0 -> 4150 bytes
 panels/datetime/data/timezone_1_dim.png     | Bin 0 -> 10187 bytes
 panels/datetime/data/timezone_2_dim.png     | Bin 0 -> 8709 bytes
 panels/datetime/data/timezone_3.5_dim.png   | Bin 0 -> 1781 bytes
 panels/datetime/data/timezone_3_dim.png     | Bin 0 -> 9877 bytes
 panels/datetime/data/timezone_4.5_dim.png   | Bin 0 -> 1385 bytes
 panels/datetime/data/timezone_4_dim.png     | Bin 0 -> 2754 bytes
 panels/datetime/data/timezone_5.5_dim.png   | Bin 0 -> 3405 bytes
 panels/datetime/data/timezone_5.75_dim.png  | Bin 0 -> 1596 bytes
 panels/datetime/data/timezone_5_dim.png     | Bin 0 -> 8117 bytes
 panels/datetime/data/timezone_6.5_dim.png   | Bin 0 -> 1675 bytes
 panels/datetime/data/timezone_6_dim.png     | Bin 0 -> 4678 bytes
 panels/datetime/data/timezone_7_dim.png     | Bin 0 -> 7972 bytes
 panels/datetime/data/timezone_8.75_dim.png  | Bin 0 -> 7064 bytes
 panels/datetime/data/timezone_8_dim.png     | Bin 0 -> 9378 bytes
 panels/datetime/data/timezone_9.5_dim.png   | Bin 0 -> 1611 bytes
 panels/datetime/data/timezone_9_dim.png     | Bin 0 -> 8383 bytes
 43 files changed, 103 insertions(+), 12 deletions(-)

commit ca987eefa277d0a2db0371cedc6aa96820eafffc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Sep 3 15:58:32 2012 +0200

    Updated Spanish translation

 po/es.po | 48 +++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 37 insertions(+), 11 deletions(-)

commit baa6139536bdf8eedf5cc49be87b0bb472904441
Author: Aurimas 膶ernius <aurisc4@gmail.com>
Date:   Sun Sep 2 15:54:24 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 44 +++++++++++++++++++++++++++++++++-----------
 1 file changed, 33 insertions(+), 11 deletions(-)

commit 2f62ee3ca32b266dc905a9baecc5c2b120f7fc89
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Sep 2 11:12:52 2012 +0200

    Updated Norwegian bokm氓l translation

 po/nb.po | 250 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 139 insertions(+), 111 deletions(-)

commit 1043d7c741e9f122f2969dc1249793fb8952391f
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Sep 2 09:57:23 2012 +0530

    update Punjabi Translation

 po/pa.po | 462 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 255 insertions(+), 207 deletions(-)

commit bf6cff639f6618105ca32c94ccf8c629c5724b69
Author: Nguy峄卬 Th谩i Ng峄峜 Duy <pclouds@gmail.com>
Date:   Sat Sep 1 21:07:54 2012 +0700

    Updated Vietnamese translation

 po/vi.po | 52 ++++++++++++++++++++++------------------------------
 1 file changed, 22 insertions(+), 30 deletions(-)

commit 62082e8bfdb3b75e0167677b1342c67b7f9d6ab7
Author: Nguy峄卬 Th谩i Ng峄峜 Duy <pclouds@gmail.com>
Date:   Sat Sep 1 20:42:24 2012 +0700

    po/vi: import from Damned Lies

 po/vi.po | 535 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 265 insertions(+), 270 deletions(-)

commit 26638cdc7cd8dce50f48d90c64541534269c0951
Author: Fran Di茅guez <fran.dieguez@mabishu.com>
Date:   Sat Sep 1 12:38:18 2012 +0200

    Updated Galician translations

 po/gl.po | 135 ++++++---------------------------------------------------------
 1 file changed, 11 insertions(+), 124 deletions(-)

commit 041245eeff3646f1cc7027fbea37d95bcf062ea8
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Fri Aug 31 21:52:39 2012 +0200

    Updated Polish translation

 po/pl.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 41a79d6a35d18e9293fb6326cfac803d92b61f81
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Aug 31 15:10:45 2012 -0400

    Fix big editable labels
    
    The code we used to match the entry and label font size and
    weight broke down with the latest CSS improvements in GTK+.
    Use a new GtkEntry api for this instead.
    The GTK+ requirement has been bumped to 3.5.13.

 configure.ac              |  2 +-
 shell/cc-editable-entry.c | 36 +-----------------------------------
 2 files changed, 2 insertions(+), 36 deletions(-)

commit cc6734e5c12f859330eb8a8f4b67cfb854cff8c4
Author: Fran Di茅guez <fran.dieguez@mabishu.com>
Date:   Fri Aug 31 20:58:20 2012 +0200

    Updated Galician translations

 po/gl.po | 29 +++++++++++++++++++++++++++--
 1 file changed, 27 insertions(+), 2 deletions(-)

commit 2231b3dacc23e91c44ff48c9127d13c7fdb62857
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Fri Aug 31 17:56:06 2012 +0300

    Updated Greek translation

 po/el.po | 2304 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1316 insertions(+), 988 deletions(-)

commit 08c06849aa669847003d391aac60bc4946f3b113
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Aug 31 10:33:14 2012 +0700

    Updated Indonesian translation

 po/id.po | 1281 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 650 insertions(+), 631 deletions(-)

commit 4c761c29750ccb2bbdb3a210436b0ac883d354bb
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Aug 30 22:21:43 2012 +0200

    Updated Arabic translation

 po/ar.po | 263 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 152 insertions(+), 111 deletions(-)

commit 23ce2dbea7ea7341220eb63b4ace34afb64b988b
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Thu Aug 30 18:13:48 2012 +0200

    Updated Polish translation

 po/pl.po | 50 ++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 38 insertions(+), 12 deletions(-)

commit a73aa77465351cad1da54d9cfb6278bdb1a970df
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Thu Aug 30 17:08:52 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 42b6a0138a730415a3eb6ee1b80ec9bc8c98946f
Author: Fran Di茅guez <fran.dieguez@mabishu.com>
Date:   Thu Aug 30 14:20:19 2012 +0200

    Updated Galician translations

 po/gl.po | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 936c188bf04a4cddc49308435948e530523d7718
Author: Ondrej Holy <oholy@redhat.com>
Date:   Wed Aug 29 12:44:55 2012 +0200

    mouse: Widget allocated size fallback
    
    https://bugzilla.gnome.org/show_bug.cgi?id=579135

 panels/mouse/gnome-mouse-test.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1f68f46d74f29403d518be8793f240abcda0ecad
Author: Ondrej Holy <oholy@redhat.com>
Date:   Wed Aug 29 09:33:16 2012 +0200

    mouse: Reset timeouts id to zero
    
    https://bugzilla.gnome.org/show_bug.cgi?id=579135

 panels/mouse/gnome-mouse-test.c | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit 1cf9c9b078b1068276d4ec548b84b42ac3c6295c
Author: Ondrej Holy <oholy@redhat.com>
Date:   Thu Aug 23 15:10:19 2012 +0200

    mouse: New testing area according to mockup
    
    https://bugzilla.gnome.org/show_bug.cgi?id=579135

 panels/mouse/Makefile.am            |   12 +-
 panels/mouse/double-click-maybe.png |  Bin 4643 -> 0 bytes
 panels/mouse/double-click-off.png   |  Bin 4751 -> 0 bytes
 panels/mouse/double-click-on.png    |  Bin 6360 -> 0 bytes
 panels/mouse/gnome-mouse-test.c     |  197 +++-
 panels/mouse/gnome-mouse-test.ui    |   78 +-
 panels/mouse/scroll-test.svg        | 1960 +++++++++++++++++++++++++++++++++++
 7 files changed, 2182 insertions(+), 65 deletions(-)

commit 419a0481a33cf708c25e944b0d223ffe4fd0b096
Author: Aurimas 膶ernius <aurisc4@gmail.com>
Date:   Wed Aug 29 22:36:19 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 629 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 300 insertions(+), 329 deletions(-)

commit c4f19cdf22f688efe157a7d7b197142788a4a9f5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Aug 29 17:01:52 2012 +0200

    Updated Spanish translation

 po/es.po | 396 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 206 insertions(+), 190 deletions(-)

commit 8198d2602cae1acf5784ab7bae8f29c443f90ab3
Author: Fran Di茅guez <fran.dieguez@mabishu.com>
Date:   Wed Aug 29 00:41:28 2012 +0200

    Updated Galician translations

 po/gl.po | 1172 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 610 insertions(+), 562 deletions(-)

commit 3b87bfd1c0ee55b25e41a475a9d14cf0fe5e325d
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Tue Aug 28 18:54:04 2012 +0200

    Updated Polish translation

 po/pl.po | 298 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 151 insertions(+), 147 deletions(-)

commit 8b7fd5787f9bf9d9d9c29f01df9da50cacbcf91b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 28 16:47:20 2012 +0100

    universal-access: Remove unused object
    
    One less thing for translators to translate.

 panels/universal-access/uap.ui | 23 -----------------------
 1 file changed, 23 deletions(-)

commit 8c921b2dd4071aa96f27a8d1ecb7edb95f928577
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Tue Aug 28 23:17:22 2012 +0900

    network: add translation context for Wifi security
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682876

 panels/network/net-device-wifi.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 41584b6e5bef9c175872f0247a7690682e3628d5
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Tue Aug 28 23:58:06 2012 +0900

    universal-access: add translation context for Zoom
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682876

 panels/universal-access/zoom-options.ui | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ce53dc7fd95528fa3069991e55d859e4a9145b21
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Tue Aug 28 21:43:02 2012 +0900

    wacom: add translation context for Wacom action type
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682876

 panels/wacom/cc-wacom-page.c | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 658083fffa95a8787baf734f5b87d1a7e0cff2dc
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Sun Aug 26 16:55:11 2012 +0200

    region: Don't use IBus if running in fallback mode
    
    In fallback mode we don't want to touch IBus since the gnome-shell UI
    isn't there to provide the full integrated user experience.
    
    We expect users to continue using existing IBus UIs in fallback mode.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682864

 panels/region/gnome-region-panel-input.c | 45 ++++++++++++++++++++++++--------
 1 file changed, 34 insertions(+), 11 deletions(-)

commit dee8e0917abdc2ec9b33baf571b944508ae42447
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Sun Aug 26 15:33:24 2012 +0200

    region: Use a filter model on input sources
    
    This allows us to hide some entries which for whatever reason we can't
    display without removing them from gsettings.
    
    This reverts commit 54835c8f4486309c1517a7f71735fbdd7e098c5f.
    This reverts commit 953cc81b0f07c0e5f4e1f34a139efafe6d61fea1.
    This reverts commit ab0594239c5e43b3a14a0cf40ab2cce039a17a53.
    This reverts commit 03f08fd36c059c17f3af723ca29e0ad931fc6a26.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682864

 panels/region/gnome-region-panel-input.c | 125 ++++++++++++++++++++++++-------
 1 file changed, 100 insertions(+), 25 deletions(-)

commit 14dde72dfe2205629b0db17aa5ba239b31ced284
Author: Ondrej Holy <oholy@redhat.com>
Date:   Thu Aug 23 16:50:33 2012 +0200

    mouse: Fix of bad radio spacing in RTL.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669961

 panels/mouse/gnome-mouse-properties.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3e5cdb6fce45e1ce3cce4801ef36df3abcbc8fc8
Author: Ondrej Holy <oholy@redhat.com>
Date:   Thu Aug 23 14:34:59 2012 +0200

    mouse: Switch left/right radios according text direction.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669961

 panels/mouse/gnome-mouse-properties.c  | 2 ++
 panels/mouse/gnome-mouse-properties.ui | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit b0dcb2985742292947e5f44422de50a7a1bc5de3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Aug 23 15:37:11 2012 +0100

    sound: The angry flower read the comments again

 panels/sound/gvc-mixer-control.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 5b8509088cdd8e8d8bfe832f9b64aa8b1b27faf3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Aug 23 15:30:35 2012 +0100

    sound: Spell "Can't" properly in debug

 panels/sound/gvc-mixer-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f9f9f38a969990c10c0891542fea316ad985d928
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Aug 28 07:35:05 2012 +0200

    Updated Norwegian bokm氓l translation

 po/nb.po | 195 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 105 insertions(+), 90 deletions(-)

commit 058edd5922378576484c6ea6a09d7cbd943d9a38
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Mon Aug 27 23:48:44 2012 +0530

    Implemented FUEL entries to Assamese translation

 po/as.po | 128 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 64 insertions(+), 64 deletions(-)

commit 33a628be07d6032e8787d77e50056370a757c730
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Mon Aug 27 23:58:05 2012 +0900

    [l10n] Update Japanese translation

 po/ja.po | 1598 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 893 insertions(+), 705 deletions(-)

commit 39c1ecab054977edff77f89263b7be176516a505
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Mon Aug 27 13:47:11 2012 +0530

    Assamese translation updated

 po/as.po | 957 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 496 insertions(+), 461 deletions(-)

commit 46b269eb8bd79e8f9e36f62fdef0e6e002c59477
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sun Aug 26 11:13:07 2012 +0300

    Updated Hebrew translation.

 po/he.po | 2296 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1345 insertions(+), 951 deletions(-)

commit cec48ff08a2e6c6eb705db20fa5923d9e32f7a28
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Jul 12 19:11:11 2012 +0300

    Updated Hebrew translation.

 po/he.po | 777 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 450 insertions(+), 327 deletions(-)

commit 1a53ec676284175093e38202457a1a7eb956bff4
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Aug 26 05:15:08 2012 +0200

    Updated Arabic translation

 po/ar.po | 443 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 223 insertions(+), 220 deletions(-)

commit 4d80e477763742d0dc06ac57e308a0662773018c
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Sat Apr 14 01:51:35 2012 +0200

    system info: set related mime types when changing preferred apps
    
    Setting the preferred music or video app only changed the handler
    for ogg audio/video, leaving an inconsistent state where the previous
    (system default) app would be used for other images, audio and video
    formats.
    Instead make it so that when the user changes his preferences,
    the application becomes the default for all mime types in the same
    group that it supports.
    Nothing changes if configuration is modified externally (e.g.
    by hand or through nautilus): expose as preferred app the one that
    is configured to handle the primary content type.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=674084

 panels/info/cc-info-panel.c | 102 ++++++++++++++++++++++++++++----------------
 1 file changed, 66 insertions(+), 36 deletions(-)

commit 98137cc4e63aa022ee4cb6dd96e1c3526b49a4e6
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Fri Aug 24 04:32:21 2012 +0200

    Updated Polish translation

 po/pl.po | 3275 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 1950 insertions(+), 1325 deletions(-)

commit 74b09b6edad57d23dd0c608e8cb0827a8ceaaec6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Aug 23 17:40:29 2012 +0200

    Updated Spanish translation

 po/es.po | 467 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 243 insertions(+), 224 deletions(-)

commit f4c3d190bc5210418b65a6fe5c398cf99068eb91
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Aug 23 14:22:19 2012 +0100

    display: Avoid possible warning on exit
    
    (cinnamon-control-center:8728): GLib-GObject-WARNING **: invalid (NULL) pointer instance
    
    (cinnamon-control-center:8728): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

 panels/display/cc-display-panel.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 570bafaf6b2ae0d24d921a9b34811cb3ef4fd005
Author: Zan Dobersek <zandobersek@gmail.com>
Date:   Thu Apr 5 08:11:23 2012 +0200

    user-accounts: Fix match icon not updating in some cases
    
    Check the new password matching after focusing out either entries.
    
    Validate the content of the verify password entry after
    focusing out either the new password entry or the verify entry.
    
    Previously the user could mistype his new password in the new
    password entry, but when it was corrected, the verify entry
    would still be indicating that the confirmation password did not
    match when it did.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668844

 panels/user-accounts/um-password-dialog.c | 49 +++++++++++++++++++++----------
 1 file changed, 33 insertions(+), 16 deletions(-)

commit af8a6440756ce3845b94c685918f8959968e6dd0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Aug 22 16:31:59 2012 +0100

    user-accounts: Fix login keyring password not getting updated
    
    By passing the environment down to passwed rather than an empty one.
    This means that passwd's PAM modules will be able to access the session
    D-Bus, for the gnome-keyring PAM module to change the keyring password
    for example.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=616703

 panels/user-accounts/run-passwd.c | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit b682a3c6e936a889436e53c81250a826dd1f8504
Author: Javier Jard贸n <jjardon@gnome.org>
Date:   Tue Aug 14 20:34:51 2012 +0900

    common: Add Arabic as a common language
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671530

 panels/common/cc-common-language.c | 3 +++
 1 file changed, 3 insertions(+)

commit 0e2b4a9600cf9c82c021baa034beecf067f6fbc4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Mar 8 13:54:30 2012 +0100

    common: Add Russian as a common language
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671530

 panels/common/cc-common-language.c | 3 +++
 1 file changed, 3 insertions(+)

commit d1cfd2b0f367c944854e9aa3156cd78fe27e7415
Author: Dominique Leuenberger <dominique@leuenberger.net>
Date:   Mon Jul 23 16:45:59 2012 +0200

    build: Update COPYING with new mailing address
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680456

 COPYING | 42 +++++++++++++++++++++---------------------
 1 file changed, 21 insertions(+), 21 deletions(-)

commit 8f1b6d678755a0497c1abc34a626b77f95cfa099
Author: Dan Winship <danw@gnome.org>
Date:   Wed Aug 22 09:23:03 2012 -0400

    network: don't try to activate slave connections
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682469

 panels/network/net-device.c | 43 +++++++++++++++++++++++++++++++++++--------
 1 file changed, 35 insertions(+), 8 deletions(-)

commit 8df1069f7dedc31886acc04ae744cd052926472d
Author: Dan Winship <danw@gnome.org>
Date:   Wed Aug 22 09:22:03 2012 -0400

    network: fix wired/mobile activation
    
    You have to pass the NMDevice to nm_client_activate_connection() for a
    device-specific connection. This got broken at some point in the
    rewrites since 3.4.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682469

 panels/network/net-device-mobile.c | 5 +++--
 panels/network/net-device-wired.c  | 5 +++--
 2 files changed, 6 insertions(+), 4 deletions(-)

commit ecdb1d847794b43dc0d1ae3b107d811fe52e5846
Author: Dan Winship <danw@gnome.org>
Date:   Wed Aug 22 09:00:35 2012 -0400

    network: ignore unrecognized device types
    
    rather than showing a blank line in the device-type list that doesn't
    do anything.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678210

 panels/network/cc-network-panel.c | 11 ++---------
 1 file changed, 2 insertions(+), 9 deletions(-)

commit 20a980d6ca8d4e40d62d9add1c3745ba403cf08a
Author: Colin Walters <walters@verbum.org>
Date:   Wed Aug 22 09:42:18 2012 -0400

    Fix missing =

 panels/common/cc-common-language.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4d62e05fb088d64c3133912f0995a42157b8e968
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 22 14:15:04 2012 +0100

    common: Add Policykit rules for hostname setting
    
    Allow setting the computer's pretty hostname if the user is an admin.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679281

 panels/common/Makefile.am                | 5 +++++
 panels/common/cinnamon-control-center.rules | 8 ++++++++
 2 files changed, 13 insertions(+)

commit d2aa0ce5d8c93e777d201da779f13802e5249c95
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Jul 12 17:26:03 2012 -0400

    common: Fix memory leaks in language sorting
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679836

 panels/common/cc-common-language.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit e730edb6cc4a5477be9608bf6798ac747558f0f0
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Aug 22 14:10:21 2012 +0200

    Updated Norwegian bokm氓l translation

 po/nb.po | 1384 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 761 insertions(+), 623 deletions(-)

commit ddf8c56caf3ba9bb68884840c398e6485c107cfd
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Wed Aug 22 12:52:29 2012 +0200

    background: Add missing include
    
    bg_pictures_source_get_*_path is defined in bg-pictures-source.h

 panels/background/cc-background-panel.c | 2 ++
 1 file changed, 2 insertions(+)

commit 03a88bbba537e3360bfaed3b6f89f2f0d4420187
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Aug 22 10:38:34 2012 +0100

    mouse: Remove unused variable

 panels/mouse/cc-mouse-panel.c | 1 -
 1 file changed, 1 deletion(-)

commit 905b7f999c52f7ca064a01fa5e5dee9ef7d71649
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Aug 22 10:37:34 2012 +0100

    mouse: Remove italics from test page
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682397

 NEWS                             | 1 +
 panels/mouse/gnome-mouse-test.ui | 3 ---
 2 files changed, 1 insertion(+), 3 deletions(-)

commit 51c06e781d69e73ce866bacc010fb1bf21eaebd0
Author: Nguy峄卬 Th谩i Ng峄峜 Duy <pclouds@gmail.com>
Date:   Wed Aug 22 15:01:14 2012 +0700

    Updated Vietnamese translation

 po/vi.po | 263 +++++++++++++++++++++++++--------------------------------------
 1 file changed, 103 insertions(+), 160 deletions(-)

commit 26f65ccd57345a8ff0abfdef047f008271389763
Author: Nguy峄卬 Th谩i Ng峄峜 Duy <pclouds@gmail.com>
Date:   Wed Aug 22 14:42:52 2012 +0700

    po/vi: imported from Damned Lies

 po/vi.po | 2494 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1467 insertions(+), 1027 deletions(-)

commit eaef6e5d50140fd7ff9803f79c71e6ccfca18838
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Aug 14 17:14:10 2012 -0300

    um-user: Use GdkCairo operations to draw on the pixbuf
    
    Remove a bunch of bit twiddling code.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682391

 panels/user-accounts/um-user.c | 139 ++---------------------------------------
 1 file changed, 4 insertions(+), 135 deletions(-)

commit 36d09e19176c73183d1f47b546dbfa6b327ec92c
Author: A S Alam <aalam@users.sf.net>
Date:   Wed Aug 22 07:14:22 2012 +0530

    update Punjabi Translation

 po/pa.po | 717 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 363 insertions(+), 354 deletions(-)

commit 9538df6ba1da6353396ff901f8cfdafe2351d978
Author: Aurimas 膶ernius <aurisc4@gmail.com>
Date:   Tue Aug 21 23:11:39 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 1722 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 857 insertions(+), 865 deletions(-)

commit e87c564cdbf7810e0c15b40ed680d9c8bc6734b5
Author: Fr茅d茅ric P茅ters <fpeters@0d.be>
Date:   Tue Aug 21 22:05:35 2012 +0200

    printers: remove blank class_finalize function

 panels/printers/cc-printers-panel.c | 5 -----
 1 file changed, 5 deletions(-)

commit b0e7a5efa819525bf6709ac3a009b12bb145d601
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Aug 21 14:29:22 2012 -0400

    panels: add register macro
    
    Bastien says he doesn't like the blank class_finalize
    functions in every panel and he would like a wrapper
    macro to hide them.
    
    This commit does that.

 panels/background/cc-background-panel.c           |  7 +------
 panels/bluetooth/cc-bluetooth-panel.c             |  7 +------
 panels/color/cc-color-panel.c                     |  7 +------
 panels/datetime/cc-datetime-panel.c               |  8 +-------
 panels/display/cc-display-panel.c                 |  7 +------
 panels/info/cc-info-panel.c                       |  7 +------
 panels/keyboard/cc-keyboard-panel.c               |  7 +------
 panels/mouse/cc-mouse-panel.c                     |  7 +------
 panels/network/cc-network-panel.c                 |  7 +------
 panels/online-accounts/cc-online-accounts-panel.c |  7 +------
 panels/power/cc-power-panel.c                     |  7 +------
 panels/printers/cc-printers-panel.c               |  2 +-
 panels/region/cc-region-panel.c                   |  7 +------
 panels/screen/cc-screen-panel.c                   |  7 +------
 panels/sound/cc-sound-panel.c                     |  7 +------
 panels/universal-access/cc-ua-panel.c             |  7 +------
 panels/user-accounts/um-user-panel.c              |  7 +------
 panels/wacom/cc-wacom-panel.c                     |  7 +------
 shell/cc-panel.h                                  | 14 ++++++++++++++
 19 files changed, 32 insertions(+), 104 deletions(-)

commit 0c1a76df6ac1d12b23f911c07607b19e51f167f8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 21 18:41:25 2012 +0100

    3.5.90

 NEWS         | 43 +++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 44 insertions(+), 1 deletion(-)

commit 3bf8bcf3f8a357f0c33f1f790852c42eec954483
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Aug 21 13:29:46 2012 -0400

    online-accounts: set up finalize handler at class init time
    
    It was being set up at class finalization time, which is too late.
    
    Fixes crash when switching from panel to shell and back
    (and then try to interact with the switches).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682379

 panels/online-accounts/cc-online-accounts-panel.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 06ede122abd90194eff4275ed1b97cd9bfa1902e
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue Aug 21 17:23:50 2012 +0200

    online-accounts: Don't show spurious "No online accounts configured"
    
    Programmatically deleting or inserting a row into a GtkTreeModel
    implementation does not change the selection on the GtkTreeView even
    if it is in browse mode (see GTK+ documentation). So, we need to
    connect to the model's row-deleted and row-inserted signals and adjust
    the selection ourselves.
    
    Fixes: https://bugzilla.gnome.org/682175

 panels/online-accounts/cc-online-accounts-panel.c | 69 ++++++++++++++++++++++-
 1 file changed, 68 insertions(+), 1 deletion(-)

commit 7b20a3d0f30601353c9ae510b4a884a89c6cd4d1
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Tue Aug 21 18:56:26 2012 +0200

    Updated Arabic translation

 po/ar.po | 701 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 382 insertions(+), 319 deletions(-)

commit 44f742659e5d039327009364e6b53071bcbe8212
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 21 15:23:43 2012 +0100

    common: Add more debug to list-languages

 panels/common/list-languages.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 8c7632e66e410c03579a9caa9abf695e36bf51fb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 21 17:40:30 2012 +0100

    sound: Avoid use-after-free of destroyed streams
    
    When switching between 2 outputs that share the same device with
    different connector types, the old stream is destroyed, and a new one
    with the new connector type created.
    
    We were generating warnings because the old stream was destroyed, and
    we were trying to access it. Instead we should remove the reference
    to that old stream from the GvcLevelBars used for output and input
    levels.

 panels/sound/gvc-mixer-dialog.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit e34dd3bb83dfbda6c130c5851453082bc8f2b16a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 21 17:33:18 2012 +0100

    sound: Fix incorrectly documented return type
    
    gvc_mixer_control_get_stream_from_device returns a GvcMixerStream,
    not a container that contains one of those.

 panels/sound/gvc-mixer-control.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4513207bfb7801868f84ff3524f0d46f4f9b40a9
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Jul 13 14:47:44 2012 +0200

    sound: Remove hardware tab
    
    Since the output and input tabs now offer the possibility to select
    profile, we can remove the hardware tab completely.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=674831

 panels/sound/gvc-mixer-dialog.c | 312 ----------------------------------------
 1 file changed, 312 deletions(-)

commit ac2a8ced05324c2a97332fb0f61efd0a9c2c5365
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Jul 13 13:54:45 2012 +0200

    sound: Move "Test speakers" to the output tab
    
    Test speakers will now test the speakers of the active output on
    the output tab.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=674831

 panels/sound/gvc-mixer-dialog.c | 80 ++++++++++++++++++++++++++++++++---------
 1 file changed, 63 insertions(+), 17 deletions(-)

commit db8ee1eabe4f719f494e16813609e9054cc44806
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Fri Jun 22 11:36:35 2012 +0200

    sound: Make speaker test work for sinks without card
    
    By speaker-test taking a stream/sink instead of card as
    parameter, it can be used for outputs that don't have cards
    (e g network sinks).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=674831

 panels/sound/gvc-speaker-test.c | 91 ++++++++++-------------------------------
 panels/sound/gvc-speaker-test.h |  2 +-
 2 files changed, 23 insertions(+), 70 deletions(-)

commit b3fe98e7c1eca17ef8e2e728e44a9a42edd0e149
Author: David Henningsson <david.henningsson@canonical.com>
Date:   Tue Jul 10 17:45:27 2012 +0200

    sound: Make the dialog UI use GvcMixerUIDevice
    
    The input and output treeview now represent GvcMixerUIDevices,
    not sinks and sources. Also turn the connector combobox into a
    profile combobox.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=674831

 panels/sound/gvc-mixer-dialog.c | 1054 +++++++++++++++++++++------------------
 1 file changed, 579 insertions(+), 475 deletions(-)

commit a2e515ea39e136ed19c52e3572da64f5dc6944a7
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Tue Jun 26 11:06:07 2012 +0200

    wacom: add different action types to mapping dialog
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679067

 panels/wacom/cc-wacom-mapping-panel.c |   4 +-
 panels/wacom/cc-wacom-page.c          | 181 +++++++++++++++++++++++++++++++---
 2 files changed, 172 insertions(+), 13 deletions(-)

commit 8d8cf753528e991578d01203f440fd482fb41060
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Tue Aug 21 17:59:36 2012 +0200

    wacom: Update from gnome-settings-daemon

 panels/wacom/gsd-input-helper.c | 13 +++++++++++++
 panels/wacom/gsd-input-helper.h |  2 ++
 panels/wacom/gsd-wacom-device.c | 14 +++++++-------
 panels/wacom/gsd-wacom-device.h |  3 +++
 4 files changed, 25 insertions(+), 7 deletions(-)

commit 29c49c9a48cd258dc1361648a83f01ee74a5cd0c
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Aug 21 19:27:54 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 271 ++++++++++++++++++++++++++++++++----------------------------
 po/zh_TW.po | 271 ++++++++++++++++++++++++++++++++----------------------------
 2 files changed, 286 insertions(+), 256 deletions(-)

commit 349cdb533fde7180fe4609ab13ebe81104ab4c1c
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Mon Aug 20 21:50:51 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 3 +++
 1 file changed, 3 insertions(+)

commit 3b1238a5568cfa3f623702c919153ca8aadf6133
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Aug 20 20:46:47 2012 +0200

    Updated Spanish translation

 po/es.po | 283 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 142 insertions(+), 141 deletions(-)

commit 544a8ff8896da9361f22cf515ab3587404d828a1
Author: Ondrej Holy <oholy@redhat.com>
Date:   Mon Aug 20 19:49:07 2012 +0200

    mouse: Add mouse test toggle
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677206

 panels/mouse/Makefile.am      |  8 +++-
 panels/mouse/cc-mouse-panel.c | 98 +++++++++++++++++++++++++++++++++++++++----
 2 files changed, 96 insertions(+), 10 deletions(-)

commit 7981d4423a35ca6dcebabe8571abd92aa28b317d
Author: Ondrej Holy <oholy@redhat.com>
Date:   Mon Aug 20 19:24:03 2012 +0200

    mouse: Add mouse test window
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677206

 panels/mouse/Makefile.am             |  10 ++
 panels/mouse/gnome-mouse-test.c      | 171 +++++++++++++++++++++++++++++++++++
 panels/mouse/gnome-mouse-test.h      |  27 ++++++
 panels/mouse/gnome-mouse-test.ui     |  70 ++++++++++++++
 panels/mouse/test-gnome-mouse-test.c |  44 +++++++++
 5 files changed, 322 insertions(+)

commit 278c89fdce5e5351192652079386c29d806128f4
Author: Ondrej Holy <oholy@redhat.com>
Date:   Mon Aug 20 14:50:44 2012 +0200

    mouse: Show mouse section only if mouse is present
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677206

 panels/mouse/gnome-mouse-properties.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 7929e550f1eacccf804403b748879377f68d29d5
Author: Ondrej Holy <oholy@redhat.com>
Date:   Thu Aug 9 15:34:51 2012 +0200

    mouse: Add natural scroll toggle
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677206

 panels/mouse/gnome-mouse-properties.c  |  3 +++
 panels/mouse/gnome-mouse-properties.ui | 24 +++++++++++++++++++++++-
 2 files changed, 26 insertions(+), 1 deletion(-)

commit 9f76e8966104b361ffc6474dfe5a04e64989a323
Author: Ondrej Holy <oholy@redhat.com>
Date:   Thu Aug 9 15:16:05 2012 +0200

    mouse: Sensitivity and acceleration sliders merge
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677206

 panels/mouse/gnome-mouse-properties.c  |  54 +++++----
 panels/mouse/gnome-mouse-properties.ui | 205 +++------------------------------
 2 files changed, 43 insertions(+), 216 deletions(-)

commit a6262b0ad448c25e656ab08aaf1c423abfd01c12
Author: Ondrej Holy <oholy@redhat.com>
Date:   Thu Aug 9 14:11:52 2012 +0200

    mouse: Reorganize widgets according to mockup
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677206

 panels/mouse/gnome-mouse-properties.c  |  181 +----
 panels/mouse/gnome-mouse-properties.ui | 1233 +++++++++++---------------------
 2 files changed, 439 insertions(+), 975 deletions(-)

commit a41624305039f7d3e0503e72ea63268da8b80242
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Aug 20 13:52:49 2012 -0400

    user-accounts: fix crash for incompatible realmd version
    
    The version property may not be available if realmd is
    version 0.1 (which lacked the property) or if other
    properties changed signatures (causing gdbus to fail to load
    cache any property)
    
    This commit fixes a crash where property is NULL in those cases.

 panels/user-accounts/um-realm-manager.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit daa8b098a434809baaf92441b43d09c750953e15
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Aug 20 15:53:55 2012 +0100

    mouse: Update from gnome-settings-daemon

 panels/mouse/gsd-input-helper.c | 37 +++++++++++++++++++++++++++++++------
 panels/mouse/gsd-input-helper.h |  2 ++
 2 files changed, 33 insertions(+), 6 deletions(-)

commit 8947021b3eb76d6b8cbdc317552e6cd858baef7f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Aug 20 15:43:41 2012 +0100

    build: Check news before release

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 978ab40f3eb6e4ec2a632941cd8f879919aa2e02
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Jul 31 18:27:17 2012 +0200

    keyboard: Add common XKB options to the Typing shortcuts section
    
    Both the compose key and the 3rd level chooser are common and useful
    enough to expose in the control center.
    
    Since these shortcuts are a small pre-defined set of only modifier
    keys we present them in combo cell renderers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682069

 configure.ac                         |   8 +-
 panels/keyboard/Makefile.am          |   2 +
 panels/keyboard/cc-keyboard-option.c | 449 +++++++++++++++++++++++++++++++++++
 panels/keyboard/cc-keyboard-option.h |  48 ++++
 panels/keyboard/keyboard-shortcuts.c | 291 ++++++++++++++++++-----
 5 files changed, 736 insertions(+), 62 deletions(-)

commit 4e0bc86e5b665519980aa562d3a3311a73c2066a
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Sat Aug 18 19:18:51 2012 +0200

    keyboard: Rename the Input Sources shortcuts section to Typing
    
    This way we can add more typing related keybindings here.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682069

 panels/keyboard/01-input-sources.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a24f221eeb69879aebaa90fb1dfaed6849a96d5e
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Aug 16 19:30:08 2012 +0200

    keyboard: Introduce a BINDING_GROUP_SEPARATOR type for the separator
    
    This way we can control the shortcut section separator position in
    case we introduce other types.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682069

 panels/keyboard/cc-keyboard-item.h   |  1 +
 panels/keyboard/keyboard-shortcuts.c | 40 +++++++++++-------------------------
 2 files changed, 13 insertions(+), 28 deletions(-)

commit 71978a802e10f076a577bbc66a9a6f89dc906caa
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Mon Aug 20 23:13:40 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 421 ++++++++++++++++++++++++++++++++++--------------------------
 po/zh_TW.po | 421 ++++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 478 insertions(+), 364 deletions(-)

commit 56b2d3221819952c67e6034ed9be327e748ac191
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Mon Aug 20 15:46:36 2012 +0200

    Updated Polish translation

 po/pl.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b8a919fccbf7751e1b692979a398175d3c500d7d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Aug 20 14:16:23 2012 +0200

    Updated Spanish translation

 po/es.po | 304 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 153 insertions(+), 151 deletions(-)

commit 3aab3eb358805c1b7a06c5a54b04ceaff2cc06b8
Author: Stef Walter <stefw@gnome.org>
Date:   Fri Aug 17 16:58:10 2012 +0200

    user-accounts: Update for realmd DBus interface changes
    
     * DBus interface was reviewed and there were several things added
       to make it more generic and useful for other realm types.
     * Use ObjectManager to track objects in realmd. This facilitates
       using realmd with the way it now uses multiple interfaces
       on objects.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682185

 panels/user-accounts/Makefile.am                   |   4 +-
 .../user-accounts/data/org.freedesktop.realmd.xml  | 645 ++++++++++++++++++---
 ...org.gnome.controlcenter.user-accounts.policy.in |   2 +-
 panels/user-accounts/um-account-dialog.c           |  68 ++-
 panels/user-accounts/um-realm-manager.c            | 501 +++++++---------
 panels/user-accounts/um-realm-manager.h            |  13 +-
 6 files changed, 837 insertions(+), 396 deletions(-)

commit 6b2557f1b3380119d06848cc4c84f064780480cd
Author: Sebastian Keller <sebastian-keller@gmx.de>
Date:   Mon Aug 20 10:50:08 2012 +0100

    network: Improve wifi layout
    
    - Increase size of the window
    - Remove killswitch and hotspot buttons from scrollview
    
    Signed-off-by: Richard Hughes <richard@hughsie.com>

 panels/network/network-wifi.ui | 154 ++++++++++++++++++++---------------------
 1 file changed, 76 insertions(+), 78 deletions(-)

commit 21c6fccc129c052899a4e8c4bd830041bcb6fce6
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Sun Aug 19 18:35:37 2012 +0200

    Updated Polish translation

 po/pl.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 99a99b7f13b2df41aa883e30f60701e18ad36cc1
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Aug 19 15:08:33 2012 +0530

    Update Punjabi Translation

 po/pa.po | 437 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 249 insertions(+), 188 deletions(-)

commit 7ffbf3bc5eb4d65510040465177c5525d1ca6a6c
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Aug 19 00:46:09 2012 +0300

    Updated Belarusian translation.

 po/be.po | 1296 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 685 insertions(+), 611 deletions(-)

commit 7dd80f829fe092e25d8e8c8bb64eb467c30db3be
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Wed Aug 8 17:04:39 2012 +0200

    online-accounts: Open specific account through command-line
    
    Bump required GOA version to 3.5.90 for goa_client_lookup_by_id.
    
    Fixes: https://bugzilla.gnome.org/680458

 configure.ac                                      |  2 +-
 panels/online-accounts/cc-online-accounts-panel.c | 66 +++++++++++++++++++++++
 2 files changed, 67 insertions(+), 1 deletion(-)

commit db2ff0fe5210f1fd752b1b035b99277fb0b56fc7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Aug 15 16:56:21 2012 +0100

    keyboard: Clarify screenshot actions
    
    And explain that it saves directly to the Pictures directory.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681849

 panels/keyboard/01-screenshot.xml.in | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit f217fa286af37fbd040a3d9a98922d02929bc2de
Author: Stef Walter <stefw@gnome.org>
Date:   Tue Aug 14 18:34:22 2012 +0200

    user-accounts: Change behavior/display of panel for remote accounts
    
     * Hide the automatic-login and fingerprint widgets
     * Insensitive account type and real name widgets
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681770

 panels/user-accounts/um-user-panel.c | 51 +++++++++++++++++++++++++-----------
 1 file changed, 36 insertions(+), 15 deletions(-)

commit 251a189cfc47b38df14e4ca515f0643973d08668
Author: Stef Walter <stefw@gnome.org>
Date:   Tue Aug 14 18:33:30 2012 +0200

    user-accounts: Add um_user_is_local_account() method
    
     * Use new LocalAccount property in accountsservice to
       add the um_user_is_local_account() method.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681770

 panels/user-accounts/um-user.c | 12 ++++++++++++
 panels/user-accounts/um-user.h |  1 +
 2 files changed, 13 insertions(+)

commit a2149736cdb72cde857d568cff04f29d45478183
Author: Stef Walter <stefw@gnome.org>
Date:   Tue Aug 14 17:23:28 2012 +0200

    user-accounts: Display the username in list
    
     * By displaying the username we get the unix user name for
       local accounts, and the full login name for remote accounts.
     * Can now differentiate between accounts with the same display
       'real' name.
     * Can see the full login identity of remote accounts.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681767

 panels/user-accounts/um-user-panel.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f5502645ff683b3be9f661929591ed7f5aeef764
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Aug 13 23:20:48 2012 +0200

    keyboard: Remove unused shortcut treeview sorting code
    
    Since the shortcut treeview doesn't have visible headers the sorting
    code isn't needed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681794

 panels/keyboard/keyboard-shortcuts.c | 71 +-----------------------------------
 1 file changed, 2 insertions(+), 69 deletions(-)

commit 7bce5758c8facf21be012c815f60fdb720515e97
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Aug 13 22:02:36 2012 +0200

    keyboard: Fix adding the section separator after the first time
    
    The separator would only get added the first time the keyboard panel
    was opened.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681788

 panels/keyboard/keyboard-shortcuts.c | 19 +++++++------------
 1 file changed, 7 insertions(+), 12 deletions(-)

commit 923f27950a960a4e94c95c2db78ab9e89647e382
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 18 18:32:34 2012 +0100

    user-accounts: Fix crash on startup
    
    Due to badly installed PolicyKit files.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681763

 panels/user-accounts/um-user-panel.c | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)

commit 0651abd7fb24278426222d9620591a3d70079693
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Aug 13 21:53:11 2012 +0200

    keyboard: Plug a memory leak
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681787

 panels/keyboard/keyboard-shortcuts.c | 2 ++
 1 file changed, 2 insertions(+)

commit 3f76a97915643522eeac207c17f2d62960271bad
Author: Stef Walter <stefw@gnome.org>
Date:   Tue Aug 14 17:04:41 2012 +0200

    user-accounts: Create the add account dialog on demand
    
     * Creating the add account dialog as the panel gets created
       means that realmd is invoked, network discovery is done
       and so on. Not optimal.
     * We also don't really need to cache the account dialog,
       and can create a new one for each [+] click.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681852

 panels/user-accounts/um-user-panel.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 36fa8bf9b76efc6eba11dec503743aa09547451b
Author: Stef Walter <stefw@gnome.org>
Date:   Tue Aug 14 18:43:18 2012 +0200

    user-accounts: Consistent capitalization of 'Account Type'
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681771

 panels/user-accounts/data/user-accounts-dialog.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6baadbf8271c09a737ef4463c4e9bc1503425ae8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 18 18:10:44 2012 +0100

    mouse: Remove dead code

 panels/mouse/gnome-mouse-properties.c | 27 ++-------------------------
 1 file changed, 2 insertions(+), 25 deletions(-)

commit e7d6514a11605dd115ae35cec59a99526e310715
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 18 16:09:24 2012 +0100

    shell: Only link to clutter-gtk with cheese support

 configure.ac                 | 5 ++---
 shell/Makefile.am            | 6 ++++--
 shell/cinnamon-control-center.c | 4 ++++
 3 files changed, 10 insertions(+), 5 deletions(-)

commit 69b2a05b255a7b9e5623ee6007636671b596286c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 18 16:09:01 2012 +0100

    shell: Remove CcNotebook
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682127

 shell/Makefile.am            |   7 -
 shell/cc-notebook.c          | 566 -------------------------------------------
 shell/cc-notebook.h          |  70 ------
 shell/cinnamon-control-center.c |   1 -
 shell/test-notebook.c        |  92 -------
 5 files changed, 736 deletions(-)

commit 10c00125f4ce4f8fad1c11556f85bfd46c222289
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 18 16:03:19 2012 +0100

    shell: Drop panel transitions
    
    They're not finished and don't match what the designers would want.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682127

 shell/cinnamon-control-center.c | 30 +++++++++++++-----------------
 shell/shell.ui               |  3 ++-
 2 files changed, 15 insertions(+), 18 deletions(-)

commit 72fd5636e5f769d887796caaf450efeaa139ec9b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 18 16:02:39 2012 +0100

    shell: Add GtkNotebook helper functions
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682127

 shell/cinnamon-control-center.c | 57 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

commit 2a01afe25d7ca42cdd8291df58111b385ba57fec
Author: 袦懈褉芯褋谢邪胁 袧懈泻芯谢懈褯 <miroslavnikolic@rocketmail.com>
Date:   Sat Aug 18 07:47:58 2012 +0200

    Updated Serbian translation

 po/sr.po       | 152 +++++++++++++++++++++++++++------------------------------
 po/sr@latin.po | 152 +++++++++++++++++++++++++++------------------------------
 2 files changed, 146 insertions(+), 158 deletions(-)

commit b7e549165bb2f0ba0c45862ce7353ed2cebee183
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Sat Aug 18 00:25:50 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 4ee558bdc8374fd1093904096d05a417734daebc
Author: William Jon McCann <jmccann@redhat.com>
Date:   Wed Aug 15 21:12:07 2012 -0400

    background: Update the preview when the settings change
    
    They may be change from outside (eg. Nautilus).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676539

 panels/background/cc-background-panel.c | 66 ++++++++++++++-------------------
 1 file changed, 28 insertions(+), 38 deletions(-)

commit 18b3486a064e45d77526f8f270231283087c17c3
Author: William Jon McCann <jmccann@redhat.com>
Date:   Fri Aug 10 18:52:12 2012 -0400

    background: Remove sheen overlay
    
    The metaphor was valid when we used a monitor to display the preview
    but now it doesn't work. There is no glass to reflect light. It
    distracts from the preview and may look like a defect.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676539

 panels/background/Makefile.am           |   3 +--
 panels/background/cc-background-panel.c |  19 -------------------
 panels/background/display-overlay.png   | Bin 6700 -> 0 bytes
 3 files changed, 1 insertion(+), 21 deletions(-)

commit 79ec684fa4912a1e5bff17ce11b036cef4a298aa
Author: William Jon McCann <jmccann@redhat.com>
Date:   Tue May 22 11:34:20 2012 -0400

    background: New background panel design
    
    Implement a new design for the wallpaper selection.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676539

 panels/background/Makefile.am                    |    6 +-
 panels/background/background.ui                  |  352 ++-----
 panels/background/bg-colors-source.c             |   61 +-
 panels/background/bg-flickr-source.c             |    2 +-
 panels/background/bg-pictures-source.c           |    2 +-
 panels/background/bg-source.h                    |    4 +-
 panels/background/bg-wallpapers-source.c         |    2 +-
 panels/background/cc-background-chooser-dialog.c |  335 ++++++
 panels/background/cc-background-chooser-dialog.h |   60 ++
 panels/background/cc-background-panel.c          | 1194 ++++++----------------
 panels/background/display-base.png               |  Bin 22374 -> 0 bytes
 panels/background/display-overlay.png            |  Bin 9549 -> 6700 bytes
 12 files changed, 824 insertions(+), 1194 deletions(-)

commit c2987d8cdee89be5209b1bc4c8af108bcb0f7dcb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Aug 17 17:47:43 2012 +0100

    printers: Check that cups-config exists
    
    Before using it.

 configure.ac | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 7483b80b14aa48637c5f68c2298be1c93d905328
Author: 袦懈褉芯褋谢邪胁 袧懈泻芯谢懈褯 <miroslavnikolic@rocketmail.com>
Date:   Fri Aug 17 12:11:22 2012 +0200

    Updated Serbian translation

 po/sr.po       | 309 +++++++++++++++++++++++++++++++++------------------------
 po/sr@latin.po | 309 +++++++++++++++++++++++++++++++++------------------------
 2 files changed, 360 insertions(+), 258 deletions(-)

commit d3571a0b597d0846a1203892becdc1115edc41b0
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Fri Aug 17 12:08:55 2012 +0530

    Updated kn translation

 po/kn.po | 3638 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 2036 insertions(+), 1602 deletions(-)

commit b523cb386055b8d8c68f62922432841f5eb66170
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Fri Aug 17 11:58:17 2012 +0530

    Updated kn translation

 po/kn.po | 3634 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 1600 insertions(+), 2034 deletions(-)

commit bc76ba093d0d00cc29ae3ac3ded9c297bf7c7def
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Fri Aug 17 10:46:41 2012 +0530

    Updated kn translation

 po/kn.po | 369 ++++++++++++++++++++++++++-------------------------------------
 1 file changed, 149 insertions(+), 220 deletions(-)

commit 11abc4ad1c7a09fa6ac433b57c6e2e9ce9d4647d
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Fri Aug 17 07:57:26 2012 +0530

    Updated kn translation

 po/kn.po | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

commit 9a5d3c267b9017a7b17558c07eb6ea7e1770a5d2
Author: Re艧at SABIQ <tilde.birlik@gmail.com>
Date:   Thu Aug 16 19:25:18 2012 -0500

    Minor update for Crimean Tatar/Turkish translation

 po/crh.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d8d5cf447e330e9506cb8dd8f4563b0f52ad0cf2
Author: Re艧at SABIQ <tilde.birlik@gmail.com>
Date:   Thu Aug 16 19:03:25 2012 -0500

    Updated Crimean Tatar (Crimean Turkish) translation

 po/crh.po | 2701 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1349 insertions(+), 1352 deletions(-)

commit 5e6bf1972ef94084609335a941c130c58ee3796a
Author: Fran Di茅guez <fran.dieguez@mabishu.com>
Date:   Fri Aug 17 01:33:53 2012 +0200

    Updated Galician translations

 po/gl.po | 2091 +++++---------------------------------------------------------
 1 file changed, 144 insertions(+), 1947 deletions(-)

commit c6e7235d5ecc61450077b2ed9dd5bcc64ebedf04
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Aug 16 16:10:03 2012 +0200

    Updated Spanish translation

 po/es.po | 307 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 176 insertions(+), 131 deletions(-)

commit 1585d18edfbeeee99b5b60ca8b65a8bfd1e61bde
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Thu Aug 16 18:39:26 2012 +0530

    Assamese translation updated

 po/as.po | 312 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 179 insertions(+), 133 deletions(-)

commit b106468e01e7ef6be5b7784808f152318a8ba925
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Aug 15 19:05:17 2012 +0100

    universal-access: Fix deprecation warnings
    
    Related to GtkColorButton
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676817

 panels/universal-access/zoom-options.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 131a5ce94764658a6d5733fb50c24f17299b0f29
Author: Alejandro Pi帽eiro <apinheiro@igalia.com>
Date:   Wed Aug 15 17:02:42 2012 +0200

    universal-access: Split the zoom dialog options
    
    Split dialogue into 3 tabs:
      * Magnifier
      * Crosshair
      * Color Effects
    and add a global zoom switch for easy access.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676817

 panels/universal-access/zoom-options.c  |   12 +-
 panels/universal-access/zoom-options.ui | 1519 +++++++++++++++++--------------
 2 files changed, 837 insertions(+), 694 deletions(-)

commit 2d6161d45b09518b76cabc0567690d13cf5a02a1
Author: Joseph Scheuhammer <clown@alum.mit.edu>
Date:   Fri Jul 27 15:50:41 2012 -0400

    universal-access: Add zoom shader options
    
    Add 'Color effects' section to zoom options dialogue:
    - a toggle for inversion (White on black)
    - a slider for brightness
    - a slider for contrast
    - a slider for grey scale
    
    https://bugzilla.gnome.org/show_bug.cgi?id=676817

 panels/universal-access/zoom-options.c  | 126 +++++++-
 panels/universal-access/zoom-options.ui | 492 ++++++++++++++++++++++++++++----
 2 files changed, 565 insertions(+), 53 deletions(-)

commit cda48dbf6ba0a0105ffc445d57395a301fbfc1db
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Tue Aug 14 17:51:22 2012 +0530

    Updated kn translation

 po/kn.po | 161 ++++++++++++++++++++++++---------------------------------------
 1 file changed, 62 insertions(+), 99 deletions(-)

commit c4f4272f7c6ff23aa6b09dec6c862b08cda8fc01
Author: Stef Walter <stefw@gnome.org>
Date:   Mon Aug 13 10:59:47 2012 +0200

    bluetooth: Require gnome-bluetooth 3.5.5
    
     * Due to API change in gnome-bluetooth commit
       1c39fbaeaf782597857216430906a74865e7661b where there were
       changes like s/KILLSWITCH_STATE/BLUETOOTH_KILLSWITCH_STATE/
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681734

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65b09049d88447d89e7c323a667870e3fd538548
Author: Fran Di茅guez <fran.dieguez@mabishu.com>
Date:   Tue Aug 14 11:43:44 2012 +0200

    Updated Galician translations

 po/gl.po | 564 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 296 insertions(+), 268 deletions(-)

commit c6b24ba94ba55b04c6df9d761ea2f7cd60b7f9d9
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Mon Aug 13 15:04:53 2012 +0530

    Updated kn translation

 po/kn.po | 3545 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 2157 insertions(+), 1388 deletions(-)

commit 5b9d311c2d36bd224a6b4f552650e5a1b2372c47
Author: A S Alam <aalam@users.sf.net>
Date:   Mon Aug 13 07:25:30 2012 +0530

    Update Punjabi Translation

 po/pa.po | 692 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 352 insertions(+), 340 deletions(-)

commit c693e4f33f0658d7a010b5199bfe3391f2656fa0
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Aug 12 23:01:55 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 778 +++++++++++++++++++++++++++++---------------------------
 po/zh_TW.po | 834 ++++++++++++++++++++++++++++++++----------------------------
 2 files changed, 837 insertions(+), 775 deletions(-)

commit 9745f93922c5793b78c018eb27f5ed0b594207f8
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Aug 12 12:50:19 2012 +0200

    Updated Arabic translation

 po/ar.po | 822 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 461 insertions(+), 361 deletions(-)

commit e959be7e869d08ff041a3de4cebfbf8965e1ad9e
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Sat Aug 11 19:52:45 2012 +0530

    Updated Marathi Translations

 po/mr.po | 9390 +++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 6589 insertions(+), 2801 deletions(-)

commit 621d05e65acf397906cd124ebee7808a60b4fbf4
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Sat Aug 11 04:31:35 2012 +0700

    Updated Indonesian translation

 po/id.po | 485 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 291 insertions(+), 194 deletions(-)

commit 71db59d9a2b881b941df03e04eeb910f029822cf
Author: Marek Kasik <mkasik@redhat.com>
Date:   Thu Aug 9 14:23:49 2012 +0200

    printers: Remove obsoleted notebook page
    
    This commit removes the notebook page which consists
    old printer options. It was replaced by separate dialog.

 panels/printers/cc-printers-panel.c |  20 ----
 panels/printers/printers.ui         | 182 +-----------------------------------
 2 files changed, 4 insertions(+), 198 deletions(-)

commit 0f5eae643b186162c1397e1b05b5aa19e144f77e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Aug 8 17:20:52 2012 +0100

    3.5.6

 NEWS         | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 49 insertions(+), 1 deletion(-)

commit 54f5a8c7c6661ad6e7565f038a4e829d199b9d03
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Aug 8 17:07:24 2012 +0200

    Updated Spanish translation

 po/es.po | 370 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 215 insertions(+), 155 deletions(-)

commit fa5e27d3209fa15eb6096ef975f305e6032ac037
Author: Jiri Popelka <jpopelka@redhat.com>
Date:   Wed Aug 8 14:33:25 2012 +0200

    Use CUPS-1.6 IPP API getter/setter functions.
    
    CUPS 1.6 makes various structures private and
    introduces these ippGet and ippSet functions
    for all of the fields in these structures.
    http://www.cups.org/str.php?L3928
    
    We define our own accessors when
    building against CUPS < 1.6. (#679759)
    (modified by Marek Kasik)

 panels/printers/cc-printers-panel.c     |  20 ++-
 panels/printers/pp-new-printer-dialog.c |  10 +-
 panels/printers/pp-utils.c              | 277 ++++++++++++++++++--------------
 3 files changed, 183 insertions(+), 124 deletions(-)

commit ec2fc6d8b6aeb9d1faf42911e675224a4d152ba9
Author: Stef Walter <stefw@gnome.org>
Date:   Wed Aug 8 09:33:07 2012 +0200

    user-accounts: Remove needless console output
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680892

 panels/user-accounts/um-realm-manager.c | 1 -
 1 file changed, 1 deletion(-)

commit 4e67ecc45651729e2bcff40fac420098cdf41449
Author: Stef Walter <stefw@gnome.org>
Date:   Wed Aug 8 09:30:35 2012 +0200

    user-accounts: Cleanup GVariant usage
    
     * Don't call g_variant_ref_sink() unnecessarily.
     * Don't call g_variant_new_variant() unnecessarily.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680892

 panels/user-accounts/um-account-dialog.c | 4 +---
 panels/user-accounts/um-realm-manager.c  | 9 ++-------
 2 files changed, 3 insertions(+), 10 deletions(-)

commit f28736ce17d5430510fb08e722f96809f627e50e
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Wed Aug 8 12:51:32 2012 +0530

    Assamese translation updated

 po/as.po | 525 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 259 insertions(+), 266 deletions(-)

commit fe25e2302e96483b32d67787f41d2342c1776ec1
Author: 袦懈褉芯褋谢邪胁 袧懈泻芯谢懈褯 <miroslavnikolic@rocketmail.com>
Date:   Wed Aug 8 07:20:46 2012 +0200

    Updated Serbian translation

 po/sr.po       | 363 +++++++++++++++++++++++++++++++++------------------------
 po/sr@latin.po | 363 +++++++++++++++++++++++++++++++++------------------------
 2 files changed, 424 insertions(+), 302 deletions(-)

commit 478c6af97d6b1f99134ec9d864aa19b430eb4ca0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 8 01:14:58 2012 -0400

    network: Make only the list background white

 panels/network/net-device-wifi.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 96682e13684d7b0e3fd17a63635006b86bb9b53e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 8 00:32:34 2012 -0400

    network: Put the ssid in the detail page header

 panels/network/net-device-wifi.c | 22 +++++++++++++++++-----
 1 file changed, 17 insertions(+), 5 deletions(-)

commit 901ad8c94105993b5522968ddffd2bf9cd42823f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 8 00:20:04 2012 -0400

    network: Cosmetic fixes
    
    Mark a few strings as translatable, and rename 'Options' to
    'Settings' to match the mockups.

 panels/network/network-wifi.ui | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 61a5c180ecc4acec1d74cb02c573660572cd32e0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 8 00:16:37 2012 -0400

    network: Don't make the options button insensitive
    
    We always want to be able to go there.

 panels/network/net-device-wifi.c | 8 --------
 1 file changed, 8 deletions(-)

commit 0e70a56f9e713b266f5f523cf03e5e44959f4423
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 7 23:44:22 2012 -0400

    Trivial: Add a missing space

 panels/network/net-device-wifi.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit e76472c5483eec908f926a6fe9ec6012959978df
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 7 23:40:47 2012 -0400

    network: Improve the hotspot dialog
    
    Change the hotspot dialog to match the mockups more closely.

 panels/network/net-device-wifi.c |  80 ++++++++++---------------
 panels/network/network-wifi.ui   | 122 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 152 insertions(+), 50 deletions(-)

commit 637bd5183bb91b0ad029ef59af7b9d578bb1e906
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 1 20:37:13 2012 +0200

    info: change 'other media action' mnemonic
    
    Use the A instead of the o. There are no conflicts, and using
    the first character as mnemonic is better.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681211

 panels/info/info.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5fc4b1809b41c5acc7622df02744aba8dff91639
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 1 20:36:04 2012 +0200

    info: Fix mnemonic activation for 'other media action'
    
    The mnemonic was pointing at a box, which is not activatable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681211

 panels/info/cc-info-panel.c | 6 ++++++
 panels/info/info.ui         | 3 +--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 34caef89ef89d63548572621ed4a2166b49eee1a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 1 20:25:28 2012 +0200

    info: replace one GtkTable instance by GtkGrid
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681211

 panels/info/info.ui | 19 +++++--------------
 1 file changed, 5 insertions(+), 14 deletions(-)

commit a8662e4261fbd6edaf2ed42b503964e164d54ee9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 1 20:16:21 2012 +0200

    info: Use GtkBox instead of GtkHBox/GtkVBox
    
    https://bugzilla.gnome.org/show_bug.cgi?id=681211

 panels/info/info.ui | 48 ++++++++++++++++++++++++++++++++----------------
 1 file changed, 32 insertions(+), 16 deletions(-)

commit d06f19b903935ccbbaf736efc2513fa0f376f9de
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Tue Aug 7 23:45:02 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 2 ++
 1 file changed, 2 insertions(+)

commit b5e0cc29e91441b73ae86a8700c9c57b143863e8
Author: 袦懈褉芯褋谢邪胁 袧懈泻芯谢懈褯 <miroslavnikolic@rocketmail.com>
Date:   Tue Aug 7 23:32:33 2012 +0200

    Updated Serbian translation

 po/sr.po       | 276 +++++++++++++++++++++++++--------------------------------
 po/sr@latin.po | 276 +++++++++++++++++++++++++--------------------------------
 2 files changed, 240 insertions(+), 312 deletions(-)

commit 96d58bf995d180f43fc8861f50880b7a41d36a26
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Aug 8 03:58:28 2012 +0700

    Updated Indonesian translation

 po/id.po | 6526 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 3761 insertions(+), 2765 deletions(-)

commit 6a068261a67fe0f4308056a0b3676ad325598ae4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Aug 7 21:02:46 2012 +0200

    Updated Spanish translation

 po/es.po | 264 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 119 insertions(+), 145 deletions(-)

commit 15bcc03b4063bad9c3f338ca5fd37e21c0ced779
Author: Cyrus Lien <cyrus.lien@canonical.com>
Date:   Tue Aug 7 14:23:21 2012 +0800

    display: Do not add preferred mode to drop down in clone mode.
    
    Use preferred resolution to switch to mirror mode will popup error
    messages if preferred resolution is not a common resolution.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680969

 panels/display/cc-display-panel.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit c3e71b49277e1e12bccd65b8575aa847862e6868
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 7 10:19:18 2012 -0400

    network: Don't show shared connections in the wifi list
    
    A shared connection is the leftover of an inactive hotspot.
    We don't want to show these in the list.

 panels/network/net-device-wifi.c | 26 +++++++++++++++++---------
 1 file changed, 17 insertions(+), 9 deletions(-)

commit 9db6b3c5f531578b06d80ae286609fa8468d5c34
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 7 09:58:29 2012 -0400

    Trivial: fix a typo

 panels/user-accounts/um-account-dialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6d8b9c8252cbf4e439cad0a225b841b2189fec0
Author: Marek Kasik <mkasik@redhat.com>
Date:   Tue Aug 7 14:09:33 2012 +0200

    printers: Place jobs to separate dialog
    
    This commit places list of jobs to separate dialog. The dialog
    is updated through calling of pp_jobs_dialog_update()
    from "Printers" panel because the panel is already subscribed
    to cups notifications.

 panels/printers/Makefile.am         |   7 +-
 panels/printers/cc-printers-panel.c | 446 ++++-------------------------
 panels/printers/jobs-dialog.ui      | 183 ++++++++++++
 panels/printers/pp-jobs-dialog.c    | 541 ++++++++++++++++++++++++++++++++++++
 panels/printers/pp-jobs-dialog.h    |  42 +++
 panels/printers/pp-utils.c          | 265 ++++++++++++++++++
 panels/printers/pp-utils.h          |  26 ++
 panels/printers/printers.ui         | 154 +---------
 8 files changed, 1122 insertions(+), 542 deletions(-)

commit 439b75fcea59101c02b378388f14b502dc6baea9
Author: Marek Kasik <mkasik@redhat.com>
Date:   Tue Aug 7 12:28:05 2012 +0200

    printers: Return accidentally removed code
    
    Return implementation of get_help_uri() which was accidentally removed.

 panels/printers/cc-printers-panel.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit ed1c9becf7bdd80b2d18a8635819240f9ab3579e
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Aug 7 09:19:23 2012 +0100

    network: If a hotspot is already connected at startup then don't show the AP list

 panels/network/net-device-wifi.c | 39 +++++++++++++++++++++++++++------------
 1 file changed, 27 insertions(+), 12 deletions(-)

commit a6b2db1e178d1f82409966a8ffa772955eea3525
Author: Marek Kasik <mkasik@redhat.com>
Date:   Tue Aug 7 11:54:11 2012 +0200

    printers: Cancel async operations properly
    
    Don't call callbacks of async functions called
    from Printers panel if they were cancelled.
    User data are not valid in that case (rhbz#845496).

 panels/printers/cc-printers-panel.c | 90 ++++++++++++++++++++++++++++++-------
 panels/printers/pp-utils.c          | 31 ++++++++++---
 panels/printers/pp-utils.h          |  5 ++-
 3 files changed, 103 insertions(+), 23 deletions(-)

commit aa867311c2ef48ee13d6dc9acf6d446fbdc1e21b
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Aug 7 14:54:47 2012 +0530

    Assamese translation updated

 po/as.po | 1303 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 826 insertions(+), 477 deletions(-)

commit 3fa35643fa5c3371a1d699d496b03a167f6732b3
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Aug 7 15:10:48 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 765 +++++++++++++++++++++++++++++++-------------------------
 po/zh_TW.po | 819 ++++++++++++++++++++++++++++++++----------------------------
 2 files changed, 865 insertions(+), 719 deletions(-)

commit fdad89f85205a37707649ea70514ae34774f33ce
Author: Colin Walters <walters@verbum.org>
Date:   Mon Aug 6 18:19:24 2012 -0400

    build: Add --disable-documentation option
    
    For embedded systems, it's pointless to build the docs if they're not
    going to be used/shown.
    
    Also, for gnome-ostree right now I don't have the Docbook
    infrastructure set up.

 Makefile.am  |  5 ++++-
 configure.ac | 12 +++++++++++-
 2 files changed, 15 insertions(+), 2 deletions(-)

commit 576d6ba04dc89406bd0e62ca7be23f05a9e2d489
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Aug 6 14:34:51 2012 -0400

    screen: Keep 'show notifications' sensitive
    
    Even when automatic screen locking is disabled, the user can
    still manually lock the screen, and may want to control whether
    notifications show up in that case or not.

 panels/screen/cc-screen-panel.c | 6 ------
 1 file changed, 6 deletions(-)

commit 1f4aeb1d05c24af428294b5955d36456d0a3544e
Author: Stef Walter <stefw@gnome.org>
Date:   Tue Jul 31 09:17:34 2012 +0200

    user-panel: Update to new DBus interface for realmd 0.6
    
     * In particular support of different credential methods and better
       hints for different owners of those credentials, so we can prompt
       more cleanly.
     * Less abstraction in the realmd interfaces
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680892

 .../user-accounts/data/org.freedesktop.realmd.xml  | 101 ++++++------
 panels/user-accounts/um-account-dialog.c           |  47 ++++--
 panels/user-accounts/um-realm-manager.c            | 169 ++++++++++++++++-----
 panels/user-accounts/um-realm-manager.h            |  16 +-
 4 files changed, 224 insertions(+), 109 deletions(-)

commit 6ee1e694df965c92ed8f5e16bc5067f59a845ae2
Author: 袦懈褉芯褋谢邪胁 袧懈泻芯谢懈褯 <miroslavnikolic@rocketmail.com>
Date:   Sun Aug 5 12:18:44 2012 +0200

    Updated Serbian translation

 po/sr.po       | 479 ++++++++++++++++++++++++++++++++++-----------------------
 po/sr@latin.po | 479 ++++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 568 insertions(+), 390 deletions(-)

commit dfede0780038d6aae840ef059c6efff0060876d4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Aug 4 12:50:05 2012 -0400

    Add a man page
    
    The main purpose of this man page is to document which options
    can be given to individual panels.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680547

 Makefile.am                  |   4 +-
 configure.ac                 |   3 +
 man/Makefile.am              |  19 +++
 man/cinnamon-control-center.xml | 308 +++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 332 insertions(+), 2 deletions(-)

commit 45bd60108f8f4648b5b85efe556d419b29a32487
Author: Cheng Lu <chenglu1990@gmail.com>
Date:   Sat Aug 4 14:54:05 2012 +0800

    Update Chinese simplified translation for ui

 po/zh_CN.po | 1508 ++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 876 insertions(+), 632 deletions(-)

commit c272aa5eb572012b0aa5da4c63a76d4b310cbaa8
Author: Marek Kasik <mkasik@redhat.com>
Date:   Thu Aug 2 11:47:39 2012 +0200

    printers: Don't restrict PPD list
    
    Don't restrict PPD list to PPDs with DeviceIDs only.
    Extend dictionary of manufacturers names.

 panels/printers/cc-printers-panel.c |   8 +-
 panels/printers/pp-utils.c          | 158 ++++++++++++++++++++++++------------
 2 files changed, 112 insertions(+), 54 deletions(-)

commit 1cffa8e206e7fb9f4a0dbab05c3a810b15ee2879
Author: Stef Walter <stefw@gnome.org>
Date:   Tue Jul 31 09:14:52 2012 +0200

    user-panel: Fix memory leak of UmRealmManager
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680890

 panels/user-accounts/um-realm-manager.c | 2 ++
 1 file changed, 2 insertions(+)

commit fb6833e57ab92cea99cc1af13a7c6b8db77ba900
Author: Stef Walter <stefw@gnome.org>
Date:   Tue Jul 31 09:08:04 2012 +0200

    user-panel: Strip remote dbus error before showing error
    
     * GDBus transfers dbus error codes in the error->message so strip that
       out before display
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680889

 panels/user-accounts/um-account-dialog.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit e707b83dc5033f44bdfb2c37596e2b2bf6588be1
Author: Fran Di茅guez <fran.dieguez@mabishu.com>
Date:   Tue Jul 31 01:46:02 2012 +0200

    Updated Galician translations

 po/gl.po | 131 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 76 insertions(+), 55 deletions(-)

commit 4386dcadfa86fd3520cd18f4095a5b687aa50b3e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jul 30 16:53:22 2012 +0200

    Updated Spanish translation

 po/es.po | 147 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 81 insertions(+), 66 deletions(-)

commit 68405bcf376b2187ffa7c9b0c0db29fe6135a157
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jul 30 12:48:16 2012 +0200

    Updated Spanish translation

 po/es.po | 295 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 177 insertions(+), 118 deletions(-)

commit d282d37e92f3735b042e8ee7a4468e6e289b0064
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 30 10:05:41 2012 +0100

    network: Fix a Gtk warning introduced recently due to a mnemonic widget name

 panels/network/network-wifi.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c0d771c277bda0ba73ab308d4c3013601e04bd3a
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 30 10:03:04 2012 +0100

    network: Don't show a blank name server label in the IP overview

 panels/network/panel-common.c | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit 763788894c4383894d638b6764507da4b036705a
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 30 09:59:13 2012 +0100

    network: Don't show the NULL address in the IP overview

 panels/network/panel-common.c | 2 ++
 1 file changed, 2 insertions(+)

commit ae5acbe421159fc559746713d56e6c18a84cca6d
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 30 09:53:38 2012 +0100

    network: Show hotspot details in a new sub-frame to match the mockup

 panels/network/net-device-wifi.c | 123 ++++++++--------
 panels/network/network-wifi.ui   | 304 ++++++++++++++++++++++++++++-----------
 2 files changed, 285 insertions(+), 142 deletions(-)

commit 14011dac11840c2894d2d3eb0e964317091b11af
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 30 09:49:40 2012 +0100

    network: Cleanup coding style to match the rest of the file

 panels/network/net-device-wifi.c | 20 +++++---------------
 1 file changed, 5 insertions(+), 15 deletions(-)

commit 240e3b0598926d0411bcf258a92e055b94e36966
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 30 09:45:44 2012 +0100

    network: Do not show the start hotspot button if the user has no permissions

 panels/network/net-device-wifi.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 5b35fb719c0527ee96af7af01afdeecec08f37e9
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 30 08:57:55 2012 +0100

    network: Re-enable the hidden network functionality

 panels/network/net-device-wifi.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f7af831ff62e7975cb2b5128d3e9536ca079b3d8
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 30 08:53:43 2012 +0100

    network: Make the hidden network UI match the new mockups

 panels/network/net-device-wifi.c | 21 +++++++--------------
 1 file changed, 7 insertions(+), 14 deletions(-)

commit 26432f180f33bd8163b410b069a64d709a989306
Author: Fran Di茅guez <fran.dieguez@mabishu.com>
Date:   Mon Jul 30 02:09:41 2012 +0200

    Updated Galician translations

 po/gl.po | 1240 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 774 insertions(+), 466 deletions(-)

commit 051766d4827655be0211ffd20fcbbfd0aa82f249
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jul 27 22:37:46 2012 +0200

    network: Remove nonexisting widget from size group
    
    This was causing warnings.

 panels/network/network.ui | 3 ---
 1 file changed, 3 deletions(-)

commit 5b1491ba0c253bfaf3300eeea29b19b9c026d53b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Sun Jul 29 11:35:24 2012 +0200

    network: don't set 'dim-label' in the <packing> section
    
    It should be set among the normal properties.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680773

 panels/network/network-wifi.ui | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2ad1d5461a08d9c761b4c66b9d237680b71639b0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Sun Jul 29 11:34:57 2012 +0200

    network: add a shadow to the wireless scrolled window
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680773

 panels/network/network-wifi.ui | 1 +
 1 file changed, 1 insertion(+)

commit 1c762ace213c95f7111aa047617de7abd1078ddf
Author: A S Alam <aalam@users.sf.net>
Date:   Sat Jul 28 07:07:29 2012 +0530

    update Punjabi Translation

 po/pa.po | 1331 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 836 insertions(+), 495 deletions(-)

commit b05de99a0be85ae4abaf437a9a10b6397f535320
Merge: fbe6756 5c5c538
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Jul 27 16:20:37 2012 +0100

    Merge branch 'network-wifi-rework'

commit 5c5c538ebed771db16d51159a1f065b2b0aa8821
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Jul 27 16:19:18 2012 +0100

    network: Don't show the speed and security when the wifi device is deactivated

 panels/network/net-device-wifi.c | 50 +++++++++++++---------------------------
 1 file changed, 16 insertions(+), 34 deletions(-)

commit 7cca78437db4bbbea291d2b915c6926dc6f26e78
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Jul 27 14:12:18 2012 +0100

    network: Forget the last selected network when the button is clicked
    
    Before we were deleting the connection currently bound to the device...

 panels/network/net-device-wifi.c | 99 ++++++++++++++++++++++++++++------------
 1 file changed, 70 insertions(+), 29 deletions(-)

commit 1aa2ed94919a9d2e4278dd2e0f2248e6b905d199
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Jul 27 11:49:54 2012 +0100

    network: Show detailed information about saved wireless connections

 panels/network/net-device-wifi.c | 109 +++++++++++++++---
 panels/network/network-wifi.ui   | 237 ++++++++++++++++++++++++++++++++++++---
 2 files changed, 317 insertions(+), 29 deletions(-)

commit fbe6756c6f2104d78854da927b96c3d88cd31a2e
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Fri Jul 27 09:06:47 2012 +0200

    configure: fix build with --disable-ibus
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680133

 configure.ac | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit c1201537cdb0b8b9d304e072d6f20658126dcfef
Author: 袦懈褉芯褋谢邪胁 袧懈泻芯谢懈褯 <miroslavnikolic@rocketmail.com>
Date:   Thu Jul 26 23:16:22 2012 +0200

    Updated Serbian translation

 po/sr.po       | 7366 +++++++++++++++++++++++++++++++++++++-------------------
 po/sr@latin.po | 7366 +++++++++++++++++++++++++++++++++++++-------------------
 2 files changed, 9786 insertions(+), 4946 deletions(-)

commit 8776700a73f68ac00bf23d846c9158f8e6c1ce35
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 26 17:54:03 2012 +0200

    bluetooth: Update for killswitch API change

 panels/bluetooth/cc-bluetooth-panel.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 9a10722da21096501a45af13e6191971465bf799
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 26 15:41:25 2012 +0100

    network: Show the wireless speed as a seporate line in the details
    
    ...to match the mockup.

 panels/network/net-device-wifi.c | 19 +++++++++----------
 panels/network/network-wifi.ui   | 34 +++++++++++++++++++++++++++++-----
 2 files changed, 38 insertions(+), 15 deletions(-)

commit a0f69c0809aff8c717b6d7548c280ec9c3e1af8c
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 26 14:46:53 2012 +0100

    network: Don't crash when showing active APs that are not valid UTF8
    
    There doesn't appear to be any standard saying you have to have ASCII/UTF-8
    access point names...

 panels/network/net-device-wifi.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit f14b5501444faec72809b84706cc490b081218e8
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 26 14:43:54 2012 +0100

    network: Only show the disconnect button when a device is fully activated

 panels/network/net-device-wifi.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 9441a74e8a289f80a0542b1c665f766837328001
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 26 14:43:17 2012 +0100

    network: Add another panel for future hotspot information

 panels/network/network-wifi.ui | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit 38ea1cdefd6fce444a409bde4706a09ebabcd373
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 26 14:29:57 2012 +0100

    network: Add network strength to the details panel

 panels/network/net-device-wifi.c | 2 --
 1 file changed, 2 deletions(-)

commit 6b526f121319b78e56423d41cbe1ae143077a8aa
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 26 14:29:38 2012 +0100

    network: Add network strength to the details panel

 panels/network/net-device-wifi.c | 22 ++++++++++++++++++++++
 panels/network/network-wifi.ui   | 34 +++++++++++++++++++++++++++++-----
 2 files changed, 51 insertions(+), 5 deletions(-)

commit e7319edc9b61bf9ca667a8d1f3b1ad7e04f43706
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 26 14:23:31 2012 +0100

    network: Add saved connections to the wireless network list

 panels/network/net-device-wifi.c              | 160 ++++++++++++++++++++++++--
 panels/network/network-wifi.ui                |   4 +
 panels/network/panel-cell-renderer-security.c |   4 +-
 panels/network/panel-cell-renderer-signal.c   |   2 +-
 4 files changed, 157 insertions(+), 13 deletions(-)

commit 5c11b6f94bd9518f449419e089143d7467ff6e2c
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 26 13:47:09 2012 +0100

    network: Only show the details arrow for active connections

 panels/network/net-device-wifi.c | 46 +++++++++++++++++++++++++++++++++++++---
 1 file changed, 43 insertions(+), 3 deletions(-)

commit 391815c2c19d833eeb61fc7e4e617c1e416ae17a
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 26 13:38:55 2012 +0100

    network: split the wireless panel into a network list and details panel

 panels/network/net-device-wifi.c | 322 +++++++++++++++++++++++++++------------
 panels/network/network-wifi.ui   | 223 ++++++++++++++++++---------
 2 files changed, 372 insertions(+), 173 deletions(-)

commit 22323ad6c6974891ff6680811d8f316b88e42e1d
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 26 09:58:53 2012 +0100

    network: Start to split up the network panel into different views to match the new mockup

 panels/network/net-device-wifi.c |   8 +-
 panels/network/network-wifi.ui   | 932 +++++++++++++++++++++------------------
 2 files changed, 502 insertions(+), 438 deletions(-)

commit 2bbd94094251f5b5aa2a632866974dfbca0bbd2c
Author: 袦懈褉芯褋谢邪胁 袧懈泻芯谢懈褯 <miroslavnikolic@rocketmail.com>
Date:   Thu Jul 26 09:49:49 2012 +0200

    Updated Serbian translation

 po/sr.po       | 7015 ++++++++++++++++++++------------------------------------
 po/sr@latin.po | 7015 ++++++++++++++++++++------------------------------------
 2 files changed, 4960 insertions(+), 9070 deletions(-)

commit 3e827ce3342681d61fc272bf1949d8aaa7717ec6
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Wed Jul 25 22:38:15 2012 +0900

    [l10n] Update Japanese translation

 po/ja.po | 1331 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 777 insertions(+), 554 deletions(-)

commit 556e2cf4e3e41b625774a8deddf19f82a3fb274b
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Tue Jul 24 18:35:41 2012 +0300

    Updated Greek translation

 po/el.po | 4839 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 2673 insertions(+), 2166 deletions(-)

commit c4db04f8a53548738a4fe665f56ea59e91aa92b5
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   Mon Jul 23 15:56:53 2012 +0200

    configure: We require ibus version 1.4.99 or newer (1.5 unstable)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680133

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f9e052eea0703e0e5d7e33fada7d7d2920f2d3d7
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   Mon Jul 23 15:04:58 2012 +0200

    configure: Bump GTK+ requirement to 3.5.8: first version to bring GtkLevelBar.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680133

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3c1d245cbc3061194c5db4d3442c3fb08bae221d
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Mon Jul 23 22:34:14 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 2 ++
 1 file changed, 2 insertions(+)

commit 12799fdb19feea7cd53425ef9cfe877911c4b0f3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Jul 23 12:38:08 2012 +0200

    Updated Norwegian bokm氓l translation

 po/nb.po | 1077 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 603 insertions(+), 474 deletions(-)

commit 125da078891c703be1fd52e305599a848145a5bc
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 23 10:43:02 2012 +0100

    network: Remove some dead code from the conversion

 panels/network/cc-network-panel.c | 110 +++++++-------------------------------
 1 file changed, 19 insertions(+), 91 deletions(-)

commit 08532a3a86e2a8ee6621c857281cf9a06bc77545
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 23 10:14:31 2012 +0100

    network: Prevent a crash when a device is removed and then re-added

 panels/network/net-device.c | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit b06bb9e5f36a26f99506c2ef0d284885b3ba6e08
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Jul 20 12:05:10 2012 +0100

    network: Split the wifi device from the .c and .ui file

 panels/network/Makefile.am        |    3 +
 panels/network/cc-network-panel.c | 2483 ++++++-------------------------------
 panels/network/net-device-wifi.c  | 1538 +++++++++++++++++++++++
 panels/network/net-device-wifi.h  |   58 +
 panels/network/network-wifi.ui    |  525 ++++++++
 panels/network/network.ui         |  520 --------
 6 files changed, 2475 insertions(+), 2652 deletions(-)

commit a70b3f2c8e3b9c88c72e67793a82f7de006890dd
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Jul 22 23:45:39 2012 +0200

    Updated Arabic translation

 po/ar.po | 300 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 157 insertions(+), 143 deletions(-)

commit 5366d1188e212d472905ac325df9a4c03eb711a9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 22 13:00:18 2012 -0400

    info: Check PackageKit version at runtime
    
    The previous patch made use use PackageKit 0.8 API. This patch
    adds a version check that keeps the info panel from crashing
    when it finds an older PackageKit at runtime.

 panels/info/cc-info-panel.c | 32 +++++++++++++++++++++++++++-----
 1 file changed, 27 insertions(+), 5 deletions(-)

commit 76add03e25d87da3c99b1ad1b29081b9195f8d69
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jul 22 12:59:15 2012 -0400

    info: Adapt to PackageKit API breakage
    
    PackageKit 0.8.x has broken several APIs that we are using here.

 panels/info/cc-info-panel.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2b3a82b5ce1908099253148fb5fdfa4d03ed9585
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Jul 21 18:44:55 2012 +0200

    Updated Spanish translation

 po/es.po | 332 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 163 insertions(+), 169 deletions(-)

commit cb6f427798e48d7672e9d608fb614f31b2f43453
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Sat Jul 21 01:05:18 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 4 ++++
 1 file changed, 4 insertions(+)

commit aee6325cf22156d274cfb02e2b2c6766cc6b13ce
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Jul 20 11:43:05 2012 +0100

    network: Add a missing file for the mobile broadband UI

 panels/network/network-mobile.ui | 378 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 378 insertions(+)

commit de8993eddbbea7a67e5de590913ce4563363b256
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Jul 20 09:28:26 2012 +0100

    network: Allow NetObjects to get the main panel object so they can show modal dialogs

 panels/network/cc-network-panel.c  |  2 ++
 panels/network/net-device-mobile.c |  5 +++--
 panels/network/net-object.c        | 22 ++++++++++++++++++++++
 panels/network/net-object.h        |  3 +++
 4 files changed, 30 insertions(+), 2 deletions(-)

commit 26b5169beeb7045b77b871cb8aa81d5637c1c025
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Jul 20 09:21:57 2012 +0100

    network: Split the mobile broadband device from the .c and .ui file

 panels/network/Makefile.am         |   3 +
 panels/network/cc-network-panel.c  | 343 +---------------------
 panels/network/net-device-mobile.c | 570 +++++++++++++++++++++++++++++++++++++
 panels/network/net-device-mobile.h |  59 ++++
 panels/network/network.ui          | 420 ---------------------------
 5 files changed, 636 insertions(+), 759 deletions(-)

commit 62b8a4c8bbca007eb6514771baa4e3eea94e93e7
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Jul 20 09:08:53 2012 +0100

    network: Add a NetObject->edit vfunc for the different devices to use

 panels/network/net-device-wired.c | 15 +--------------
 panels/network/net-device.c       | 23 +++++++++++++++++++++++
 panels/network/net-object.c       |  8 ++++++++
 panels/network/net-object.h       |  2 ++
 panels/network/net-vpn.c          |  8 ++++++++
 5 files changed, 42 insertions(+), 14 deletions(-)

commit a808633484695fbe245f5797108123c749985e5a
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed Jul 18 15:08:07 2012 +0100

    network: Split the wired device from the .c and .ui file

 panels/network/Makefile.am        |   3 +
 panels/network/cc-network-panel.c | 165 +++--------------
 panels/network/net-device-wired.c | 271 ++++++++++++++++++++++++++++
 panels/network/net-device-wired.h |  58 ++++++
 panels/network/network-wired.ui   | 366 ++++++++++++++++++++++++++++++++++++++
 panels/network/network.ui         | 360 -------------------------------------
 6 files changed, 726 insertions(+), 497 deletions(-)

commit 5644bd6e6291278e3829cbb0c2a04e0a1d2fcd21
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed Jul 18 14:57:26 2012 +0100

    network: Add panel_set_device_widgets() to the widget common code
    
    We can use this from the different NetDevice types, and once all the devices are
    converted to actual NetDeviceFoo-style objects we can remove the legacy code in
    cc-network-panel.c

 panels/network/panel-common.c | 172 +++++++++++++++++++++++++++++++++++++++++-
 panels/network/panel-common.h |   2 +
 2 files changed, 172 insertions(+), 2 deletions(-)

commit 1e4b0649f497e3969c73ac20e27a25df1886b435
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jul 19 21:36:20 2012 -0400

    region: Handle being opened twice gracefully
    
    When the going from the region panel to the overview and back,
    the input methods in the list loose their display names. What
    is happening is that we recreate the ibus object, but the second
    time around it is already connected since ibus uses a shared
    singleton connection internally. Thus, the ::connected signal
    is never emitted, and we don't fetch the engines.
    
    Work around this by checking if the newly created ibus object
    is already connected, and directly calling fetch_ibus_engines
    if it is. To make this work, we have to set up the treeview
    with its model earlier.

 panels/region/gnome-region-panel-input.c | 39 +++++++++++++++++---------------
 1 file changed, 21 insertions(+), 18 deletions(-)

commit 0af48c80a95f9ca6ceca0b1b65e0a17b96fcb4f3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jul 19 21:34:18 2012 -0400

    region: Make the code more robust
    
    update_ibus_active_sources may very well be called with
    an empty treeview. The code that iterates over the model
    was assuming that there is at least one item. Fix that
    by checking the return value of gtk_tree_model_get_iter_first().

 panels/region/gnome-region-panel-input.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit b807656dbb8db5bb0e61d2de47004be9a616f07a
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Thu Jul 19 22:58:20 2012 +0300

    Updated Belarusian translation.

 po/be.po | 600 +++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 428 insertions(+), 172 deletions(-)

commit 06554439b7243aa3625d52ad8fe41ed621d3ac3c
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Wed Jul 18 14:23:29 2012 +0200

    wacom: Do calibration for the selected tool only
    
    As different tools may have different resolutions (e.g.
    touch vs. stylus on tablets which support both).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680114

 panels/wacom/calibrator/gui_gtk.c | 13 +++++++++++++
 panels/wacom/calibrator/gui_gtk.h |  1 +
 panels/wacom/calibrator/main.c    |  3 ++-
 panels/wacom/cc-wacom-page.c      | 14 +++++++++++++-
 4 files changed, 29 insertions(+), 2 deletions(-)

commit f004ecb17d826ef4389ebe0d2f8ca5c34eb6392d
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Wed Jul 18 15:17:36 2012 +0200

    wacom: Fix critical warning after calibration
    
    g_variant_new_array() creates a floating reference and
    g_settings_set_value() consumes it, so don't unref the GVariant
    ourselves.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680171

 panels/wacom/cc-wacom-page.c | 1 -
 1 file changed, 1 deletion(-)

commit d37487ffa52d7294b186c75562e2753513426e6b
Author: Tobias Endrigkeit <tobiasendrigkeit@googlemail.com>
Date:   Wed Jul 18 21:48:29 2012 +0200

    Updated German translation

 po/de.po | 2714 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 1740 insertions(+), 974 deletions(-)

commit 20f85e38b742d7976cea10de5f910a91b05d5648
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Wed Jul 18 09:34:45 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 594 +++++++++++++++++++++++++++++++++++++++++++-----------------
 po/zh_TW.po | 594 +++++++++++++++++++++++++++++++++++++++++++-----------------
 2 files changed, 848 insertions(+), 340 deletions(-)

commit 21d93f184c192a73b6984d320a7b432c92bbc8eb
Author: Aurimas 膶ernius <aurisc4@gmail.com>
Date:   Tue Jul 17 22:19:40 2012 +0300

    Updated Lithuanian translation

 po/lt.po | 1592 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 754 insertions(+), 838 deletions(-)

commit fad7dcba736a2b3a3e873d442475fdd3c17e4b23
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jul 17 19:09:17 2012 +0100

    3.5.5

 NEWS         | 36 ++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 37 insertions(+), 1 deletion(-)

commit 00c51443ae596b7e024b175e8c9f047c42fe5738
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jul 17 16:15:13 2012 +0100

    network: Add some more widget setting common code

 panels/network/panel-common.c | 20 ++++++++++++++++++++
 panels/network/panel-common.h |  3 +++
 2 files changed, 23 insertions(+)

commit f4c13e835b72c8f3f274000663390932c0f74462
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jul 17 16:00:40 2012 +0100

    network: Move setting the device header pairs to common panel code
    
    This is yet another step to splitting out the other devices types.

 panels/network/net-vpn.c      | 84 +++++++++++--------------------------------
 panels/network/network-vpn.ui | 52 +++++++++++++--------------
 panels/network/panel-common.c | 34 ++++++++++++++++++
 panels/network/panel-common.h |  4 +++
 4 files changed, 85 insertions(+), 89 deletions(-)

commit 95d0a2e537e02fcd880bf70f7d607a74145f06b9
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Tue Jul 10 16:17:15 2012 +0200

    screen: add "Show Notifications" setting
    
    Add a checkbox to control the visibility of notifications when
    the screen is locked.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658660

 panels/screen/cc-screen-panel.c | 12 ++++++++++++
 panels/screen/screen.ui         | 30 +++++++++++++++++++++++++++---
 2 files changed, 39 insertions(+), 3 deletions(-)

commit 7e5654bf484c2e1d47eb3e29658a03320f44643f
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jul 17 14:13:31 2012 +0100

    network: Fix a trivial GTK warning at startup about a missing widget

 panels/network/network.ui | 1 -
 1 file changed, 1 deletion(-)

commit 6de161617a324b49332de624b037a3d8f6132ad7
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jul 17 14:13:08 2012 +0100

    network: Fix the VPN information my setting the connection at object construction time

 panels/network/cc-network-panel.c |  1 +
 panels/network/net-vpn.c          | 73 +++++++++++++++++++++++++++++++++++++--
 panels/network/net-vpn.h          |  2 --
 3 files changed, 71 insertions(+), 5 deletions(-)

commit 04dc515aa51b0a105a9675dacd8fd0ad40ce6d7f
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Tue Jul 17 13:26:56 2012 +0200

    Updated Arabic translation

 po/ar.po | 824 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 528 insertions(+), 296 deletions(-)

commit 89a815a6f95ff3d6846b8eec63c0095f1a5ef652
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Jul 17 12:04:18 2012 +0200

    Updated Spanish translation

 po/es.po | 364 +++++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 285 insertions(+), 79 deletions(-)

commit 96f7cbae9064592eb4717a9ae2bd913750ce6c9d
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 16 17:37:18 2012 +0100

    network: Return success from panel_set_notebook_page_for_object()
    
    This is so we can run the panel with both old-style and new-style NetDevices
    whilst we are migrating the device kinds.

 panels/network/cc-network-panel.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit e72194482e3eb718a42615fa9e6bd52025a15ad2
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 16 17:35:56 2012 +0100

    network: Remove some unused code

 panels/network/cc-network-panel.c | 24 ------------------------
 1 file changed, 24 deletions(-)

commit 3c2a09294cb6fc237f5f780b2f37adc8c113d12c
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 16 17:34:24 2012 +0100

    network: Set the device properties at construct time
    
    We need this for more complicated devices that need to contact other daemons,
    for instance ModemManager.

 panels/network/cc-network-panel.c | 31 ++++++++++++++++++-------------
 panels/network/net-device.c       | 10 ----------
 panels/network/net-device.h       |  2 --
 panels/network/net-object.c       | 31 ++++---------------------------
 panels/network/net-object.h       |  3 ---
 panels/network/net-vpn.c          | 11 -----------
 panels/network/net-vpn.h          |  1 -
 7 files changed, 22 insertions(+), 67 deletions(-)

commit cd765a1267b01c843fdf10ad122e4b8daab973c2
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 16 17:28:09 2012 +0100

    network: Export net_device_get_find_connection() so it can be used by future network devices

 panels/network/cc-network-panel.c | 168 ++------------------------------------
 panels/network/net-device.c       | 167 +++++++++++++++++++++++++++++++++++++
 panels/network/net-device.h       |   1 +
 3 files changed, 177 insertions(+), 159 deletions(-)

commit 5d17320817bc26418d9e07745affba50ec680e11
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 16 17:22:56 2012 +0100

    network: Add a GObject nm-device property for NetDevice

 panels/network/net-device.c | 65 ++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 64 insertions(+), 1 deletion(-)

commit f9e2828f77bb2a03b6bdc27e249f4fa7ed59c565
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 16 17:15:43 2012 +0100

    network: Add a NMRemoteSettings property to NetObject for future use

 panels/network/net-object.c | 22 ++++++++++++++++++++++
 panels/network/net-object.h |  2 ++
 2 files changed, 24 insertions(+)

commit b48fc1b65c5781a4da1fe51941d02daa2c9abc9a
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 16 17:14:01 2012 +0100

    network: Add a GCancellable property to NetObject for future use

 panels/network/net-object.c | 23 ++++++++++++++++++++++-
 panels/network/net-object.h |  1 +
 2 files changed, 23 insertions(+), 1 deletion(-)

commit 7fcc4666ac8fce4cb0d8599b0b921f75097358e2
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jul 17 10:21:13 2012 +0100

    network: Set the correct page when using mobile broadband devices

 panels/network/cc-network-panel.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 64150f145890143316fa3aefbbd322f3698369de
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jul 17 00:00:16 2012 -0400

    Avoid losing the selection
    
    When the active input sources list is changed in any way (add or
    remove or reorder a source), we write the list to the setting,
    and then we get a changed signal for the setting, and rebuild
    the list from the setting. Doing so loses the selection, unless
    we take extra precaution to keep it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=680027

 panels/region/gnome-region-panel-input.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 54835c8f4486309c1517a7f71735fbdd7e098c5f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jul 16 23:59:03 2012 -0400

    Remove one more leftover reference to a filter model
    
    The active input sources are no longer stored in a filter model.
    Also, use gtk_list_store_insert_with_values for atomic insertion.

 panels/region/gnome-region-panel-input.c | 21 ++++++++-------------
 1 file changed, 8 insertions(+), 13 deletions(-)

commit ee32c358f1f7da62f9876e38a010f72eb2323ab1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jul 16 18:05:04 2012 +0100

    shell: Don't handle shortcuts with excess modifiers
    
    Ctrl+Alt+W shouldn't be handled the same way as Ctrl+W.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=675475

 shell/cinnamon-control-center.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 1fdfa6bc32077ff246cc8531e01d690327467602
Author: Olivier Fourdan <ofourdan@redhat.com>
Date:   Thu Jul 5 15:36:10 2012 +0200

    wacom: show calibration success
    
    by drawing an "emblem-ok-symbolic" icon when calibration is
    successful
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668610

 panels/wacom/calibrator/gui_gtk.c | 108 +++++++++++++++++++++++++++++++++++---
 1 file changed, 101 insertions(+), 7 deletions(-)

commit 953cc81b0f07c0e5f4e1f34a139efafe6d61fea1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jul 16 12:07:39 2012 -0400

    Region: Remove references to a no-longer-existing filter model
    
    There was some code left around for dealing with a filter model,
    but we don't have the active input sources in a filtered list
    anymore. This was leading to crashes when removing or rearranging
    input sources.

 panels/region/gnome-region-panel-input.c | 36 ++++++--------------------------
 1 file changed, 6 insertions(+), 30 deletions(-)

commit 3b4f577652bf0544a2070df5ea473ba08b926ab0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jul 16 17:03:36 2012 +0100

    shell: Fix not being able to assign Ctrl+Q to a shortcut
    
    Because the shell window was capturing it before the key editing
    cell had a change to get to it.
    
    s/g_signal_connect/g_signal_connect_after/
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671448

 shell/cinnamon-control-center.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ab0594239c5e43b3a14a0cf40ab2cce039a17a53
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jul 16 16:40:15 2012 +0100

    region: Fix compilation failure
    
    A use of the removed tree_view_get_actual_model() crept in.

 panels/region/gnome-region-panel-input.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bf710914becf8f228ed38cf8d9b3c7c075df65b1
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Mon Jul 16 17:49:55 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 6 ++++++
 1 file changed, 6 insertions(+)

commit 5dd45a964d062dc2f7a066c00247bfe062f2a7f4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jul 16 16:43:23 2012 +0200

    Updated Spanish translation

 po/es.po | 608 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 321 insertions(+), 287 deletions(-)

commit 661019dadcdfe08a7d184c37a881fafea254a10e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jul 16 15:24:23 2012 +0100

    region: Remove unneeded signal blockers
    
    The value isn't going to change from under us, as the settings
    object is in delayed mode.

 panels/region/gnome-region-panel-input.c | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit 3579d7bb970376a0a9d8616f334d23e7f71202af
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Jul 2 03:30:12 2012 +0200

    region: Try to keep the current input source when modifying the list
    
    When modifying the input sources list the currently active source's
    index might change. We must change the current setting accordingly to
    keep it active.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662489

 panels/region/gnome-region-panel-input.c | 62 ++++++++++++++++++++++++++------
 1 file changed, 51 insertions(+), 11 deletions(-)

commit 49f7d379bc38aeeeb84cf98571d34a1a0ba28423
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Jul 2 04:05:09 2012 +0200

    region: Fix a couple of memory leaks
    
    Unref the GSettings object and build the GnomeXkbInfo only
    once. There's no need to free and keep rebuilding the latter since it
    doesn't keep any state and is a bit expensive to build.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662489

 panels/region/gnome-region-panel-input.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 03f08fd36c059c17f3af723ca29e0ad931fc6a26
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jul 16 15:15:28 2012 +0100

    region: Never hide items from view
    
    If IBus is unavailable to get the input source's display name,
    just show the ID instead, and populate the display name when we get
    a change (eg. when fetching the input sources from IBus is done).

 panels/region/gnome-region-panel-input.c | 70 ++++++--------------------------
 1 file changed, 13 insertions(+), 57 deletions(-)

commit 5e737900b0df98aa5c6aac9fc0b83fff9f454692
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Mon Jul 2 03:39:10 2012 +0200

    region: Wire up the input source settings button
    
    For XKB input sources the settings button remains unsensitive. For
    IBus sources we make it sensitive and launch the engine's setup tool
    on clicked if there is one.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662489

 panels/region/gnome-region-panel-input.c | 115 ++++++++++++++++++++++++++++---
 1 file changed, 104 insertions(+), 11 deletions(-)

commit 412e53079f051c7358f0200c38cd5957dc082e94
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue May 22 19:14:40 2012 +0200

    region: Add IBus input sources
    
    We query IBus for the available engines and present them alongside XKB
    layouts.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662489

 configure.ac                             |  22 +-
 panels/region/gnome-region-panel-input.c | 356 ++++++++++++++++++++++++++++---
 2 files changed, 348 insertions(+), 30 deletions(-)

commit 7ae3027b472422cdae47c09dd0420b297dacf089
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Jul 16 15:25:10 2012 +0200

    printer: Add "Options" dialog
    
    Add Options dialog which allows users to set more options than current dialog.
    The dialog reads printer's PPD file and add its options to the dialog together
    with some preselected IPP options (#678637).
    All operations in the dialog are asynchronous.
    During implementation of this, the option for setting allowed users was removed
    because this is not suitable for this panel (the option is intended for
    administrators).

 panels/printers/Makefile.am            |   7 +
 panels/printers/cc-printers-panel.c    | 343 ++----------
 panels/printers/options-dialog.ui      | 182 ++++++
 panels/printers/pp-ipp-option-widget.c | 605 ++++++++++++++++++++
 panels/printers/pp-ipp-option-widget.h |  70 +++
 panels/printers/pp-options-dialog.c    | 984 +++++++++++++++++++++++++++++++++
 panels/printers/pp-options-dialog.h    |  42 ++
 panels/printers/pp-ppd-option-widget.c | 624 +++++++++++++++++++++
 panels/printers/pp-ppd-option-widget.h |  63 +++
 panels/printers/pp-utils.c             | 285 ++++++++++
 panels/printers/pp-utils.h             |  25 +
 11 files changed, 2937 insertions(+), 293 deletions(-)

commit e61ec214b06fb1b9a82abb42e076f51ef6c2ee76
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 16 14:08:25 2012 +0100

    network: Ensure to install the VPN .ui file

 panels/network/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit dd7479caeace07e44d72cd310753a87a44e3e578
Author: Marek Kasik <mkasik@redhat.com>
Date:   Mon Jul 16 11:10:02 2012 +0200

    printers: Allow users to change printer's PPD file
    
    This commit adds popup window which when activated allows
    user to select PPD from local database of installed PPDs,
    select directly PPD from filesystem or select one from 3
    recommended PPDs (#678637).
    The popup is activated by clicking on model field (the panel
    has to be unlocked). It starts to search for the best PPDs
    available immediately after its popup.
    All operations are asynchronous.

 panels/printers/Makefile.am               |   15 +-
 panels/printers/cc-printers-panel.c       |  641 ++++++++++-
 panels/printers/pp-ppd-selection-dialog.c |  444 ++++++++
 panels/printers/pp-ppd-selection-dialog.h |   46 +
 panels/printers/pp-utils.c                | 1635 +++++++++++++++++++++++++++++
 panels/printers/pp-utils.h                |   90 ++
 panels/printers/ppd-selection-dialog.ui   |  206 ++++
 panels/printers/printers.ui               |   75 +-
 8 files changed, 3119 insertions(+), 33 deletions(-)

commit 1b3e877ef2e1e35ab4f33fea83ffb422286dbf88
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Jun 11 09:58:07 2012 -0400

    shell: remove CcStrengthBar
    
    Panels are all ported to GtkLevelBar instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679984

 shell/Makefile.am       |   2 -
 shell/cc-strength-bar.c | 395 ------------------------------------------------
 shell/cc-strength-bar.h |  69 ---------
 3 files changed, 466 deletions(-)

commit dfe03a1173f2c1d5cae8db948bfd57a0e193ecf4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Jun 11 09:57:31 2012 -0400

    user-accounts: port to GtkLevelBar
    
    This also adds another out parameter to pw_strength(), which is a discrete
    indication of the password strength (to be used with GtkLevelBar). The
    advantage of having such a parameter back from pw_strength() is that we
    can make sure the fill value and the hint string change at the same
    time, for better consistency.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679984

 panels/user-accounts/data/password-dialog.ui |  8 +++++++-
 panels/user-accounts/pw-utils.c              | 30 ++++++++++++++++++----------
 panels/user-accounts/pw-utils.h              |  3 ++-
 panels/user-accounts/um-password-dialog.c    |  9 ++++-----
 panels/user-accounts/um-user-panel.c         |  2 --
 5 files changed, 33 insertions(+), 19 deletions(-)

commit b05591b1654c391f6d4aa113525b70ca736f68a0
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Jun 11 09:56:49 2012 -0400

    power: port to GtkLevelBar
    
    https://bugzilla.gnome.org/show_bug.cgi?id=679984

 panels/power/cc-power-panel.c | 32 ++++++++++----------------------
 panels/power/power.ui         |  4 ++--
 2 files changed, 12 insertions(+), 24 deletions(-)

commit 38411a0d461540c9cd7a851ff13220786fef6dba
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Jul 15 12:10:30 2012 +0300

    Updated Belarusian translation.

 po/be.po | 735 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 417 insertions(+), 318 deletions(-)

commit 59c159da2b6e4174aafbf3e0d73ea744eb5b560c
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Jul 14 13:54:46 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 465 ++++++++++++++++++++++++++---------------------------------
 po/zh_TW.po | 467 ++++++++++++++++++++++++++----------------------------------
 2 files changed, 402 insertions(+), 530 deletions(-)

commit 118d5c276d1236b29d66f7fd3761aa7b317c381f
Author: Piotr Dr膮g <piotrdrag@gmail.com>
Date:   Thu Jul 12 22:23:22 2012 +0200

    Updated POTFILES.in

 po/POTFILES.in | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 0a98c5a921225055af230dcf218e52c99035134d
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 12 17:29:47 2012 +0100

    network: Provide a vfunc for refreshing a NetObject

 panels/network/net-device.c | 1 +
 panels/network/net-object.c | 8 ++++++++
 panels/network/net-object.h | 2 ++
 panels/network/net-vpn.c    | 8 ++++++++
 4 files changed, 19 insertions(+)

commit 8384a0b741728c33c6a84003fc6efde4ec91161c
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 12 16:58:11 2012 +0100

    network: Split the VPN parts from the .c and .ui file

 panels/network/cc-network-panel.c | 189 ++-------------------
 panels/network/net-vpn.c          | 273 ++++++++++++++++++++++++++++---
 panels/network/net-vpn.h          |   7 -
 panels/network/network-vpn.ui     | 336 ++++++++++++++++++++++++++++++++++++++
 panels/network/network.ui         | 313 -----------------------------------
 5 files changed, 603 insertions(+), 515 deletions(-)

commit ddabc6049f8aaf7e7123970ee289a1d8af309332
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 12 16:55:20 2012 +0100

    network: Add a vfunc so a NetObject can be deleted
    
    We will only support this for VPN 'devices' but it seemed a cleaner abstraction this way.

 panels/network/net-object.c | 8 ++++++++
 panels/network/net-object.h | 2 ++
 2 files changed, 10 insertions(+)

commit eeecc61d0583023dd40fcc295432cab1e50a3ca0
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 12 16:35:06 2012 +0100

    network: Share a NMClient instance between NetObjects
    
    Creating a NMClient is expensive and slow. This will be used in future code.

 panels/network/cc-network-panel.c |  1 +
 panels/network/net-object.c       | 31 +++++++++++++++++++++++++++++++
 panels/network/net-object.h       |  4 ++++
 3 files changed, 36 insertions(+)

commit c26e14518ea66491dba2c2dcf356bbab865f68ef
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 12 14:07:54 2012 +0100

    network: Split the proxy parts from the .c and .ui file
    
    A source file with 4k lines of code is not understandable, and the glade file
    was becoming quite a challenge for glade.
    To add more features we need to split things up just to keep them maintainable.
    
    This is the first patch that just splits out the proxy bits. Other device types
    will follow in the next few days.

 panels/network/Makefile.am        |   6 +-
 panels/network/cc-network-panel.c | 353 +++++--------------------------
 panels/network/net-device.c       |   4 +-
 panels/network/net-object.c       |  20 ++
 panels/network/net-object.h       |  17 +-
 panels/network/net-proxy.c        | 388 ++++++++++++++++++++++++++++++++++
 panels/network/net-proxy.h        |  59 ++++++
 panels/network/network-proxy.ui   | 427 ++++++++++++++++++++++++++++++++++++++
 panels/network/network.ui         | 415 ------------------------------------
 po/POTFILES.in                    |   2 +
 10 files changed, 975 insertions(+), 716 deletions(-)

commit 298489ee167486c0ca808805c699e73843b09356
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jul 12 14:00:40 2012 +0100

    network: Add a boolean 'removable' property to NetObject for future use
    
    Also add GObject getters and setters for the other two properties.

 panels/network/net-object.c | 99 +++++++++++++++++++++++++++++++++++++++++++++
 panels/network/net-object.h |  3 ++
 2 files changed, 102 insertions(+)

commit a995cfac99e0642517268b5ba2552cadb15a962a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jul 11 16:35:38 2012 +0100

    build: Require PulseAudio 2.0 for the sound changes

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 89fbf2b35bfef9d56e9109745f040158a5594b60
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jul 11 16:26:28 2012 +0100

    sound: Use PulseAudio's implementation of pa_cvolume_set_position()

 panels/sound/gvc-balance-bar.c | 23 +----------------------
 1 file changed, 1 insertion(+), 22 deletions(-)

commit 3cf252f4f0874276804f0c64c3c194ed42995d02
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jul 11 16:24:53 2012 +0100

    sound: Remove support code for older PulseAudio
    
    our define of PA_VOLUME_UI_MAX was only needed for PA 0.9.22 and older.

 panels/sound/gvc-mixer-control.c | 5 -----
 1 file changed, 5 deletions(-)

commit 1dfd464a5907a1aa8b241790ffe5b7f8f31e505f
Author: Conor Curran <conor.curran@canonical.com>
Date:   Wed Jul 11 16:19:24 2012 +0100

